2019-10-18 16:22  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17976] NEWS, postgis/geography.sql.in, postgis/postgis.sql.in,
	  raster/rt_pg/rtpostgis.sql.in: Fix PLPGSQL functions missing the
	  schema qualification
	  
	  References #4546

2019-10-18 14:58  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17967] regress/core/dump.sql: Change public for the schema
	  variable

2019-10-18 14:27  Regina Obe <lr@pcorp.us>

	* [r17962] doc/installation.xml, doc/po/de/installation.xml.po,
	  doc/po/de/reference_accessor.xml.po,
	  doc/po/de/release_notes.xml.po, doc/po/es/installation.xml.po,
	  doc/po/es/reference_accessor.xml.po,
	  doc/po/es/release_notes.xml.po, doc/po/fr/installation.xml.po,
	  doc/po/fr/reference_accessor.xml.po,
	  doc/po/fr/release_notes.xml.po, doc/po/it_IT/installation.xml.po,
	  doc/po/it_IT/reference_accessor.xml.po,
	  doc/po/it_IT/release_notes.xml.po, doc/po/ja/installation.xml.po,
	  doc/po/ja/reference_accessor.xml.po,
	  doc/po/ja/release_notes.xml.po, doc/po/ko_KR/installation.xml.po,
	  doc/po/ko_KR/reference_accessor.xml.po,
	  doc/po/ko_KR/release_notes.xml.po, doc/po/pl/installation.xml.po,
	  doc/po/pl/reference_accessor.xml.po,
	  doc/po/pl/release_notes.xml.po, doc/po/pt_BR/installation.xml.po,
	  doc/po/pt_BR/reference_accessor.xml.po,
	  doc/po/pt_BR/release_notes.xml.po,
	  doc/po/templates/installation.xml.pot,
	  doc/po/templates/reference_accessor.xml.pot,
	  doc/po/templates/release_notes.xml.pot,
	  doc/reference_accessor.xml, doc/release_notes.xml: Corrected 2
	  errata noted by Andreas Schild.
	  Incorporate latests translation changes. Update release pot
	  closes #4552 for PostGIS 3.0.0

2019-10-18 12:22  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17957] NEWS: Missing news

2019-10-18 12:21  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17956] postgis/lwgeom_dump.c, postgis/lwgeom_geos.c,
	  regress/core/dump.sql, regress/core/dump_expected,
	  regress/core/isvaliddetail.sql,
	  regress/core/isvaliddetail_expected, regress/run_test.pl: Fix
	  schema qualification of internal types
	  
	  References #4549

2019-10-17 18:07  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17946] NEWS, postgis/Makefile.in, postgis/postgis.sql.in,
	  raster/rt_pg/Makefile.in, raster/rt_pg/rtpostgis.sql.in: Reverts
	  r17926
	  
	  References #4546

2019-10-17 14:42  Sandro Santilli <strk@kbt.io>

	* [r17939] raster/rt_pg/rtpostgis.sql.in,
	  raster/test/regress/tickets.sql,
	  raster/test/regress/tickets_expected: Fix AddRasterConstraints in
	  presence of null geoms in table
	  
	  References #4547 in 3.0 branch

2019-10-17 10:35  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17926] NEWS, postgis/Makefile.in, postgis/postgis.sql.in,
	  raster/rt_pg/Makefile.in, raster/rt_pg/rtpostgis.sql.in: Fix
	  ST_ConcaveHull under FDW
	  
	  References #4546

2019-10-17 05:29  Sandro Santilli <strk@kbt.io>

	* [r17924] utils/svn_repo_revision.pl: Fix svn revision fetching
	  from git worktree
	  
	  For worktrees, .git is a file, not a directory

2019-10-17 05:29  Sandro Santilli <strk@kbt.io>

	* [r17923] regress/run_test.pl: Avoid use of bogus
	  AddRasterConstraint when running upgrade tests
	  
	  Works around bug #4547 for 3.0 branch
	  
	  Closes #4530 in 3.0 branch

2019-10-15 17:21  Regina Obe <lr@pcorp.us>

	* [r17919] ci/winnie/package_postgis.sh: Missing packaging of
	  libxml2-2.dll
	  Closes #4542 for PostGIS 3.0.0

2019-10-13 17:27  Regina Obe <lr@pcorp.us>

	* [r17913] doc/po/es/release_notes.xml.po,
	  doc/po/fr/release_notes.xml.po,
	  doc/po/it_IT/release_notes.xml.po,
	  doc/po/ja/release_notes.xml.po,
	  doc/po/ko_KR/release_notes.xml.po,
	  doc/po/pl/release_notes.xml.po,
	  doc/po/pt_BR/release_notes.xml.po,
	  doc/po/templates/reference_exception.xml.pot,
	  doc/po/templates/release_notes.xml.pot: update pos and pots

2019-10-13 04:36  Regina Obe <lr@pcorp.us>

	* [r17910] .: Make branch for 3.0

2019-10-13 03:31  Regina Obe <lr@pcorp.us>

	* [r17908] missed spot

2019-10-13 02:57  Regina Obe <lr@pcorp.us>

	* [r17907] Prepping for PostGIS 3.0.0rc2 release

2019-10-11 13:24  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17906] Memory leak in lwpoly_from_wkb_state
	  
	  References #4535

2019-10-10 17:28  Regina Obe <lr@pcorp.us>

	* [r17905] manual fix release note dates and numbers

2019-10-10 16:58  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17904] WKB: Avoid buffer overflow
	  
	  This only happens when not running under PG context, as
	  lwerror continues execution and that means that even after
	  detecting there isn't enough bytes still try to read from the
	  buffer
	  
	  Closes #4535
	  Closes https://github.com/postgis/postgis/pull/495

2019-10-10 13:01  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17900] Fix leak in WKT collection parser
	  
	  References #4537

2019-10-10 11:09  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17893] Fix leak in lwcollection_from_wkb_state
	  
	  Closes #4536
	  Closes https://github.com/postgis/postgis/pull/493

2019-10-10 10:10  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17892] Fix leak in lwcurvepoly_from_wkb_state
	  
	  Closes #4534
	  Closes https://github.com/postgis/postgis/pull/492

2019-10-08 11:48  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17891] Remove HAVE_LIBJSON_C
	  
	  Patch by jabakobob
	  References #4528

2019-10-08 11:40  Sandro Santilli <strk@kbt.io>

	* [r17890] Make sure "make clean" really cleans what's created by
	  "make"
	  
	  Fixes #4531 and simplifies a little bit those Makefiles

2019-10-08 10:59  Sandro Santilli <strk@kbt.io>

	* [r17889] Allow running core tests from any directory
	  
	  Using the :regdir variable

2019-10-08 09:43  Sandro Santilli <strk@kbt.io>

	* [r17888] Force using systemwide scripts when run with --extension
	  
	  .. rather than relying on version mismatch (current vs.
	  requested)
	  to tell where to pick scripts from ..
	  
	  *might* relate to #4515

2019-10-08 06:16  Regina Obe <lr@pcorp.us>

	* [r17887] Flip to 3.0.0rc2dev

2019-10-08 06:11  Regina Obe <lr@pcorp.us>

	* [r17885] Change to package 3.8.0rc2 for windows, prepare for
	  3.0.0rc1 release

2019-10-08 00:48  Regina Obe <lr@pcorp.us>

	* [r17884] Fix pos for spanish and french so they produce proper
	  XML
	  Closes #4525

2019-10-07 23:04  Regina Obe <lr@pcorp.us>

	* [r17883] Add step to pull translations from transifex
	  References #4525

2019-10-07 22:58  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17882] Remove view testing from upgrade objects testing
	  References #4386

2019-10-07 22:49  Regina Obe <lr@pcorp.us>

	* [r17881] update rest of pos

2019-10-07 17:32  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17879] Try and be a little broader in dropping temporary old
	  signature
	  References #4521

2019-10-07 11:41  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17878] Fix lib detection with "--with-jsondir" flag
	  
	  Patch by jabakobob
	  References #4528

2019-10-07 10:38  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17877] Fix --with-jsondir ldflags
	  
	  Fixes #4528

2019-10-07 10:29  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17876] Address compiler warnings
	  
	  Closes #4527
	  Closes https://github.com/postgis/postgis/pull/490

2019-10-07 07:00  Sandro Santilli <strk@kbt.io>

	* [r17875] Use clang pragma only with clang
	  
	  Hopefully fixes #4526

2019-10-07 06:57  Regina Obe <lr@pcorp.us>

	* [r17874] Fix tag issues

2019-10-07 06:40  Sandro Santilli <strk@kbt.io>

	* [r17873] Tweak editorconfig for postgis_proc_upgrade.pl and
	  indent it properly
	  
	  It looks like most lines are using 4-spaces indent, make that
	  official
	  and tweak the non-conforming lines (53 lines over 580 total
	  lines)

2019-10-07 06:18  Regina Obe <lr@pcorp.us>

	* [r17872] remove reference_exception evidentally was taken out of
	  list

2019-10-07 05:07  Regina Obe <lr@pcorp.us>

	* [r17871] Add reference_exception.xml -- is referenced in
	  reference.xml
	  Missing file causing translation to fail
	  references #4525 for PostGIS 3.0.

2019-10-07 04:44  Regina Obe <lr@pcorp.us>

	* [r17870] Update more po files
	  references #4525 for PostGIS 3.0

2019-10-07 03:02  Regina Obe <lr@pcorp.us>

	* [r17869] update IT from transifex

2019-10-07 02:58  Regina Obe <lr@pcorp.us>

	* [r17868] uodate de files from transifex

2019-10-07 01:38  Regina Obe <lr@pcorp.us>

	* [r17867] take out reference_misc entirely instead of just
	  commenting it out. Think it might be causing issues with
	  transifex

2019-10-07 01:36  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17865] Guard some newer GCC'isms to allow older platforms
	  to still build

2019-10-07 01:31  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17864] Use older perl idiom to allow build on
	  older platforms still

2019-10-07 01:29  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17863] datumCopy has to happen in agg context or else
	  objects larger than datum size will be lost.
	  Shows up in 32 bit because float8 doesn't fit
	  on a datum.
	  Closes #4522

2019-10-07 00:46  Regina Obe <lr@pcorp.us>

	* [r17861] Get rid of reference_temporal. that evidentally was
	  removed

2019-10-07 00:16  Regina Obe <lr@pcorp.us>

	* [r17860] Update pot files -- references #4525

2019-10-06 15:44  Regina Obe <lr@pcorp.us>

	* [r17858] Change expected release from 10/5 to 10/8

2019-10-05 18:06  Regina Obe <lr@pcorp.us>

	* [r17857] Prepping for PostGIS 3.0.0rc1 release

2019-10-04 18:25  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17856] Restore ST_Union() aggregate signature and re-work
	  performance/size enhancement to continue to avoid
	  using Array type during ST_Union(), hopefully
	  avoiding Array size limitations.

2019-10-03 09:49  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17855] autogen.sh: Exit with an error when a tool is missing

2019-10-03 09:40  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17854] Use a clean environment when detecting C++ libraries
	  
	  Closes #4520
	  Closes https://github.com/postgis/postgis/pull/488

2019-10-02 18:22  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17851] Use snprintf in building SRID query string

2019-10-02 13:45  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17846] getSRIDbySRS: Fix crash
	  
	  - Prevents stack overflow when the srs is long (query + srs > 256
	  chars).
	  - Prevents sql injection.
	  
	  References #4519
	  Closes https://github.com/postgis/postgis/pull/487

2019-10-01 17:29  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17845] Get a little bit ahead on extension upgrade paths, so
	  patch releases of older versions can still upgrade to 3.0 in
	  near future

2019-10-01 17:28  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17844] Fix scripts-based (not extension) upgrade from 2.4
	  Closes #4516

2019-10-01 14:30  Regina Obe <lr@pcorp.us>

	* [r17842] Create slot for next release - be confident we'll do
	  another before end of month

2019-09-30 21:18  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17841] Turn rt_gdalwarp tests back on, removing grid shifts to
	  account
	  for changes in Proj installed grids

2019-09-30 19:49  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17839] Avoid datum/grid shifts in reproject test, to lower
	  sensitivity to variance in proj installations wrt
	  whether or not grid shift files are installed.
	  References #4500

2019-09-30 18:55  Regina Obe <lr@pcorp.us>

	* [r17838] Add CXX and CXXFLAGS from pg_config seems to fix wagyu
	  load issue
	  Closes #4474

2019-09-30 16:38  Regina Obe <lr@pcorp.us>

	* [r17837] Put back wagyu, but try to force gcc8 as compiler and
	  use CFLAGS from PostgreSQL 11 install
	  References #4474

2019-09-29 00:38  Regina Obe <lr@pcorp.us>

	* [r17836] Flip to 3.0.0beta2dev

2019-09-28 23:55  Regina Obe <lr@pcorp.us>

	* [r17832] oops forgot to commit same note in NEWS

2019-09-28 23:54  Regina Obe <lr@pcorp.us>

	* [r17831] Add note about additional performance enhancements with
	  GEOS 3.8

2019-09-28 23:28  Regina Obe <lr@pcorp.us>

	* [r17830] Prepare for PostGIS 3.0.0beta1

2019-09-28 22:37  Regina Obe <lr@pcorp.us>

	* [r17829] Turn off wagyu for now for 32-bit FreeBSD12. For some
	  reason it is deciding to use a higher gcc for wagyu building
	  which causes the issue
	  References #4474

2019-09-28 22:13  Regina Obe <lr@pcorp.us>

	* [r17828] take out all pathing to see if that fixes the issue, in
	  theory pkg-config should take care of everything. Set default
	  GEOS to 3.8.0beta1 for winnie

2019-09-28 13:09  Regina Obe <lr@pcorp.us>

	* [r17827] Update docs in prep for 3.0.0beta1 release

2019-09-28 02:52  Regina Obe <lr@pcorp.us>

	* [r17825] Fix issue with loading tabblock
	  Update geocoder to load 2019 data
	  Closes #4509 for PostGIS 3.0
	  References #4338 for PostGIS 3.0

2019-09-28 00:41  Regina Obe <lr@pcorp.us>

	* [r17824] Missed some fixes in last commit. this should work on
	  all.
	  References #4514 for PostGIS 3.0

2019-09-27 23:59  Regina Obe <lr@pcorp.us>

	* [r17823] Revise topology tests so they yield same results in GEOS
	  3.8 and lower
	  References #4514 for PostGIS 3.0

2019-09-25 10:31  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17822] upgrade-paths-rules.mk: Drop the -v flag
	  
	  It's not available in some UNIX systems as it's not POSIX
	  standard

2019-09-24 10:58  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17821] Speed up ST_Simplify
	  
	  Closes #4510
	  Closes https://github.com/postgis/postgis/pull/480

2019-09-24 10:45  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17820] ST_RemoveRepeatedPoints: Optimize multipoints with
	  single point
	  
	  References #4491
	  Closes https://github.com/postgis/postgis/pull/481

2019-09-24 10:44  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17819] Travis: Fix clang ubsan build
	  
	  The latest build updated clang

2019-09-23 09:20  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17818] Fix several documentation typos
	  
	  Patch by François Bonzon
	  Closes https://github.com/postgis/postgis/pull/479/

2019-09-17 20:00  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17817] Remove tolerance in point-in-ring stabline tests
	  Closes #4506

2019-09-17 14:36  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17813] Disable raster failing tests
	  
	  References #4379

2019-09-16 12:32  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17812] Speed up ST_RemoveRepeatedPoints
	  
	  Closes #4491
	  Closes https://github.com/postgis/postgis/pull/468

2019-09-14 19:09  Daniel Baston <dbaston@gmail.com>

	* [r17811] Speed up conversion of geometries to/from GEOS
	  
	  GEOS 3.8 introduces multi-ordinate getters and setters that can
	  read and write
	  XY/XYZ in a single function call.
	  
	  Fixes #4505
	  Closes https://github.com/postgis/postgis/pull/476

2019-09-14 19:04  Daniel Baston <dbaston@gmail.com>

	* [r17810] Use GEOSMakeValid and GEOSBuildArea for GEOS 3.8+
	  
	  Fixes #4507
	  Closes https://github.com/postgis/postgis/pull/477

2019-09-13 21:14  Regina Obe <lr@pcorp.us>

	* [r17809] shp2pgsql -D not working with schema qualified tables
	  Closes #4504

2019-09-13 15:40  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17808] Speed up the calculation of cartesian bbox
	  
	  Closes https://github.com/postgis/postgis/pull/475
	  Closes https://trac.osgeo.org/postgis/ticket/4503

2019-09-12 17:47  Daniel Baston <dbaston@gmail.com>

	* [r17807] Reduce sensitivity of ST_OrientedEnvelope test
	  
	  GEOS master produces slightly different coordinate values, at
	  least for now.

2019-09-07 18:43  Regina Obe <lr@pcorp.us>

	* [r17806] Mark tiger geocoder as superuser safe since it only has
	  plpgsql/sql and no c lib
	  References #4501 for PostGIS 3.0

2019-09-05 17:10  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17804] Make ST_Simplify(TRIANGLE) collapse if requested
	  
	  References #4496
	  Closes https://github.com/postgis/postgis/pull/474

2019-09-05 15:27  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17803] Muck with stats message

2019-09-02 11:55  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17798] Fix ST_SnapToGrid output having an outdated bbox
	  
	  References #4495
	  Closes https://github.com/postgis/postgis/pull/473

2019-08-30 14:58  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17797] _postgis_drop_function_if_needed: Update ST_GeoJSON args
	  
	  Related to #4483

2019-08-30 13:31  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17793] Fix ST_RemoveRepeatedPoints output having an outdated
	  bbox
	  
	  References #4493
	  Closes https://github.com/postgis/postgis/pull/472

2019-08-29 15:17  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17786] Fix ST_Simplify output having an outdated bbox
	  
	  References #4494

2019-08-29 11:51  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17782] Fix ST_Simplify ignoring the value of the 3rd parameter
	  
	  References #4492
	  Closes https://github.com/postgis/postgis/pull/469

2019-08-29 08:59  Sandro Santilli <strk@kbt.io>

	* [r17781] Be less assertive in debug message printed when missing
	  table stats
	  
	  ... running ANALYZE won't always fix the missing stats

2019-08-28 14:37  Sandro Santilli <strk@kbt.io>

	* [r17780] Expand info about polygon orientation functions in 2.4
	  section

2019-08-28 14:25  Sandro Santilli <strk@kbt.io>

	* [r17779] Add availability info for orientation checking and
	  forcing functions
	  
	  These are:
	  
	  ST_IsPolygonCW
	  ST_IsPolygonCCW
	  ST_ForcePolygonCW
	  ST_ForcePolygonCCW

2019-08-26 15:10  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17778] Configure: Fix --with-wagyu flag

2019-08-26 11:44  Sandro Santilli <strk@kbt.io>

	* [r17777] Link AddTopoGeometryColumn to DropTopoGeometryColumn

2019-08-23 15:58  Sandro Santilli <strk@kbt.io>

	* [r17774] [drone] Reorganize configuration to use external script
	  
	  Also add installcheck step

2019-08-23 09:56  Darafei Praliaskouski <me@komzpa.net>

	* [r17773] Support 2D TINs in ST_3DIntersection
	  
	  Brings TIN into dist2d calculation. Removes homebrew atan2.
	  
	  Closes #4328
	  Closes https://github.com/postgis/postgis/pull/461

2019-08-23 06:37  Sandro Santilli <strk@kbt.io>

	* [r17772] [travis] Revert travis recipes modifications
	  
	  This reverts commit dd601071c093c2233f3eeeba12af41373075bae8.
	  This reverts commit e8b5c3993e288e00a840b7a41f643901a280f5a9.

2019-08-23 06:37  Sandro Santilli <strk@kbt.io>

	* [r17771] Reorder Makefile dependencies to avoid duplicated build
	  
	  Mark most check targets as dependent on "all" rule

2019-08-22 18:56  Sandro Santilli <strk@kbt.io>

	* [r17770] [travis] More "make" before "make check"

2019-08-22 18:27  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17768] Move geobuf testing solely into configure

2019-08-22 18:07  Sandro Santilli <strk@kbt.io>

	* [r17766] [travis] don't assume "make check" will work parallel
	  w/out "make"

2019-08-22 18:00  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17765] Remove apparently unhelpful dependency lines

2019-08-22 17:33  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17764] And return to original form

2019-08-22 17:32  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17763] Just note needed libraries, don't be clever

2019-08-22 17:23  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17762] Be explicit about how to build liblwgeom and libpgcommon
	  libs

2019-08-22 16:33  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17761] Move geobuf version test into one place and strip expr
	  calls from makefiles

2019-08-22 15:59  Sandro Santilli <strk@kbt.io>

	* [r17760] Quote expr arguments, consistently use variables

2019-08-22 14:59  Sandro Santilli <strk@kbt.io>

	* [r17759] Add support for extension sequences in
	  create_unpackaged.pl
	  
	  Should fix topology dump-restore
	  References #4488

2019-08-22 13:36  Sandro Santilli <strk@kbt.io>

	* [r17758] Split "check" into "check-regress" and "check-unit"
	  
	  Makes "installcheck" only run "check-regress"
	  
	  Closes #4487

2019-08-22 12:13  Sandro Santilli <strk@kbt.io>

	* [r17757] Have postgis_extensions_upgrade repackage topology as
	  well
	  
	  Closes #4486
	  References #2503
	  
	  See failure here:
	  https://gitlab.com/postgis/postgis/-/jobs/277847404

2019-08-22 11:44  Sandro Santilli <strk@kbt.io>

	* [r17756] [gitlab-ci] Use env variable rather than make parameter,
	  for RUNTESTFLAGS
	  
	  I suspect gitlab-ci provided make is not compatible with
	  parameter

2019-08-22 09:21  Sandro Santilli <strk@kbt.io>

	* [r17755] [HOWTO_RELEASE] Add note that bots need to be all green
	  for release

2019-08-22 09:20  Sandro Santilli <strk@kbt.io>

	* [r17754] check-all-upgrades: stop checking upgrades from latest
	  unpackaged
	  
	  ... as this is already done by 'make installcheck'

2019-08-22 09:20  Sandro Santilli <strk@kbt.io>

	* [r17753] Have 'installcheck' also check with
	  upgrade-from-function
	  
	  Closes #4485
	  
	  Adds an installcheck-upgrade-byfunc target,
	  dependency of installcheck-upgrade

2019-08-22 09:20  Sandro Santilli <strk@kbt.io>

	* [r17752] [run_test] Allow requesting function upgrade also w/out
	  :auto
	  
	  Append an exlamation mark to any target version in upgrade-path
	  to request upgrade via function...

2019-08-22 06:47  Sandro Santilli <strk@kbt.io>

	* [r17751] [check-all-upgrades] Fix retrival of :auto version

2019-08-21 08:57  Sandro Santilli <strk@kbt.io>

	* [r17750] [run_test] Fix logic for use postgis_extension_upgrade()
	  
	  The version before 3.0.0 did not repackage extensions, so we
	  still
	  need to do the packaging ourselves.

2019-08-21 08:57  Sandro Santilli <strk@kbt.io>

	* [r17749] Document that postgis_extensions_upgrade re-pakcages
	  from 3.0.0

2019-08-21 07:28  Sandro Santilli <strk@kbt.io>

	* [r17748] [run_test.pl] Allow using postgis_extensions_upgrade
	  from unpackaged
	  
	  And warn when it cannot be used due to too old source version.

2019-08-20 22:02  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17747] Remove 32-bit build warnings

2019-08-20 19:29  Sandro Santilli <strk@kbt.io>

	* [r17745] run_test.pl: always repackage raster when upgrading via
	  function
	  
	  This is because the upgrade function invoked may be coming from
	  the
	  a pre-split version and thus not know anything about repackaging.
	  
	  See #4485

2019-08-20 18:33  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17744] Replace aliasing with memcpy
	  References #4319

2019-08-20 18:33  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17743] Quiet warnings from centos 6 build

2019-08-20 16:01  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17740] Change run-time endianness checks to compile-time
	  Leave 3rd party code unchanged
	  Closes #4439

2019-08-20 15:17  Sandro Santilli <strk@kbt.io>

	* [r17739] [check_all_upgrades] support :auto and :auto! upgrade
	  targets
	  
	  See #4485

2019-08-20 15:17  Sandro Santilli <strk@kbt.io>

	* [r17738] Add support for :auto and :auto! upgrade-path targets in
	  run_test.pl
	  
	  The former will request upgrading to default version, the latter
	  to do so using the postgis_extension_upgrade() function.
	  
	  See #4485

2019-08-20 14:03  Sandro Santilli <strk@kbt.io>

	* [r17737] Update postgis_extensions_upgrade docs to reflect new
	  return value

2019-08-20 11:38  Sandro Santilli <strk@kbt.io>

	* [r17736] Add test for postgis_full_version()
	  
	  Closes #4485
	  
	  NOTE: the test is only included in the core tests, might need to
	  be replicated for sfcgal/topology/raster

2019-08-20 11:37  Sandro Santilli <strk@kbt.io>

	* [r17735] Simplify perl code

2019-08-20 11:06  Darafei Praliaskouski <me@komzpa.net>

	* [r17734] oss-fuzz: add geojson seed corpus.
	  
	  Closes
	  https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=16564

2019-08-20 09:24  Sandro Santilli <strk@kbt.io>

	* [r17733] Fix perl syntax
	  
	  Can't "last" outside a loop block ...

2019-08-20 09:03  Sandro Santilli <strk@kbt.io>

	* [r17732] [check_all_upgrades] Test upgrades from old versions
	  unpackaged
	  
	  See #4485

2019-08-20 09:03  Sandro Santilli <strk@kbt.io>

	* [r17731] [run_test] Add support for upgrading from
	  unpackaged<version>
	  
	  See #4485

2019-08-19 20:19  Sandro Santilli <strk@kbt.io>

	* [r17730] Fix typo

2019-08-19 16:14  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17729] Change 'protobuf version' to protobuf-c to be more
	  explicit

2019-08-18 12:55  Darafei Praliaskouski <me@komzpa.net>

	* [r17728] [doc] geometry polygon ST_Intersects example
	  
	  Closes #4248

2019-08-18 12:18  Darafei Praliaskouski <me@komzpa.net>

	* [r17727] postgis_sfcgal_noop().
	  
	  Patch by Lucas C. Villa Real <lucasvr@br.ibm.com>, tweaks by
	  Darafei Praliaskouski
	  
	  Closes #3979

2019-08-18 11:27  Darafei Praliaskouski <me@komzpa.net>

	* [r17726] OSS Fuzz for geojson.
	  
	  Enable allocation testing for other fuzzers.
	  
	  Closes #4387
	  Closes https://github.com/postgis/postgis/pull/462

2019-08-16 21:26  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17725] Try and harmonize function parameter names for
	  ST_AsGEoJSON(record)
	  References #4483

2019-08-15 19:43  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17719] Remove SRID error lines because that's a silly thing to
	  test

2019-08-15 17:00  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17716] Guard against reading into pointarrays when size of
	  array == 0

2019-08-14 22:29  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17715] Add missing macro file

2019-08-14 22:07  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17711] Reorganize protobuf detection so that separate
	  directories can be specified, and make version detection more
	  robust over different protobuf installs.
	  References #4481

2019-08-14 11:06  Sandro Santilli <strk@kbt.io>

	* [r17710] [check-all-upgrades] Fix handling of bogus commandline

2019-08-14 11:06  Sandro Santilli <strk@kbt.io>

	* [r17709] Fix syntax error in expr line
	  
	  Closes #4477

2019-08-13 20:54  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17708] Update ST_AsGeoJSON doco to harmonize number of digits
	  default

2019-08-13 18:00  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17707] Lower default precision produced by ST_AsGeoJSON
	  References #4468

2019-08-13 16:59  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17706] Geography Distance inconsistent with Intersects
	  Closes #4480

2019-08-11 06:24  Regina Obe <lr@pcorp.us>

	* [r17703] flip to 3.0.0alpha5dev

2019-08-11 06:15  Regina Obe <lr@pcorp.us>

	* [r17701] Prep for 3.0.0alpha4 release

2019-08-11 02:36  Regina Obe <lr@pcorp.us>

	* [r17687] Add upgrade install paths for address_standardizer
	  Closese #4420 for PostGIS 3.0 (trunk)

2019-08-09 23:51  Regina Obe <lr@pcorp.us>

	* [r17684] Prepping for release tomorrow

2019-08-09 22:52  Regina Obe <lr@pcorp.us>

	* [r17683] Put libiconv back evidentally still need that one
	  References #4474

2019-08-09 22:50  Regina Obe <lr@pcorp.us>

	* [r17682] Move protobuf specific ticket lines to mvt test
	  Closes #4472

2019-08-09 22:44  Regina Obe <lr@pcorp.us>

	* [r17681] Try to fix bessie32 Undefined symbol
	  "_ZNKSt8__detail20_Prime_rehash_policy11_M_next_bktEj" by getting
	  rid of redundant configure lines that should be pulled in via
	  pkg-config
	  References #4474 for PostGIS 3.0

2019-08-09 22:21  Regina Obe <lr@pcorp.us>

	* [r17680] Try to get berrie to return fail code if regress fails -
	  try 2

2019-08-09 21:55  Regina Obe <lr@pcorp.us>

	* [r17679] Try to get berrie to return fail code if regress fails

2019-08-06 19:15  Darafei Praliaskouski <me@komzpa.net>

	* [r17678] Improve GeoJSON SRID handling.
	  
	  If SRID is not specified, set it to 4326 by default on parsing,
	  following RFC7946.
	  If SRID is not 4326 on serialization, it will be marked in JSON
	  unless disabled, making round trips almost lossless.
	  
	  Fixes spatial_ref_sys truncation in all the tests.
	  Closes #4377
	  Closes https://github.com/postgis/postgis/pull/455

2019-08-06 15:59  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17677] lwarc_linearize: Iterate over the number of segments
	  
	  Closes https://github.com/postgis/postgis/pull/458
	  Closes #4407
	  References #3719

2019-08-04 12:01  Darafei Praliaskouski <me@komzpa.net>

	* [r17676] Link ST_Tesselate to ST_(Constrained)DelaunayTriangles
	  Closes #4458

2019-08-04 11:52  Darafei Praliaskouski <me@komzpa.net>

	* [r17675] [doc] Note about mulitlinestring in ST_OffsetCurve
	  Closes #2553

2019-08-04 11:43  Darafei Praliaskouski <me@komzpa.net>

	* [r17674] Triangle and TIN output support
	  
	  Make all the "Unsupported geometry type" name themselves by
	  __func__.
	  In case output format doesn't know about TIN/Triangle, output
	  them as GeometryCollection/Polygon.
	  
	  Closes #4399
	  Closes https://github.com/postgis/postgis/pull/454

2019-08-04 11:37  Darafei Praliaskouski <me@komzpa.net>

	* [r17673] Better error messages for SRID mismatch.
	  Closes #4110
	  Closes https://github.com/postgis/postgis/pull/455

2019-08-04 07:45  Darafei Praliaskouski <me@komzpa.net>

	* [r17672] ST_GeomFromGeoJSON crash on empty rings
	  
	  Closes #4470
	  Closes https://github.com/postgis/postgis/pull/453

2019-08-04 07:08  Darafei Praliaskouski <me@komzpa.net>

	* [r17667] ST_Subdivide crash on intermediate EMPTY fix.
	  
	  Closes #4459
	  Closes https://github.com/postgis/postgis/pull/456

2019-08-03 21:48  Darafei Praliaskouski <me@komzpa.net>

	* [r17666] Update documentation translations from transifex.

2019-08-03 21:04  Darafei Praliaskouski <me@komzpa.net>

	* [r17665] Update translation templates.

2019-08-02 20:06  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17664] Move out GEOS 3.8 specific result into a version-tested
	  file

2019-08-01 20:31  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17659] Harmonize calls so tests return same results on multiple
	  Pg versions
	  References #4464

2019-08-01 13:28  Nicklas Avén <nicklas.aven@jordogskog.no>

	* [r17655] bugfix to fix for #4461

2019-08-01 08:20  Nicklas Avén <nicklas.aven@jordogskog.no>

	* [r17654] Remove duplicate points with ST_AsTWKB also when
	  apearing before min npoints Closes #4461

2019-07-31 21:42  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17653] Handle POINT EMPTY in shape loader/dumper
	  Closes #4437

2019-07-31 15:22  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17649] Travis: Use PG12 image by default
	  
	  Closes #4446

2019-07-30 22:27  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17648] Use protobuf version to enable/disable mvt/geobuf
	  Closes #4419

2019-07-29 17:36  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17645] Add test case and update test case for null-handling
	  behaviour
	  References #4209

2019-07-29 16:58  Regina Obe <lr@pcorp.us>

	* [r17644] add in -d transform into enhancements list, move bug
	  fixes into a separate section from enhancements.
	  This is to make it easier to spot and drop bug fixes if they are
	  backported to older versions of PostGIS (as they won't be new
	  things in PostGIS 3.0)

2019-07-29 16:33  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17640] Match JSON pretty print param name to one used in pgsql

2019-07-29 16:32  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17639] Handle NULL geometry values in pgsql2shp
	  References #4209

2019-07-29 15:34  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17635] Fix undefined behaviour in _postgis_gserialized_stats
	  
	  Closes #4466

2019-07-29 14:00  Sandro Santilli <strk@kbt.io>

	* [r17631] Have run_test include full shp2pgsql commandline on
	  failure

2019-07-29 14:00  Sandro Santilli <strk@kbt.io>

	* [r17630] Do not free state->geo_col, and do not strdup when
	  assigning defaults

2019-07-29 13:59  Sandro Santilli <strk@kbt.io>

	* [r17629] Fix memory leaks in shp2pgsql

2019-07-29 13:35  Sandro Santilli <strk@kbt.io>

	* [r17628] Remove unused variable from loader state

2019-07-29 13:28  Sandro Santilli <strk@kbt.io>

	* [r17627] Use a single variable for column names

2019-07-29 02:01  Regina Obe <lr@pcorp.us>

	* [r17626] Missed a spot - get rid of hard-coding of 4326 for
	  geography srid
	  References #4466

2019-07-29 01:47  Regina Obe <lr@pcorp.us>

	* [r17625] Take out restriction that geography can only work with
	  srid 4326
	  Geography supports any long-lat projection since 2.2
	  Closes #4465

2019-07-29 01:11  Regina Obe <lr@pcorp.us>

	* [r17624] Add regression tests for using -s from_srid:to_srid with
	  -D (copy mode) for both geometry and geography
	  Closes #4403

2019-07-28 21:37  Regina Obe <lr@pcorp.us>

	* [r17623] Hoepfully last trailing space
	  References #4403

2019-07-28 21:27  Regina Obe <lr@pcorp.us>

	* [r17622] Get rid of trailing spaces
	  References #4403

2019-07-28 21:14  Regina Obe <lr@pcorp.us>

	* [r17621] Support for srid reprojection when using -D switch
	  References #4403
	  Tests forthcoming

2019-07-22 13:27  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17620] postgis_extensions_upgrade() also updates after
	  pg_upgrade
	  
	  Closes #4271
	  Closes https://github.com/postgis/postgis/pull/449

2019-07-22 11:35  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17619] Disable tests that give different answer on Proj.5 vs.
	  Proj.4
	  
	  References #4104

2019-07-19 14:49  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17618] Topology: Remove TODOs

2019-07-19 14:21  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17617] lwcompound_stroke: Remove unused function
	  

2019-07-19 13:02  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17616] Re-enable gdal tests
	  
	  Reverts r16688
	  
	  Closes #4104
	  Closes https://github.com/postgis/postgis/pull/450

2019-07-19 05:47  Regina Obe <lr@pcorp.us>

	* [r17615] Dealing with IGN SRIDs from Michel Philippenko
	  closes https://github.com/postgis/postgis/pull/448
	  for PostGIS 23.0

2019-07-18 16:29  Regina Obe <lr@pcorp.us>

	* [r17613] Correct description of ST_BandPixelType function
	  Closes https://github.com/postgis/postgis/pull/447
	  thanks Mateusz Łoskot

2019-07-16 21:42  Regina Obe <lr@pcorp.us>

	* [r17612] Make berrie script a bit more generic and add regular
	  make check as well

2019-07-16 15:28  Regina Obe <lr@pcorp.us>

	* [r17611] Change to test again PG 12 (instead of 13)
	  Closes #4456

2019-07-16 14:19  Regina Obe <lr@pcorp.us>

	* [r17610] Revise berrie to use her own custom PostgreSQL build --
	  evidentally installing past the jenkins workspace is a no no for
	  some reason

2019-07-16 08:58  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17609] Add CPPFLAGS where missing
	  
	  Spotted by Debian's build log hardening checker, blhc.
	  
	  https://salsa.debian.org/debian-gis-team/postgis/-/jobs/222378
	  
	  Patch by Christoph Berg <myon -at- debian.org>
	  
	  Closes https://github.com/postgis/postgis/pull/446

2019-07-15 23:14  Regina Obe <lr@pcorp.us>

	* [r17605] Try to get berrie to use workspace installed pg12 to get
	  around make install installing in wrong folder
	  References #4456

2019-07-15 12:38  Regina Obe <lr@pcorp.us>

	* [r17604] Stop trying to run createlang -- plpgsql is always
	  installed
	  Closes #4457

2019-07-15 10:13  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17603] ST_IsEmpty: Speed up by avoiding deserialization
	  
	  Closes #4453
	  Closes https://github.com/postgis/postgis/pull/442

2019-07-15 10:08  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17602] ST_Startpoint: Improve tests and documentation
	  
	  Closes https://github.com/postgis/postgis/pull/443/

2019-07-15 10:07  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17601] _ST_OrderingEquals: Avoid deserialization
	  
	  Closes #4454
	  Closes https://github.com/postgis/postgis/pull/444

2019-07-14 14:24  Darafei Praliaskouski <me@komzpa.net>

	* [r17600] Fast Hilbert btree.
	  
	  Requires btree indexes to be recreated.
	  
	  Closes https://github.com/postgis/postgis/pull/436
	  Closes #3883

2019-07-14 05:06  Regina Obe <lr@pcorp.us>

	* [r17599] revise to install and test extensions

2019-07-14 04:43  Regina Obe <lr@pcorp.us>

	* [r17598] Just let postgis build put wherever it wants the tmp
	  files

2019-07-14 04:15  Regina Obe <lr@pcorp.us>

	* [r17597] revise to have tmp folder in code folder to try to get
	  around issue can't create directory

2019-07-14 02:57  Regina Obe <lr@pcorp.us>

	* [r17596] Fix Berrie's badge link. Add badge links for Bessie and
	  Bessie32. revise to 3 bots per line

2019-07-14 02:41  Regina Obe <lr@pcorp.us>

	* [r17595] Add berrie to list of buildbots. revise berrie script to
	  create ~tmp folder if it doesn't exist
	  References #4456

2019-07-14 01:14  Regina Obe <lr@pcorp.us>

	* [r17594] Add berrie's ci script
	  berrie is a Rasberry Pi 32-bit system running Debian Buster (10),
	  graciously offered by Bruce Rindahl
	  
	  References #4456

2019-07-12 16:03  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17593] Speed up ST_X, ST_Y, ST_Z and ST_M
	  
	  Closes https://github.com/postgis/postgis/pull/435
	  Closes https://trac.osgeo.org/postgis/ticket/4449

2019-07-12 16:00  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17592] Add new entries to spatial_ref_sys and handle non-EPSG
	  authnames
	  Closes #4417

2019-07-12 15:57  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17591] gserialized: Style changes
	  
	  References #4449

2019-07-10 22:49  Sandro Santilli <strk@kbt.io>

	* [r17590] Fix Makefile override warning
	  
	  Fixes the following:
	  
	  warning: overriding recipe for target 'check'
	  .../pgxs.mk:276: warning: ignoring old recipe for target 'check'

2019-07-10 22:49  Sandro Santilli <strk@kbt.io>

	* [r17589] Don't leave .bak files in staged install

2019-07-10 21:34  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17588] Add example using optional bounds

2019-07-10 20:44  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17587] Add ST_TileEnvelope utility function
	  Closes #4452

2019-07-09 15:43  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17586] Speed up ST_GeometryType
	  
	  Closes https://github.com/postgis/postgis/pull/434
	  Closes #4450

2019-07-09 15:33  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17585] Fix the calculation of gserialized_max_header_size
	  
	  Closes #4451
	  Closes https://github.com/postgis/postgis/pull/433

2019-07-09 15:30  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17584] Address compiler warning in 32b systems

2019-07-08 21:08  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17583] Ignore TiledAutoSkipNoData.tif

2019-07-02 19:47  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17582] Strip out getMachineEndian() in favour of configure-time
	  check

2019-07-02 09:00  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17580] Fix bug in lwgeom_le
	  
	  Closes #4445

2019-07-02 08:44  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17577] Improve hash changes NEWS
	  
	  Since the output of the function has changed, any
	  index using it must be reindexed
	  
	  References #4433

2019-07-01 19:01  Regina Obe <lr@pcorp.us>

	* [r17576] get rid of -e in packaging (causing error to be thrown
	  if tries to remove zip not present), minor adjustments to
	  packaging.

2019-07-01 18:15  Regina Obe <lr@pcorp.us>

	* [r17575] fix for 32-bit hash
	  Closes #4433
	  Closes https://github.com/postgis/postgis/pull/429

2019-07-01 14:03  Regina Obe <lr@pcorp.us>

	* [r17574] Flip to 3.0.0alpha4dev

2019-07-01 07:31  Regina Obe <lr@pcorp.us>

	* [r17572] Prep for 3.0.0alpha3 release

2019-07-01 03:37  Regina Obe <lr@pcorp.us>

	* [r17571] optional cgal version

2019-07-01 01:27  Regina Obe <lr@pcorp.us>

	* [r17570] more changes to allow custom building of version items

2019-06-28 16:49  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17567] Type lookups in FDW fail due to sparse search_path.
	  References #4440

2019-06-28 15:39  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17566] Fix wagyu configure dropping CPPFLAGS
	  
	  Closes #4443

2019-06-28 10:00  Darafei Praliaskouski <me@komzpa.net>

	* [r17565] Rewrite GiST penalty.
	  
	  Use value of 0 as often as possible, as it's special code path in
	  Postgres.
	  Fix picksplit to use correct penalty function.
	  Drop dead code.
	  
	  Closes #4441
	  Closes https://github.com/postgis/postgis/pull/425

2019-06-28 09:42  Darafei Praliaskouski <me@komzpa.net>

	* [r17564] [raster] Skip NODATA tiles in raster2pgsql.
	  
	  Closes #4442
	  Closes https://github.com/postgis/postgis/pull/427

2019-06-27 20:15  Regina Obe <lr@pcorp.us>

	* [r17563] add more pkgconfig and make zlib swappable

2019-06-27 14:15  Regina Obe <lr@pcorp.us>

	* [r17562] fix typo in news

2019-06-27 01:52  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17561] Commit missing file into SVN

2019-06-26 22:34  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17560] Add extended flags area in serialization
	  Closes #4438

2019-06-26 08:04  Sandro Santilli <strk@kbt.io>

	* [r17559] Improve output of lwgeom_summary
	  
	  - Do not print a useless newline
	  - Use plural/singular correctly
	  - Prepend a colon to elements listing

2019-06-22 20:08  Darafei Praliaskouski <me@komzpa.net>

	* [r17557] Allow FULL OUTER JOIN on geometry.
	  
	  Closes #4394
	  Closes https://github.com/postgis/postgis/pull/409

2019-06-22 20:05  Darafei Praliaskouski <me@komzpa.net>

	* [r17556] [travis] Lint Python code for syntax errors
	  
	  Patch by Christian Clauss
	  
	  Closes #411

2019-06-21 13:45  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17555] Address GCC 9 warning
	  
	  shpopen.c:1757:22: error: ‘. Probably broken SHP file’ directive
	  output may be truncated writing 26 bytes into a region of size
	  between 25 and 48 [-Werror=format-truncation=]

2019-06-21 10:49  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17554] Use GEOSPrepare also for Points and Multipoints
	  
	  This was removed waiting for a fix that was introduced
	  in GEOS 3.6, which is now the minimum required version.
	  
	  Basic tests show this makes ST_Intersects with cached
	  points 30x faster.
	  
	  Closes #3437

2019-06-20 16:28  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17553] Travis: Avoid failing both if codecov download or upload
	  fail

2019-06-20 07:38  Sandro Santilli <strk@kbt.io>

	* [r17551] [drone] Fix yml syntax (pull image)

2019-06-19 16:57  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17549] Revert r17538
	  
	  Some of the bots didn't like it

2019-06-19 15:26  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17548] PROJ cache: Improve the eviction process
	  
	  Instead of selecting a projection that doesn't match
	  the input source srid and silently drop all cache elements
	  after it (potentially dropping the whole cache), we keep
	  a count to know how many item each element has been used
	  and only drop the element with less uses.
	  
	  Closes #4372

2019-06-19 15:23  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17547] PROJ: Remove the extra MemoryContext for PG9.6+
	  
	  In PG9.6+ we can allocate callbacks in the parent node
	  and associate them directly without creating new contextes
	  
	  References #4372

2019-06-19 15:21  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17546] PROJ: Remove manual call to
	  proj_context_set_search_paths
	  
	  AFAIK, we don't provide PROJ files inside our postgis
	  installation
	  anymore and this is conflicting with PROJ6, as changing the
	  search path makes it unable to find the proj.db in the
	  default PATH.

2019-06-19 15:19  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17545] PROJ6: Use proj_trans for single points
	  
	  It's slighly faster to use it for single points,
	  and improves it to match PROJ5 performance
	  
	  References #4372

2019-06-19 15:17  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17544] PROJ: Use the cache memory context
	  
	  Before it was using malloc/free manually, so with
	  this change we depend fully on Postgres allocator
	  
	  References #4372

2019-06-19 15:16  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17543] PROJ: Avoid double lookups
	  
	  References #4372

2019-06-19 15:15  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17542] Increase size of internal PROJ cache
	  
	  Creating PROJ projections is specially slow for PROJ6, so
	  we want to avoid recalculating them as much as possible
	  
	  This is specially important for ST_Buffer(geography) since
	  it decides the SRID, and thus the projection, dinamically
	  based on the geometry position around the globe.
	  
	  References #4372

2019-06-19 15:12  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17541] PROJ6: Speed improvements
	  
	  Caches more elements to avoid recalculation per row
	  
	  References #4372

2019-06-19 15:09  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17540] Fix NEWS related to 3.0alpha3

2019-06-19 15:07  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17539] lwgeom_transform_from_str: Avoid leaking resources under
	  PROJ6+
	  
	  Closes #4429

2019-06-19 15:02  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17538] Configure: Avoid unnecessary errors with PROJ6
	  
	  No point on checking proj_api.h for PROJ6, just check
	  for proj.h directly
	  
	  Related to #4372

2019-06-19 11:57  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17537] Bytebuffer: Ifdef unused code
	  
	  Raises the coverage of the file
	  I was going to delete it, but convinced otherwise

2019-06-18 15:33  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17536] Travis: Do not fail if the coverage upload fails
	  
	  In a previous commit I'd only fixed run_coverage

2019-06-14 22:52  Regina Obe <lr@pcorp.us>

	* [r17535] Fix error in bash preventing building

2019-06-14 17:47  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17534] Respect geodetics when expanding a gbox

2019-06-14 16:49  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17533] Change handling of index search tolerance, it's already
	  in a prior function

2019-06-14 08:55  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17532] Refactor decode_geohash_bbox
	  
	  Applied suggestion by Michael Entin and some extra cleanup

2019-06-13 23:54  Regina Obe <lr@pcorp.us>

	* [r17531] set defaults back to old and put projdir back in
	  configure for some reason not picking up proj

2019-06-13 14:54  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17530] lookup3: Address GCC warnings

2019-06-13 11:57  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17529] Throw on invalid characters when decoding geohash
	  
	  Closes #4406
	  Closes https://github.com/postgis/postgis/pull/420

2019-06-13 07:42  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17522] Avoid pfree'ing the result of getenv
	  
	  References #4327
	  Closes https://github.com/postgis/postgis/pull/419/

2019-06-12 22:57  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17521] Add tolerance from #4081 back in

2019-06-12 22:37  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17520] Back out another change in geography trees

2019-06-12 22:29  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17519] Back out to liblwgeom_internal... so some parts of
	  geodetic want a tight tolerance and others wand a loose one... ug

2019-06-12 22:24  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17518] Try and back out geodetic tolerance change... this is
	  scarily tied together with the cartesian tolerance

2019-06-12 22:04  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17517] Further re-organization of gserialized, attempting to
	  hide all knowledge
	  of the underlying structure behind the API

2019-06-12 13:08  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17511] AddRasterConstraints: Ignore NULLs when generating
	  constraints
	  
	  Closes https://github.com/postgis/postgis/pull/418
	  References #4388

2019-06-12 11:38  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17510] Raster cunit: Address scanf warning on Windows
	  
	  Closes #3252

2019-06-12 11:01  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17509] Travis: Do not fail if the coverage upload fails

2019-06-12 10:30  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17508] Rename update sql files
	  
	  postgis/postgis_drop_after.sql ->
	  postgis/postgis_after_upgrade.sql
	  postgis/postgis_drop_before.sql ->
	  postgis/postgis_before_upgrade.sql
	  
	  Closes #4334

2019-06-12 09:49  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17507] Fix upgrade issues related to renamed function
	  parameters
	  
	  References #4334
	  Closes https://github.com/postgis/postgis/pull/415

2019-06-11 22:02  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17506] Add header for fabs()

2019-06-11 21:41  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17505] Cast to lwgeom for dimensionality test

2019-06-11 21:26  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17504] Use flags values instead of raw numbers

2019-06-11 21:24  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17503] Fix build

2019-06-11 20:49  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17502] Strip out direct calls to FLAGS macros where easy

2019-06-11 20:13  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17501] Reorg and rename gserialized files

2019-06-11 18:39  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17500] Rename cu_tests for gserialized to version 1

2019-06-11 18:31  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17499] Pull gserialized_from_lwgeom_size() back to internal API

2019-06-11 18:24  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17498] Pull gserialized_read_gbox_p and gserialized_peek_gbox_p
	  back in favour of a public gserialized_fast_gbox_p. Pull
	  liblwgeom_internal out of mvt.c

2019-06-11 18:09  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17497] Pragma the pragma
	  
	  Closes https://github.com/postgis/postgis/pull/416

2019-06-11 17:39  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17496] Thou shalt not attempt to quiet warnings

2019-06-11 17:31  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17495] Back out usage of liblwgeom_internal.h a little more
	  (MVT usage is problematical...)

2019-06-11 17:27  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17494] Back out removal of "peek" mode for gbox reading...
	  Seems like it is more widely used and sufficiently different
	  from "read" mode that it needs to stay for now

2019-06-11 16:30  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17493] LWGEOM_zmflag: Silence warning in old PG releases

2019-06-11 16:30  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17492] Hide gserialized_peek_gbox_p() inside
	  gserialized_read_gbox_p()

2019-06-11 15:42  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17491] Remove gserialized_get_zm() since it's barely used

2019-06-11 15:06  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17490] Move gserialized_header_size() out of the public API

2019-06-11 10:20  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17489] Perl tidy over postgis_proc_upgrade.pl
	  
	  To match PostgreSQL convenctions I've used
	  perltidy -b -bl -nsfs -naws -l=100 -ole=unix
	  postgis_proc_upgrade.pl
	  
	  Closes #4352

2019-06-11 10:18  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17488] Use CREATE OR REPLACE AGGREGATE for PG12+
	  
	  References #4352

2019-06-10 22:12  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17487] Create a gserialized_hash function to hide serialized
	  internals
	  within the gserialized module, closes #4424

2019-06-10 20:32  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17486] Remove unused prototype errorIfGeometryCollection

2019-06-10 20:29  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17485] Remove unused function gserialized_to_string

2019-06-10 20:25  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17484] Remove unused function gserialized_copy

2019-06-10 20:23  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17483] Remove un-used prototypes for
	  gserialized_calculate_gbox_geocentric and
	  gserialized_calculate_gbox_geocentric_p

2019-06-10 15:12  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17482] Include version number in address_standardizer lib
	  
	  Reverts r15933
	  Closes https://trac.osgeo.org/postgis/ticket/4414
	  Closes https://github.com/postgis/postgis/pull/413

2019-06-10 13:56  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17481] Clean postgis_config.h.in and related functions
	  
	  Closes https://github.com/postgis/postgis/pull/412
	  Closes #4423

2019-06-10 10:55  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17480] Fix undefined behaviour in implicit conversions
	  
	  Cleans up errors in raster and topology and adds an
	  extra sanitizer build in Travis
	  
	  Closes #4383
	  Closes https://github.com/postgis/postgis/pull/398

2019-06-09 11:31  Darafei Praliaskouski <me@komzpa.net>

	* [r17479] Modernize Python 2 code to get ready for Python 3
	  
	  Patch by Christian Clauss
	  
	  Closes #4422
	  Closes https://github.com/postgis/postgis/pull/410

2019-06-04 23:40  Martin Davis <mtnclimb@gmail.com>

	* [r17471] Fix ST_EndPoint return type

2019-06-04 14:55  Darafei Praliaskouski <me@komzpa.net>

	* [r17470] [raster] raster2pgsql -t auto tile size follows GeoTIFF
	  Natural Block size
	  
	  Commonly found in Cloud Optimized GeoTIFFs.
	  
	  Closes https://github.com/postgis/postgis/pull/408
	  Closes #4413

2019-06-04 00:30  Regina Obe <lr@pcorp.us>

	* [r17469] fix typos

2019-06-03 22:23  Regina Obe <lr@pcorp.us>

	* [r17468] Change default build to use GEOS 3.8 / PROJ 6.1.0 / GDAL
	  2.4.1, but allow overriding

2019-06-03 20:55  Regina Obe <lr@pcorp.us>

	* [r17467] this should do it for fixing packaging -- next after
	  would be to upgrade the versions of things

2019-06-03 04:45  Regina Obe <lr@pcorp.us>

	* [r17466] Fix packaging - was leaving out the postgis and
	  postgis_raster dlls because of version change

2019-06-03 02:16  Darafei Praliaskouski <me@komzpa.net>

	* [r17465] [raster] Support NODATA=NaN raster ingestion
	  
	  Notable example of such raster is Facebook Population Density.
	  
	  Closes #4412
	  Closes https://github.com/postgis/postgis/pull/407

2019-06-02 18:43  Regina Obe <lr@pcorp.us>

	* [r17464] This should fix it.

2019-06-02 17:29  Regina Obe <lr@pcorp.us>

	* [r17463] oops still had mistake -- hopefully this fixes it

2019-06-02 15:47  Regina Obe <lr@pcorp.us>

	* [r17462] fix accidental break of winnie's build script

2019-06-02 11:16  Darafei Praliaskouski <me@komzpa.net>

	* [r17461] [doc] remove notice about wagyu only
	  Closes #4411

2019-06-02 03:35  Regina Obe <lr@pcorp.us>

	* [r17460] Disable wagyu for dist building -- might be unrelated
	  (or result of some other library upgrade when installing mvt
	  stuff) but seems debbie's doc building started failing after she
	  started building with wagyu

2019-06-02 02:35  Regina Obe <lr@pcorp.us>

	* [r17459] Flig to 3.0.0alpha3dev

2019-06-02 02:19  Regina Obe <lr@pcorp.us>

	* [r17457] Prepping for PostGIS 3.0.0alpha2 release

2019-06-02 01:21  Regina Obe <lr@pcorp.us>

	* [r17456] Force --enable-auto-import, also get rid of other flag
	  settings not needed with pkgconfig usage.
	  This is needed for some reason to get wagyu to link (before
	  --disable-auto-import was being dragged in)
	  Closes #4408

2019-06-01 17:32  Darafei Praliaskouski <me@komzpa.net>

	* [r17455] [doc] ST_AsGeoJSON FeatureCollection example

2019-06-01 16:24  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17454] Add removed file

2019-06-01 13:02  Darafei Praliaskouski <me@komzpa.net>

	* [r17453] Make upgrade finish notification copy-paste friendly.

2019-06-01 02:10  Regina Obe <lr@pcorp.us>

	* [r17452] take off --with-wagyu on buildbots now that's the
	  default no longer necessary
	  Revise winnie's builds to use pkgconfig where available instead
	  of the --with-<something>=path commands

2019-06-01 01:29  Regina Obe <lr@pcorp.us>

	* [r17451] Make build with wagyu the default when protobuf is also
	  enabled
	  Closes https://github.com/postgis/postgis/pull/406

2019-05-31 21:37  Regina Obe <lr@pcorp.us>

	* [r17450] reorder wagyu line in bessie regress
	  configure winnie to test with wagyu to better troubleshoot issue
	  References #4408

2019-05-31 20:01  Regina Obe <lr@pcorp.us>

	* [r17449] Change bessies and debbie to build with wagyu
	  For testing what happens when wagyu becomes the default
	  References https://github.com/postgis/postgis/pull/406

2019-05-31 19:59  Darafei Praliaskouski <me@komzpa.net>

	* [r17448] [sfcgal] Expose ST_ConstrainedDelaunayTriangles
	  
	  Closes #4198
	  Closes https://github.com/postgis/postgis/pull/405

2019-05-29 13:57  Sandro Santilli <strk@kbt.io>

	* [r17447] Update GEOS recommendation to 3.7.0
	  
	  Doesn't make sense to recommend 3.6 if it takes 3.7 to use all
	  features of PostGIS...

2019-05-27 21:28  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17446] Fix selectivity issue with support functions, wherein...
	  default
	  selectivities were the only thing we were returning.
	  Closes #4404

2019-05-26 20:51  Regina Obe <lr@pcorp.us>

	* [r17445] Flip version to alpha2dev (hopefully we won't need
	  another alpha), but just in case

2019-05-26 11:37  Regina Obe <lr@pcorp.us>

	* [r17443] put in date

2019-05-26 01:02  Regina Obe <lr@pcorp.us>

	* [r17442] Prep for 3.0.0alpha1 release

2019-05-26 00:59  Regina Obe <lr@pcorp.us>

	* [r17441] schema qualify usage

2019-05-21 23:56  Martin Davis <mtnclimb@gmail.com>

	* [r17440] Improve ST_ConvexHull doc

2019-05-16 06:20  Sandro Santilli <strk@kbt.io>

	* [r17439] [git] Add .mailmap file
	  
	  Useful for output of: git shortlog -ens

2019-05-15 14:07  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17438] Simple TIN support to allow viz in QGIS
	  Closes #4380

2019-05-14 19:43  Darafei Praliaskouski <me@komzpa.net>

	* [r17436] Format lwlinearreferencing.c
	  
	  Closes #3163

2019-05-09 16:14  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17435] Add note to valid regarding 2d-only nature
	  closes #4364

2019-05-09 13:21  Sandro Santilli <strk@kbt.io>

	* [r17434] Give meaningful error upon missing flex/bison

2019-05-09 13:21  Sandro Santilli <strk@kbt.io>

	* [r17433] [gitlab-ci] Test make maintainer-clean
	  
	  Also install flex

2019-05-03 22:34  Martin Davis <mtnclimb@gmail.com>

	* [r17432] Improve doc Reference types section

2019-05-03 22:05  Martin Davis <mtnclimb@gmail.com>

	* [r17431] Improve doc Reference Constructors

2019-05-02 17:34  Martin Davis <mtnclimb@gmail.com>

	* [r17430] Improve ST_AsMVT doc

2019-05-02 17:17  Sandro Santilli <strk@kbt.io>

	* [r17429] [gitlab-ci] Install bison

2019-05-02 16:44  Sandro Santilli <strk@kbt.io>

	* [r17428] Fix badge links to use "branch" instead of "ref"

2019-05-02 16:44  Sandro Santilli <strk@kbt.io>

	* [r17427] Add badge from cloud.drone.io in README.md

2019-05-02 16:03  Regina Obe <lr@pcorp.us>

	* [r17425] turn off logbt on debbie, needs to be reconfigured
	  giving error - [logbt] unexpected core_pattern:
	  |/usr/share/apport/apport

2019-05-02 15:33  Regina Obe <lr@pcorp.us>

	* [r17424] update cunit output for postgis vector

2019-05-01 21:32  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17423] Re-add ST_GeoJSON documentation

2019-05-01 20:12  Martin Davis <mtnclimb@gmail.com>

	* [r17422] Fix Doc XML structure in Ref file

2019-05-01 18:27  Martin Davis <mtnclimb@gmail.com>

	* [r17421] Improve Doc Ref section - add missing files

2019-05-01 17:40  Martin Davis <mtnclimb@gmail.com>

	* [r17420] Improve Doc reference section (Inputs, Outputs,
	  Accessors etc)

2019-05-01 16:59  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17419] Change GeoJSON example to be self-contained

2019-04-30 16:45  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17418] Add json casts to doc, set json cast precision
	  to defaults used in other functions

2019-04-29 16:16  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17417] Add missing files from previous commits
	  References #1833 and #3687

2019-04-29 16:05  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17416] Casts from geometry to json and jsonb
	  Allows to_json and to_jsonb to serialize geometry columns into
	  json
	  for more intuitive json handling.
	  Closes #3687

2019-04-29 16:04  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17415] ST_AsGeoJSON(record) implementation from Joe Conway
	  Closes #1833

2019-04-24 11:07  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17414] Multiple fixes for undefined behaviour in implicit
	  conversions
	  
	  shp2pgsql-core.c:839:22: runtime error: implicit conversion from
	  type 'int' of value -1 (32-bit, signed) to type 'DBFFieldType'
	  changed the value to 4294967295 (32-bit, unsigned)
	  
	  runtime error: implicit conversion from type 'int32' (aka 'int')
	  of value -1 (32-bit, signed) to type 'uint32' (aka 'unsigned
	  int') changed the value to 4294967295 (32-bit, unsigned)
	  UndefinedBehaviorSanitizer: undefined-behavior
	  lwgeom_functions_basic.c:2237:10 in
	  
	  runtime error: implicit conversion from type 'unsigned int' of
	  value 4294967295 (32-bit, unsigned) to type 'int' changed the
	  value to -1 (32-bit, signed)
	  UndefinedBehaviorSanitizer: undefined-behavior ptarray.c:333:13
	  in
	  
	  runtime error: implicit conversion from type 'unsigned int' of
	  value 4294967295 (32-bit, unsigned) to type 'int' changed the
	  value to -1 (32-bit, signed)
	  UndefinedBehaviorSanitizer: undefined-behavior ptarray.c:333:13
	  in
	  
	  
	  References #4383

2019-04-24 11:03  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17413] lwout_twkb.c: Address implicit type conversion with
	  value change
	  
	  lwout_twkb.c:170:9: runtime error: implicit conversion from type
	  'long long' of value 10000000000 (64-bit, signed) to type 'int'
	  changed the value to 1410065408 (32-bit, signed)
	  
	  References #4383

2019-04-24 11:02  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17412] lwout_wkb.c: Address implicit type conversion with value
	  change
	  
	  lwout_wkb.c:288:16: runtime error: implicit conversion from type
	  'char' of value -16 (8-bit, signed) to type 'uint8_t' (aka
	  'unsigned char') changed the value to 240 (8-bit, unsigned)
	  lwout_wkb.c:654:27: runtime error: implicit conversion from type
	  'uint32_t' (aka 'unsigned int') of value 2147483663 (32-bit,
	  unsigned) to type 'int' changed the value to -2147483633 (32-bit,
	  signed)
	  lwout_wkb.c:213:16: runtime error: implicit conversion from type
	  'char' of value -128 (8-bit, signed) to type 'uint8_t' (aka
	  'unsigned char') changed the value to 128 (8-bit, unsigned)
	  lwout_wkb.c:607:27: runtime error: implicit conversion from type
	  'uint32_t' (aka 'unsigned int') of value 2147483651 (32-bit,
	  unsigned) to type 'int' changed the value to -2147483645 (32-bit,
	  signed)
	  
	  References #4383

2019-04-24 10:59  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17411] Fix several issues when building cunit tests
	  
	  - loader cunit: Add missing $(CFLAGS) to the main binary
	  - liblwgeom cunit: Avoid link issues with some sanitizers
	  
	  References #4383

2019-04-24 10:44  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17410] Always use int32_t for srid
	  
	  The main declaration was already using it, but some
	  places still had int or mistakenly used uint32_t
	  
	  Closes #4384

2019-04-24 10:04  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17409] Style changes from the previous commits
	  
	  Also addresses some warnings in debug logs
	  
	  Note: SPI_processed was 32b until PG9.5 (still supported)

2019-04-24 10:03  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17408] Use uint64 to handle row counts in the topology
	  extension
	  
	  References #4141

2019-04-22 12:09  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17407] Reorder LWGEOM struct members to minimize extra padding
	  
	  Closes https://github.com/postgis/postgis/pull/390
	  References #4368

2019-04-22 10:54  Darafei Praliaskouski <me@komzpa.net>

	* [r17406] ST_Union: allocate correct size of memory in right
	  context
	  
	  Thanks Raul for finding the cause.
	  
	  References #4382
	  Closes https://github.com/postgis/postgis/pull/397

2019-04-21 15:52  Darafei Praliaskouski <me@komzpa.net>

	* [r17405] Call POSTGIS2GEOS in aggregate context.
	  
	  References #4382

2019-04-21 13:41  Darafei Praliaskouski <me@komzpa.net>

	* [r17404] Satisfy ISO C90.
	  References #4382

2019-04-21 12:58  Darafei Praliaskouski <me@komzpa.net>

	* [r17403] Reallocate Union state in aggregate context.
	  
	  References #4382

2019-04-21 10:19  Darafei Praliaskouski <me@komzpa.net>

	* [r17402] [travis] add run_garden.sh lost in previous commit

2019-04-21 09:33  Darafei Praliaskouski <me@komzpa.net>

	* [r17401] [travis] run garden tests on CI.
	  
	  Crashes of documented things will get reported.
	  
	  Closes https://github.com/postgis/postgis/pull/396

2019-04-20 20:40  Regina Obe <lr@pcorp.us>

	* [r17400] Reenable logbt on debbie

2019-04-20 08:20  Darafei Praliaskouski <me@komzpa.net>

	* [r17399] [garden] fix gardan test launch. To test, make garden.

2019-04-18 19:56  Darafei Praliaskouski <me@komzpa.net>

	* [r17398] ST_Union: allow to input more than 1GB of geometries.
	  
	  Output still has to be below 1GB due to postgres tuple length
	  limit.
	  
	  Closes #4340
	  Closes https://github.com/postgis/postgis/pull/394

2019-04-18 05:35  Darafei Praliaskouski <me@komzpa.net>

	* [r17397] Remove ST_Accum. Please use array_agg instead.
	  
	  Closes #4356
	  Closes https://github.com/postgis/postgis/pull/393

2019-04-17 06:31  Darafei Praliaskouski <me@komzpa.net>

	* [r17396] Allow passing TINs to GEOS functions.
	  
	  Closes #4378
	  Closes https://github.com/postgis/postgis/pull/392

2019-04-15 06:37  Sandro Santilli <strk@kbt.io>

	* [r17395] Remove duplicated entry for mdavis in authors file

2019-04-15 05:07  Sandro Santilli <strk@kbt.io>

	* [r17394] Add Martin's contact in authors (also fixes sync
	  scripts)

2019-04-14 02:36  Regina Obe <lr@pcorp.us>

	* [r17392] have make dist build without raster so no risk of system
	  GDAL dragging in a proj. Take out sfcgal building for now until
	  can troubleshoot

2019-04-14 02:05  Regina Obe <lr@pcorp.us>

	* [r17391] Add sfcgal to path

2019-04-14 01:59  Regina Obe <lr@pcorp.us>

	* [r17390] Fix typo in config

2019-04-14 01:42  Regina Obe <lr@pcorp.us>

	* [r17389] Change to use custom built sfcgal (packaged one drags in
	  old gdal and openscenegraph still, so lets see if using our
	  custom works)

2019-04-12 22:14  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17385] Circular string distances have some failure modes, and
	  test
	  suite should test everything bi-directionally.
	  References #4326

2019-04-12 19:45  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17384] Guard against zero'd histo edge, but also avoid
	  arbitrarily inflating edge
	  References #4362

2019-04-11 16:48  Martin Davis <mtnclimb@gmail.com>

	* [r17383] Add Martin Davis as committer

2019-04-11 13:10  Sandro Santilli <strk@kbt.io>

	* [r17382] Allow postgis_extensions_upgrade() to upgrade from
	  '%next' version
	  
	  Would otherwise not even attempt to fix the "next" temporary
	  version

2019-04-10 16:15  Sandro Santilli <strk@kbt.io>

	* [r17381] TRUNCATE spatial_ref_sys upfront when running
	  out_geography test
	  
	  .. this should probably be done upfront for all tests...

2019-04-10 16:15  Sandro Santilli <strk@kbt.io>

	* [r17380] st_askml(geography, integer) was replaced by default
	  args
	  
	  Closes #4366 again

2019-04-10 15:18  Sandro Santilli <strk@kbt.io>

	* [r17379] Drop deprecated functions on upgrade
	  
	  Functions were: _ST_AsGeoJson, _ST_AsKML, _ST_Distance and
	  _ST_Buffer
	  
	  They were deprecated in r17300
	  
	  Fixes upgrades.
	  Closes #4366

2019-04-07 06:40  Darafei Praliaskouski <me@komzpa.net>

	* [r17376] Allow passing GEOMETRYCOLLECTION to GEOS relate
	  functions.
	  
	  Patch by Esteban Zimányi.
	  
	  Closes #4295
	  Closes https://github.com/postgis/postgis/pull/386

2019-04-02 16:17  Regina Obe <lr@pcorp.us>

	* [r17375] Turn off logbt for now. Can't get the setup thing to
	  work

2019-03-31 22:13  Regina Obe <lr@pcorp.us>

	* [r17374] Revert back to old libs got some crashers when trying to
	  flip to 8.1 and newer libraries have to sort out first

2019-03-29 21:19  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17373] Ignore artifact

2019-03-29 21:18  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17372] Formatting :/

2019-03-29 15:56  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17371] Fix various misspellings of "geometry"
	  
	  Patch by François Bonzon
	  
	  Closes https://github.com/postgis/postgis/pull/389

2019-03-29 15:46  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17370] Topology documentation improvements
	  
	  Patch by François Bonzon
	  
	  Closes https://github.com/postgis/postgis/pull/388

2019-03-29 14:25  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17366] Update NEWS from previous commit

2019-03-29 14:23  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17365] Fix postgis_type_name with (GEOMETRYM,3)
	  
	  Patch by Matt Bretl
	  
	  Closes https://github.com/postgis/postgis/pull/387
	  References #4361

2019-03-29 14:10  Sandro Santilli <strk@kbt.io>

	* [r17364] Drop deprecated ST_Distance(geography,geography)
	  signature
	  
	  Fixes #4359

2019-03-28 16:51  Sandro Santilli <strk@kbt.io>

	* [r17363] Add -s switch to check_all_upgrades to stop on first
	  failure
	  
	  Also have Dronie use that switch.
	  Closes #4360

2019-03-28 16:36  Regina Obe <lr@pcorp.us>

	* [r17362] Change winnie to stop looking for rtpostgis...dll and
	  start looking for new name postgis_raster...dll
	  Poor thing was trying to strip a non-existent file and getting
	  frustrated

2019-03-27 21:35  Darafei Praliaskouski <me@komzpa.net>

	* [r17361] Improve Doc Reference section
	  
	  Patch by Martin Davis
	  
	  Reorganize functions into new sections:
	  
	  Spatial Reference System Functions
	  Affine Transformations
	  Spatial Relationships
	  Measurement Functions
	  Clustering Functions
	  
	  Also various wording improvements.
	  
	  References #4332
	  Closes https://github.com/postgis/postgis/pull/385

2019-03-27 15:16  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17360] Drop renamed function
	  
	  References #4345

2019-03-26 14:00  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17359] Only drop old functions if they exists
	  
	  References #4345

2019-03-25 18:20  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17358] Catch un-defaulted final parameter
	  References #4353

2019-03-25 17:39  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17357] Pre-emptively drop functions w/ changed signatures
	  References #4345

2019-03-22 17:04  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17356] Move uthash.h to deps/ folder
	  
	  Closes https://trac.osgeo.org/postgis/ticket/4357
	  Closes https://github.com/postgis/postgis/pull/384

2019-03-22 11:23  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17354] MVT Geos: Avoid dereferencing a NULL pointer after
	  validation
	  
	  References #4348

2019-03-21 16:45  Sandro Santilli <strk@kbt.io>

	* [r17353] Rename raster library to postgis_raster-X
	  
	  Should fix #4355

2019-03-21 12:05  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17351] ST_AsMVTGeom (GEOS): Enforce validation at all times
	  
	  References #4348
	  Closes https://github.com/postgis/postgis/pull/382

2019-03-20 20:07  Regina Obe <lr@pcorp.us>

	* [r17350] don't bother testing non-logbt if logbt is chosen (would
	  be largely redundant? )
	  References #4354

2019-03-20 20:03  Regina Obe <lr@pcorp.us>

	* [r17349] Try to get debbie to use logbt (already installed 2.0.3
	  on her)
	  So can troubleshoot #4354

2019-03-20 16:03  Sandro Santilli <strk@kbt.io>

	* [r17348] Raster is not required anymore for extension support
	  (hurra!)

2019-03-20 16:00  Sandro Santilli <strk@kbt.io>

	* [r17347] Drop unneeded/unused target

2019-03-19 05:29  Darafei Praliaskouski <me@komzpa.net>

	* [r17346] Improve Doc Reference section
	  
	  Patch by Martin Davis
	  
	  Improve trajectory function section
	  Improve Long Transaction reference section
	  Add doc Reference Bounding Box functions section
	  Move doc Reference SFCGAL section
	  Move doc Reference Misc function Find_SRID
	  Move doc Ref ST_PointInsideCircle function
	  Move doc Ref ST_MemSize function
	  Move doc Ref function ST_Accum to Processing functions
	  Disable doc Ref Misc Functions section
	  
	  References #4332
	  Closes https://github.com/postgis/postgis/pull/383

2019-03-18 19:45  Sandro Santilli <strk@kbt.io>

	* [r17345] Avoid installing unneeded raster scripts in contrib dir
	  
	  Also stop building extension in non-extension things

2019-03-18 19:35  Sandro Santilli <strk@kbt.io>

	* [r17344] Stop installing unneeded postgis files in contrib dir
	  
	  Also don't build extension-related things in non-extension
	  related folder

2019-03-14 18:49  Sandro Santilli <strk@kbt.io>

	* [r17343] Give more info about SKIPs

2019-03-14 18:49  Sandro Santilli <strk@kbt.io>

	* [r17342] Do not be fooled by shell operators on upgrade
	  
	  Fixes #4345 which was introduced with r17297

2019-03-13 15:10  Sandro Santilli <strk@kbt.io>

	* [r17341] Refuse to load PostGIS in an untargeted PostgreSQL
	  version
	  
	  Helps user finding out what problems they have when this happens

2019-03-13 15:10  Sandro Santilli <strk@kbt.io>

	* [r17340] Ensure "make check" uses configured PostgreSQL target
	  bins under regress too
	  
	  References #4349

2019-03-13 07:56  Sandro Santilli <strk@kbt.io>

	* [r17339] Ensure "make check" uses configured PostgreSQL target
	  bins
	  
	  Closes #4349
	  Patch by Bruce Rindahl

2019-03-11 19:24  Darafei Praliaskouski <me@komzpa.net>

	* [r17335] Doc layout improvements.
	  
	  Patch by Martin Davis.
	  
	  References #4332
	  Closes https://github.com/postgis/postgis/pull/380

2019-03-11 17:58  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17332] Use CallerFInfoFunctionCallN infrastructure
	  Closes #4347

2019-03-10 18:51  Sandro Santilli <strk@kbt.io>

	* [r17320] Force early flushing of postgis_restore.pl output
	  
	  Reduces memory usage when piping output to further processing
	  filter.
	  
	  Patch by Hugh Ranalli
	  
	  Closes #4330

2019-03-10 18:51  Sandro Santilli <strk@kbt.io>

	* [r17319] Drop support for stdout in extensions_unpackage.sh
	  
	  There wasn't much point in it, as we need a database name to
	  produce the script anyway.

2019-03-10 18:51  Sandro Santilli <strk@kbt.io>

	* [r17318] Fix syntax and indentation

2019-03-09 18:37  Regina Obe <lr@pcorp.us>

	* [r17314] Schema qualify all geometry casts in raster code,
	  otherwise materialized views do not resture
	  References #4291 for PostGIS 3.0.0

2019-03-09 06:32  Regina Obe <lr@pcorp.us>

	* [r17312] Change de_DE to de. de is the one that is active
	  Closes #3848 for PostGIS 3.0.0

2019-03-08 23:35  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17310] Cost a few more opreators

2019-03-08 23:18  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17309] Drop pre-existing db when running without any special
	  mode flags on database handling

2019-03-08 21:51  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17308] Back out dropdb, doesn't really work in that location

2019-03-08 21:48  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17307] Add costs to functions in the form of macros:
	  _COST_LOW, _COST_MEDIUM, _COST_HIGH
	  Macros are set in sqldefines.h.in and are switched
	  on PgSQL version. Prior to PG12, costs should be
	  small or nonexistent, to avoid SQL inlining issues.
	  After Pg12, costs can be higher to hopefully
	  force more parallelism in plans.
	  Closes #4344

2019-03-08 19:45  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17306] Add CSS file to ignores

2019-03-08 19:38  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17305] Remove 'tidy' step for adding mobile header to HTML

2019-03-08 18:05  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17304] Try to drop the database before creating a new one,
	  using a conditional drop in dropdb --if-exists

2019-03-08 16:35  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17303] Move datum declaration closer to use

2019-03-08 16:32  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17302] Fix missing function in Pg < 12 cases

2019-03-07 23:30  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17301] Experimental make target that adds a mobile header to
	  html outpu

2019-03-07 22:08  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17300] Move deprecated functions into legacy.sql.
	  Reduce the number of multi-signature functions.
	  Use native C calls more often in place of SQL wrappers.
	  Remove "versioned" form of ST_AsGeoJSON and ST_AsKML.
	  Harmonize documentation and tests.

2019-03-06 19:36  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17299] Oops, add file to svn
	  References #4341

2019-03-06 17:27  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17298] Use "support function" API in PgSQL 12+ to provide index
	  support for ST_Intersects and company, in place of old SQL
	  inlining method.
	  Closes #4341

2019-03-06 15:50  Sandro Santilli <strk@kbt.io>

	* [r17297] Upon upgrade, create operators when missing (no matter
	  version)
	  
	  Fixes #4339

2019-03-06 15:24  Sandro Santilli <strk@kbt.io>

	* [r17296] Fix default makefile rule for raster pg lib
	  
	  Might fix a long-standing issue with raster showing to require
	  procs upgrade when it is not really true...

2019-03-06 15:14  Sandro Santilli <strk@kbt.io>

	* [r17295] Rename opt_out.sh to extensions_unpackage.sh, drop
	  make_unpackaged.sql

2019-03-06 15:03  Sandro Santilli <strk@kbt.io>

	* [r17294] Simplify opt_out.sh code, allow writing to stdout

2019-03-06 14:57  Sandro Santilli <strk@kbt.io>

	* [r17293] Include raster and sfcgal extensions in opt_out.sh

2019-03-06 14:10  Sandro Santilli <strk@kbt.io>

	* [r17292] Further tweak C function deprecation error
	  
	  This time even with detail and hint !

2019-03-06 10:14  Sandro Santilli <strk@kbt.io>

	* [r17291] Specify it is the C function being deprecated (not SQL
	  one)

2019-03-06 10:13  Sandro Santilli <strk@kbt.io>

	* [r17290] Do not run postgis_full_version() at the end of
	  extensions upgrade
	  
	  .. it won't have all the new information as transaction is not
	  completed by that time ..

2019-03-06 10:08  Sandro Santilli <strk@kbt.io>

	* [r17289] Tweak C signature deprecation error
	  
	  Drop assumptions about installation being based on extension

2019-03-04 22:09  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17288] Add in check-long target with slow tests

2019-03-04 17:00  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17287] Comment out really tedious lng-running tests

2019-02-27 17:25  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17286] Catch Proj null returns in lwerror

2019-02-27 16:03  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17285] Hm, every proj call really needs a NULL guard :/

2019-02-27 12:49  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17284] Add intersects to postgis_legacy.c
	  
	  Closes https://github.com/postgis/postgis/pull/377
	  Closes #4333

2019-02-26 17:14  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17283] Proj 6 news entry
	  References #4322

2019-02-26 14:30  Regina Obe <lr@pcorp.us>

	* [r17282] oops didn't notice was LWPOINT and not LWGEOMGet rid of
	  assert causing ST_3DMakeBox to crash
	  References #4331 for PostGIS 3.0

2019-02-25 22:41  Regina Obe <lr@pcorp.us>

	* [r17281] Get rid of assert causing ST_3DMakeBox to crash
	  Change ST_3DMakeBox to throw an error when fed empty points
	  instead of returning a philosophical answer to a stupid question
	  Change ST_MakeBox2D to return a more meaningful error instead
	  waiting to fail when asking what is x of an empty point?
	  Closes #4331 for PostGIS 3.0

2019-02-25 19:13  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17280] Travis global badge tracking release branches only

2019-02-24 22:41  Regina Obe <lr@pcorp.us>

	* [r17279] For CTEs to materialize by putting in OFFSET 0 on raster
	  CTE queries
	  So PostgreSQL CTE call behaves like older versions that always
	  materialized
	  references #4329 for PostGIS 3.0

2019-02-22 23:44  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17278] Remove unused code

2019-02-22 23:42  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17277] Fix cut/paste error in NULL guard

2019-02-22 23:40  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17276] Guard against null return and avoid leaking PJ object

2019-02-22 23:05  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17275] Change varianble name, per Even

2019-02-22 21:36  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17274] Support new Proj6 API
	  Closes #4322

2019-02-22 18:10  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17273] Comment out old pointonsurface test, as newer versions
	  of GEOS will no longer throw the expected exception.
	  History marches on.
	  References #4103

2019-02-22 17:26  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17272] Include for text_to_cstring

2019-02-22 16:51  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17271] Replace VARSIZE(foo)-VARHDRSZ pattern with
	  VARSIZE_ANY_EXHDR(foo)
	  macro from standard Pg.

2019-02-21 20:44  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17269] Add extra_float_digits for pg12

2019-02-21 18:26  Regina Obe <lr@pcorp.us>

	* [r17268] Missed some spots in last commit
	  Change from using CTE to use subquery so results are the same
	  across all platforms
	  reason necessary in PostgreSQL 12, CTE changed from being always
	  materialized to being often inlined.
	  This means PG12, no longer behaves like old CTE and behaves more
	  like subquery.
	  As a result 12 CTE is outputting 4 warnings instead of 1 like
	  older versions.
	  Changing to just subquery should force all to output 4 warnings.
	  references #4329 for PostGIS 3.0

2019-02-21 14:53  Regina Obe <lr@pcorp.us>

	* [r17267] Change from using CTE to use subquery so results are the
	  same across all platforms
	  reason necessary in PostgreSQL 12, CTE changed from being always
	  materialized to being often inlined.
	  This means PG12, no longer behaves like old CTE and behaves more
	  like subquery.
	  As a result 12 CTE is outputting 4 warnings instead of 1 like
	  older versions.
	  Changing to just subquery should force all to output 4 warnings.
	  references #4329 for PostGIS 3.0

2019-02-20 23:50  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17266] Back out %ld patch, apparently the 32-bit
	  implementations just blow chunks on build instead of warning.
	  Yuck.

2019-02-20 23:25  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17265] Quiet debug build warnings about uint64 into %d

2019-02-20 07:28  Darafei Praliaskouski <me@komzpa.net>

	* [r17264] Add lost rounding for PG12

2019-02-20 06:55  Darafei Praliaskouski <me@komzpa.net>

	* [r17263] Remove postgis.backend switch and SFCGAL versions of
	  functions that have both versions.
	  
	  Causes #4328
	  
	  References #4258
	  Closes https://github.com/postgis/postgis/pull/374

2019-02-20 01:17  Regina Obe <lr@pcorp.us>

	* [r17262] Put in rounding to fix regression as result of changes
	  in PostgreSQL 12
	  References #4329 for PostGIS 3.0

2019-02-19 03:46  Regina Obe <lr@pcorp.us>

	* [r17261] schema qualify tiger tables

2019-02-16 01:05  Darafei Praliaskouski <me@komzpa.net>

	* [r17260] Make lwgeom_mindist3d solid aware. Add TIN support.
	  
	  Thanks Hugo Mercier for suggesting test cases.
	  
	  Closes #4278
	  Closes https://github.com/postgis/postgis/pull/373

2019-02-15 19:01  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17259] Update test running instructions

2019-02-15 18:52  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17252] Update OGC certification scripts to match new function
	  signatures

2019-02-13 22:23  Darafei Praliaskouski <me@komzpa.net>

	* [r17251] Fix upgrades.
	  
	  References #4304

2019-02-12 11:34  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17250] Wagyu build improvements
	  
	  Use same compiler as postgresql (adds extra -x cxx)
	  Pass the C++ standard library to postgres when linking wagyu
	  
	  Closes #4321
	  Closes https://github.com/postgis/postgis/pull/371

2019-02-12 10:46  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17249] Trailing whitespace

2019-02-12 10:32  Darafei Praliaskouski <me@komzpa.net>

	* [r17248] Add seed parameter for ST_GeneratePoints.
	  
	  Patch by Mike Taves.
	  
	  Closes #4299
	  Closes #4304
	  Closes https://github.com/postgis/postgis/pull/365

2019-02-11 21:03  Darafei Praliaskouski <me@komzpa.net>

	* [r17247] [format] Tidy up measures3d.
	  
	  References #4278

2019-02-11 18:42  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17246] Only use configure variables to pass ldflags
	  
	  Closes #4318

2019-02-11 18:04  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17245] Configure: libpcre is optional
	  
	  Build shouldn't stop if libpcre isn't present
	  
	  References #4324

2019-02-11 17:54  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17244] Configure: Accept missing proj pg-config script
	  
	  It was introduced in PROJ 4.8 and wasn't included under some
	  distributions until 4.9

2019-02-11 17:17  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17235] Add generated lexer

2019-02-11 17:17  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17234] Add lex initialization
	  References #4017

2019-02-11 16:41  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17233] Use pkg-config to improve dependency detection
	  
	  Closes #4324
	  Closes https://github.com/postgis/postgis/pull/372

2019-02-06 22:38  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17232] Add ignores for Makefiles

2019-02-05 15:27  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17231] Integrate wagyu to validate MVT polygons
	  
	  Closes https://github.com/postgis/postgis/pull/356
	  Closes #4311

2019-02-04 23:02  Regina Obe <lr@pcorp.us>

	* [r17229] update dronie build badge to point specifically at trunk
	  Revise winnie's build to include path to SFCGAL for some reason
	  building static never had dependency on sfcgal, now we do :(

2019-02-02 17:32  Regina Obe <lr@pcorp.us>

	* [r17227] Try to fix winnie's complaints by getting rid of static
	  link patch
	  References #4308

2019-02-02 06:13  Regina Obe <lr@pcorp.us>

	* [r17226] Flip winnie back to 3.8.0dev geos testing. After
	  https://git.osgeo.org/gitea/geos/geos/commit/b88d4614aaf3c5e73fd275a88253f62f34c25bb9
	  she doesn't hang on geos 64-bit tests anymore and that should fix
	  this as well.

2019-01-31 15:47  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17223] PostgreSQL 12 compatibility
	  
	  Initial patch by Laurenz Albe
	  References #4313

2019-01-30 19:36  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17222] Coverage: Download script when needed

2019-01-30 19:13  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17220] ST_ClipByBox2D: Do not throw when the geometry is
	  invalid
	  
	  References #4314
	  Closes https://github.com/postgis/postgis/pull/369

2019-01-30 13:35  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17219] ST_AsMVTGeom: Fix bug that oversimplified vertical or
	  horizontal lines
	  
	  References #4294
	  Closes https://github.com/postgis/postgis/pull/367

2019-01-26 23:22  Regina Obe <lr@pcorp.us>

	* [r17218] Flip to 30 table suffix

2019-01-26 18:40  Regina Obe <lr@pcorp.us>

	* [r17217] Take back out the postgis docker - giving libtoolize:
	  error: Failed to create 'build-aux' need to investigate further

2019-01-26 18:00  Regina Obe <lr@pcorp.us>

	* [r17216] Put back docker hub postgis 11 test, remove drone pre
	  1.0 config (we are standardizing on 1.0 now)

2019-01-24 16:19  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17214] PG12 compat: Remove unnecessary header include (tqual.h)
	  
	  Everything works in Travis (9.5, 9.6, 10, 11) without including
	  this
	  header; and I can't see any function from this file being used

2019-01-24 16:13  Sandro Santilli <strk@kbt.io>

	* [r17213] [gitlab-ci] Use Debian buster (10) for building/testing
	  PostGIS
	  
	  Closes #4280
	  
	  Gives us:
	  
	  PostgreSQL 11.1
	  GDAL 2.4.0
	  GEOS 3.7.1
	  PROJ 5.2.0

2019-01-23 17:21  Sandro Santilli <strk@kbt.io>

	* [r17212] Use quiet psql on regress

2019-01-22 15:04  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17211] Only build static liblwgeom
	  
	  
	  References #4260
	  Closes https://github.com/postgis/postgis/pull/366

2019-01-22 12:29  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17210] Speedup concave_hull_hard test
	  
	  Closes #4306

2019-01-22 11:50  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17209] Build raster loader with static liblwgeom too
	  
	  References #4260

2019-01-22 11:38  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17208] Loader: Use static instead of static-libtool
	  
	  We should only care about uninstalled libraries (liblwgeom)

2019-01-22 09:10  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17207] Partially revert r17181
	  
	  It changed the behaviour of _postgis_pgsql_version
	  Now uses the appropiate 5-6 digit version from server_version_num
	  References #4296
	  References #4303

2019-01-21 23:18  Regina Obe <lr@pcorp.us>

	* [r17203] remove docker hub image (geos seems broken at moment)

2019-01-21 22:25  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17202] Statically link shp2pgsql and other loader utilities to
	  liblwgeom
	  References #4260

2019-01-21 19:55  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17201] Ignore generated file

2019-01-21 19:53  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17200] Sync generated parser files with parser using recent
	  bison

2019-01-21 19:24  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17196] Commit generated code to match parser file

2019-01-21 19:22  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17193] Actually put fix for #4273 in the right place
	  so it isn't blown away when parser.y is evaluated.
	  References #4273

2019-01-21 19:06  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17192] Reformat slightly

2019-01-21 16:44  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17191] Improve notice message when unable to compute stats
	  
	  Closes #4272
	  Closes https://github.com/postgis/postgis/pull/364

2019-01-18 21:57  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17190] Un space

2019-01-18 20:41  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17185] Avoid final point duplicates for circle stroking
	  References #4283

2019-01-18 17:25  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17181] Use `server_version_num` instead of parsing `version()`
	  
	  Closes #4296
	  Closes https://github.com/postgis/postgis/pull/363

2019-01-18 16:05  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17174] Avoid passing a NULL pointer to GEOSisEmpty
	  
	  References #4275

2019-01-18 11:58  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17173] ST_AsMVTGeom: Transform coordinates space before
	  clipping
	  
	  Closes #4289
	  Closes https://github.com/postgis/postgis/pull/360

2019-01-17 23:17  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17167] Use AccessShareLock in spatial_index_read_extent
	  References #4261

2019-01-17 21:49  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17166] Attempt to catch point-on-edge case before more subtle
	  tests
	  References #4298

2019-01-17 21:09  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17165] Ignore build/test artifacts

2019-01-17 11:30  Darafei Praliaskouski <me@komzpa.net>

	* [r17163] ST_Subdivide endless loop on coordinates near coincident
	  to bounds
	  
	  Closes #4301
	  Closes https://github.com/postgis/postgis/pull/361

2019-01-16 16:55  Sandro Santilli <strk@kbt.io>

	* [r17162] Typo in drone pipeline name

2019-01-16 10:48  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17160] ST_AsMVTGeom: Always return the simplest geometry
	  
	  References #4300

2019-01-15 22:19  Regina Obe <lr@pcorp.us>

	* [r17158] take sudo out, doesn't exist on this particular image

2019-01-15 22:04  Regina Obe <lr@pcorp.us>

	* [r17156] Latest gave 9.5, no so latest, try switching to the pg11
	  geomaster image

2019-01-15 21:57  Regina Obe <lr@pcorp.us>

	* [r17155] try to flip to a super user interface to see if fixes
	  can't create build-aux directory issue

2019-01-15 21:45  Regina Obe <lr@pcorp.us>

	* [r17154] try to fix up the run step for using docker hub postgis
	  image

2019-01-15 21:31  Regina Obe <lr@pcorp.us>

	* [r17153] Attempt to add postgis docker hub image as an additional
	  pipeline. Change badge to use new drone 1.0
	  https://dronie.osgeo.org

2019-01-15 20:52  Regina Obe <lr@pcorp.us>

	* [r17152] Get rid clone step see if it fixes default error issue

2019-01-15 16:32  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17151] Tests: Remove warning when building with 32bit arch
	  
	  It appeared when investigating #4298

2019-01-15 11:17  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17150] Configure: Improve format when printing extension
	  information

2019-01-15 10:23  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17149] postgis_full_version: Reduce raster notices to debug
	  
	  Closes #4297

2019-01-14 18:02  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17148] ST_AsMVTGeom: Do resolution check before deserializing
	  
	  Closes #4294
	  Closes https://github.com/postgis/postgis/pull/358

2019-01-14 16:53  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17147] Force liblwgeom recompilation when lwinline.h changes
	  
	  Closes https://github.com/postgis/postgis/pull/359
	  Closes #4288

2019-01-13 21:19  Regina Obe <lr@pcorp.us>

	* [r17146] try to fix yaml: no default pipeline

2019-01-13 21:00  Regina Obe <lr@pcorp.us>

	* [r17145] try to fix yaml: unknown anchor 'test-image' referenced

2019-01-13 20:58  Regina Obe <lr@pcorp.us>

	* [r17144] try to fix yaml: unknown anchor 'test-image' referenced

2019-01-13 20:56  Regina Obe <lr@pcorp.us>

	* [r17143] try to fix yaml: line 4: mapping values are not allowed
	  in this context by putting name indent on same level with other
	  step parts

2019-01-13 20:46  Regina Obe <lr@pcorp.us>

	* [r17142] Drone 1.0 config (the 1.0 has major breaking changes
	  from 0.5/0.8 so can't use existing .drone.yml
	  Currently two drone 1.0 agens - debbie and dronie.sogeo.org
	  dronie.osgeo.org (residing on osgeo7 server) is also the 1.0
	  drone server -- https://dronie.osgeo.org

2019-01-11 21:26  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17139] Remove debugging lines

2019-01-11 21:17  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17138] Harmonize circ_tree_contains_point to new signature

2019-01-11 21:07  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17137] Change point-in-cone routine to be more tolerant
	  of narrow edges, and hopefully more robust.
	  References #4290

2019-01-11 12:33  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17134] ST_AsMVT: parse JSON numeric values with decimals as
	  doubles
	  
	  References #4292
	  Closes https://github.com/postgis/postgis/pull/357

2019-01-10 18:03  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17132] Fix memory leak in error case when valid
	  object is followed by junk text
	  References #4273

2019-01-09 19:43  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17128] Fix other test cases and move change closer to
	  the problem.
	  References #4273

2019-01-09 16:42  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17127] Tighten up parsing to account for strings
	  with junk after valid geometry
	  References #4273

2019-01-08 16:48  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17126] Re-order linker flags for those systems that have old
	  headers installed in system locations

2019-01-04 19:17  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17125] Set the default maxvertices for subdivide to be 128,
	  so that we don't accidentally create subdivided
	  geometries that still push us over the page size

2018-12-29 22:25  Regina Obe <lr@pcorp.us>

	* [r17124] Flip back to GEOS 3.7 for winnie to prevent test
	  hanging.
	  References #4284

2018-12-28 18:58  Regina Obe <lr@pcorp.us>

	* [r17123] Add in legacy stub for LWGEOMFromWKB which was removed
	  in PostGIS 2.1 (this will allow 2.1 users to symlink to a 3.0
	  hopefully) and upgrade

2018-12-27 17:20  Daniel Baston <dbaston@gmail.com>

	* [r17122] Fix infinite loop when linearizing circles
	  
	  Resolves #4282

2018-12-26 03:55  Regina Obe <lr@pcorp.us>

	* [r17118] Fix so custom --projdir configure switch works again.
	  References #4279 for PostGIS 3.0

2018-12-21 05:50  Darafei Praliaskouski <me@komzpa.net>

	* [r17117] Bump SFCGAL to 1.3.1
	  
	  Closes #4268
	  Closes https://github.com/postgis/postgis/pull/353

2018-12-21 05:44  Darafei Praliaskouski <me@komzpa.net>

	* [r17116] revert accidential trunk commit of broken raster doc in
	  r17114
	  
	  References #4276

2018-12-21 05:36  Darafei Praliaskouski <me@komzpa.net>

	* [r17114] [doc] ST_AsGeoJSON doc refresh
	  
	  Closes #4276
	  Closes https://github.com/postgis/postgis/pull/355

2018-12-17 10:42  Darafei Praliaskouski <me@komzpa.net>

	* [r17113] Attribute Raúl Marín for help resolving build issue.
	  
	  References #4254

2018-12-17 10:31  Darafei Praliaskouski <me@komzpa.net>

	* [r17108] Support Proj 6. Support is via legacy API, we need to
	  redesign for non-legacy and Proj 7.
	  
	  Closes #4254
	  Closes https://github.com/postgis/postgis/pull/354

2018-12-17 06:37  Darafei Praliaskouski <me@komzpa.net>

	* [r17107] Remove GEOS < 3.6 mentions from code and docs.
	  
	  Closes #4267
	  Closes https://github.com/postgis/postgis/pull/352

2018-12-16 15:42  Darafei Praliaskouski <me@komzpa.net>

	* [r17106] Remove stray uncommented line while removing GEOS 3.5
	  check
	  
	  References #4267

2018-12-14 19:50  Regina Obe <lr@pcorp.us>

	* [r17105] Bump minimum GEOS version to 3.6
	  Closes #4267

2018-12-13 06:43  Regina Obe <lr@pcorp.us>

	* [r17104] change "vacuum analyze verbose" to "vacuum (analyze,
	  verbose)" - the old syntax was removed in PostgreSQL 11

2018-12-12 06:04  Regina Obe <lr@pcorp.us>

	* [r17103] Flip to testing GEOS 3.8 for winnie

2018-12-04 20:30  Darafei Praliaskouski <me@komzpa.net>

	* [r17102] Remove SFCGAL concave_hull tests.
	  
	  References #4258

2018-12-04 20:03  Darafei Praliaskouski <me@komzpa.net>

	* [r17101] Remove tickets.sql for SFCGAL.
	  
	  They're same as geos now anyway, no need to test twice.
	  
	  References #4258

2018-12-04 19:39  Darafei Praliaskouski <me@komzpa.net>

	* [r17100] Remove SFCGAL 2D overlay functions.
	  
	  References #4258
	  Closes https://github.com/postgis/postgis/pull/350

2018-12-03 22:16  Darafei Praliaskouski <me@komzpa.net>

	* [r17099] Build process needs presence of install: and uninstall:
	  targets
	  
	  References #4260

2018-12-03 20:31  Darafei Praliaskouski <me@komzpa.net>

	* [r17098] Don't install liblwgeom.
	  
	  Closes https://github.com/postgis/postgis/pull/348
	  Closes #4260

2018-12-03 20:16  Darafei Praliaskouski <me@komzpa.net>

	* [r17097] ST_3DLineInterpolatePoint.
	  
	  Patch by Julien Cabieces and Vincent Mora.
	  
	  Closes #2645
	  Closes #4171
	  Closes https://github.com/postgis/postgis/pull/344
	  Closes https://github.com/postgis/postgis/pull/346

2018-12-03 20:08  Darafei Praliaskouski <me@komzpa.net>

	* [r17096] Remove knn tests
	  
	  Closes #4229

2018-12-03 09:03  Darafei Praliaskouski <me@komzpa.net>

	* [r17095] Remove support for Postgres < 9.5.
	  
	  Closes https://github.com/postgis/postgis/pull/349
	  Closes #4229

2018-12-01 21:22  Darafei Praliaskouski <me@komzpa.net>

	* [r17094] Remove SFCGAL ST_Distance
	  
	  References #4258
	  Closes https://github.com/postgis/postgis/pull/347

2018-11-30 18:00  Darafei Praliaskouski <me@komzpa.net>

	* [r17093] [format] clang-format files touched in SFCGAL relayout
	  
	  References #4258

2018-11-30 17:25  Darafei Praliaskouski <me@komzpa.net>

	* [r17092] SFCGAL: remove ST_Area SFCGAL implementation
	  
	  References #4258
	  Closes https://github.com/postgis/postgis/pull/345

2018-11-30 17:01  Darafei Praliaskouski <me@komzpa.net>

	* [r17091] postgis_legacy.c: use #define's

2018-11-30 15:47  Daniel Baston <dbaston@gmail.com>

	* [r17090] Remove duplicated flag documentation [ci skip]

2018-11-29 11:10  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17087] Correct referenfce in NEWS file
	  
	  References #4262

2018-11-29 09:31  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17086] Document MULTISURFACE compatibility of ST_LineToCurve
	  
	  Patch by Steven Ottens
	  
	  Closes #4162
	  Closes https://github.com/postgis/postgis/pull/343

2018-11-29 09:19  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17084] Include liblwgeom first
	  
	  Ported from r16813 (2.5)
	  References #4180
	  References #4260

2018-11-28 21:13  Regina Obe <lr@pcorp.us>

	* [r17083] Add in raster, sfcgal, and topology test outputs
	  (revisit later to trim output)

2018-11-28 20:58  Regina Obe <lr@pcorp.us>

	* [r17082] Update PostgreSQL note about lowest minor supported, add
	  updated output of tests, minor casing fix on NEWS

2018-11-27 00:23  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r17081] Change test condition to isempty
	  Closes #4245

2018-11-26 16:31  Darafei Praliaskouski <me@komzpa.net>

	* [r17077] [doc] Let people know about EWKT in UpdateGeometrySRID
	  
	  Closes #4224

2018-11-25 08:37  Regina Obe <lr@pcorp.us>

	* [r17073] Remove functions moved to postgis_legacy.c
	  References #4193 for PostGIS 3.0 (trunk)

2018-11-25 04:35  Regina Obe <lr@pcorp.us>

	* [r17072] Create rt_legacy.c and postgis_legacy.c put back
	  functions taken out in 2.5 and put them in these files. Stub them
	  with errors.
	  Still need to check 2.1 - 2.4 for things we might have taken out
	  (only test pg_upgrade from 9.4 2.4 to 11 3.0 which failed with
	  3.0 needs dump restore)
	  References #4193 for PostGIS 3.0 (trunk)

2018-11-25 01:33  Regina Obe <lr@pcorp.us>

	* [r17071] Add in upgrade path for recently released 2.2.8, 2.3.8,
	  2.4.6, and 2.5.1

2018-11-24 09:30  Darafei Praliaskouski <me@komzpa.net>

	* [r17070] Stabilize GiST ND indexes for mixed dimensions
	  
	  Patch by Darafei Praliaskouski
	  
	  Thanks to
	  Arthur Lesuisse for synthesizing test case,
	  Andrew Gierth for finding runaway memcpy,
	  Raúl Marín for pointing to memory problem in index construction.
	  
	  This is not backpatchable to 2.x, that requires separate
	  solution.
	  
	  References #4139
	  Closes https://github.com/postgis/postgis/pull/336

2018-11-23 17:01  Regina Obe <lr@pcorp.us>

	* [r17062] Get rid of use of oids in topology regress was taken out
	  in PostgreSQL 12.
	  References #4251 for PostGIS 3.0

2018-11-22 16:18  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17059] Avoid unaligned memory access in BOX2D_out
	  
	  Also enables UBSan in Travis runs for topology
	  
	  Closes #4244
	  Closes https://github.com/postgis/postgis/pull/342

2018-11-22 15:24  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17055] Travis: Add missing task file

2018-11-22 15:19  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17054] Travis: Run CI under clang's ubsan
	  
	  References #4244
	  Closes https://github.com/postgis/postgis/pull/337

2018-11-22 13:44  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17053] Fix undefined behaviour in ST_3DDistance
	  
	  Closes #4246
	  Closes https://github.com/postgis/postgis/pull/338

2018-11-22 07:33  Regina Obe <lr@pcorp.us>

	* [r17049] Replace pg_constraint.consrc for pg_get_constraintdef
	  fix for topology
	  References #4231 for PostGIS 3.0.0

2018-11-21 16:21  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17044] Uniformize how PGXS is used
	  
	  Closes #4250
	  Closes https://github.com/postgis/postgis/pull/341

2018-11-21 14:14  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17043] Fix undefined behaviour in raster intersection
	  
	  Closes #4249
	  Closes https://github.com/postgis/postgis/pull/340

2018-11-21 11:46  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17038] Avoid undefined behaviour in next_float functions (Raúl
	  Marín)
	  
	  Closes #4247
	  Closes https://github.com/postgis/postgis/pull/339

2018-11-19 16:21  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17034] Travis: Run CI under GCC's undefined behavior sanitizer
	  
	  References #4244
	  Closes https://github.com/postgis/postgis/pull/335
	  

2018-11-19 14:27  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17033] Fix undefined behaviour in
	  gserialized_spgist_picksplit_nd
	  
	  
	  Closes #4233
	  Closes https://github.com/postgis/postgis/pull/331

2018-11-19 01:12  Regina Obe <lr@pcorp.us>

	* [r17032] One more error in raster change - hopefully this is it
	  References #4231 for PostGIS 3.0

2018-11-19 00:07  Regina Obe <lr@pcorp.us>

	* [r17031] Revert accidental commit
	  References #4231 for PostGIS 3.0

2018-11-18 23:57  Regina Obe <lr@pcorp.us>

	* [r17030] Put back deprecated functions removed in r17029, but
	  patch them to use newer pg_get_constraintdef function.
	  Also mark them as undeprecated cause they are used in other
	  management functions, and it's too messy to change those to use
	  teh raw sql.
	  We maybe stuck with these forever :(
	  Closes #4243 for PostGIS 3.0
	  
	  Also fix error in raster patching
	  References #4231 for PostGIS 3.0

2018-11-18 23:12  Regina Obe <lr@pcorp.us>

	* [r17029] Remove deprecated functions postgis_constraint_srid,
	  postgis_constraint_dims, postgis_constraint_type
	  Replace use of pg_constraint.consrc with
	  ​pg_get_constraintdef(oid) pg_constraint.consrc was removed in
	  PostgreSQL 12 and pg_get_constraintdef function has existed at
	  least since PostgreSQL 9.4 (our lowest supported for 2.5), so
	  safe to use across all our supported versions
	  References #4321 for PostGIS 3.0

2018-11-15 16:10  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17022] Avoid undefined behaviour in gserialized_estimate
	  
	  Closes #4190
	  Closes https://github.com/postgis/postgis/pull/315

2018-11-15 09:08  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17019] Allocate enough memory in gidx_to_string
	  
	  Close #4236

2018-11-14 13:38  Darafei Praliaskouski <me@komzpa.net>

	* [r17014] Document maxerr in ST_Rescale.
	  
	  Patch by Sunveer Singh.
	  
	  Closes https://github.com/postgis/postgis/pull/334
	  Closes #2921

2018-11-13 21:56  Darafei Praliaskouski <me@komzpa.net>

	* [r17013] [travis] Build coverage and debug builds in separate
	  jobs
	  
	  Makes builds twice as fast.
	  
	  Closes https://github.com/postgis/postgis/pull/333

2018-11-13 20:41  Darafei Praliaskouski <me@komzpa.net>

	* [r17012] [drone] Don't test PostGIS 3.0 on Postgres 9.4
	  
	  References #4230

2018-11-13 20:40  Darafei Praliaskouski <me@komzpa.net>

	* [r17011] [travis] run debug build in parallel
	  
	  References #4235

2018-11-13 19:47  Darafei Praliaskouski <me@komzpa.net>

	* [r17010] SP-GiST within got into 3.0.0 not 2.5.0.
	  
	  References #4230

2018-11-13 12:59  Daniel Baston <dbaston@gmail.com>

	* [r17009] Make Travis catch compilation errors with debug logging
	  enabled
	  
	  References #4235
	  Closes https://github.com/postgis/postgis/pull/330

2018-11-13 11:10  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17008] Remove ISFINITE macros
	  
	  No longer needed since gnu99 is mandatory
	  
	  Closes #4234

2018-11-13 10:49  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17007] Un-break build with debug logs
	  
	  Related to #4235

2018-11-13 07:17  Darafei Praliaskouski <me@komzpa.net>

	* [r17005] Upgrade script generator fix
	  
	  References #4230

2018-11-12 09:16  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r17004] ST_Scale: Document the availability of the origin
	  parameter
	  
	  Closes #4232

2018-11-11 10:55  Darafei Praliaskouski <me@komzpa.net>

	* [r17002] GiST and SP-GiST GiST and SP-GiST n-D indexes (based on
	  GIDX) with overlaps, contains, within, and equals operators
	  
	  Files not added in previous commit.
	  
	  Patch by Esteban Zimányi and Arthur Lesuisse from Université
	  Libre de Bruxelles (ULB)
	  
	  Closes #4230

2018-11-11 10:39  Darafei Praliaskouski <me@komzpa.net>

	* [r17001] GiST and SP-GiST n-D indexes (based on GIDX) with
	  overlaps, contains, within, and equals operators
	  
	  Patch by Esteban Zimányi and Arthur Lesuisse from Université
	  Libre de Bruxelles (ULB)
	  
	  Closes https://github.com/postgis/postgis/pull/327
	  Closes https://github.com/postgis/postgis/pull/293
	  Closes #4230

2018-11-11 10:26  Darafei Praliaskouski <me@komzpa.net>

	* [r17000] Specified 1-indexing in ST_SetValues
	  
	  Patch by Sunveer Singh
	  
	  Closes https://github.com/postgis/postgis/pull/328
	  Closes #2835

2018-11-11 10:00  Darafei Praliaskouski <me@komzpa.net>

	* [r16999] Fix new GCC warnings.
	  
	  Updating GCC on travis to Debian Unstable exposed strncpy and if
	  body alignment warnings.
	  
	  Closes https://github.com/postgis/postgis/pull/329

2018-11-08 12:14  Daniel Baston <dbaston@gmail.com>

	* [r16998] Impose min number of segments per arc during
	  linearization
	  
	  This commit sets a fixed minimum of two segments per non-circular
	  arc and three
	  segments per circular arc.
	  
	  Funded by City of Helsinki.
	  
	  Fixes #3719
	  Closes https://github.com/postgis/postgis/pull/320

2018-11-08 06:56  Darafei Praliaskouski <me@komzpa.net>

	* [r16996] Documentation for AddRasterConstraint optional
	  parameters
	  
	  Patch by Sunveer Singh
	  
	  Closes #2767
	  Closes https://github.com/postgis/postgis/pull/325

2018-11-07 15:40  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16989] Honestly, trailing spaces?

2018-11-07 15:37  Regina Obe <lr@pcorp.us>

	* [r16988] Add missing schema qualifications for raster
	  _ST_Intersects
	  references #4129 for PostGIS 3.0

2018-11-07 15:08  Regina Obe <lr@pcorp.us>

	* [r16987] Mention how to use psql environment variables in long
	  install version and how to test extensions.
	  References #2214 for PostGIS 3.0

2018-11-06 20:30  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16983] Move to "postgis blue" #468

2018-11-05 22:41  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16981] Patch over bad behaviour for near-parallel boxes and
	  distancetree.
	  Unfortunately, this "fix" is probably breakable, just put the
	  boxes closer and closer together until we get "close enough to be
	  the same" results from the edge normal comparison again. Only way
	  around this is to do dot product and comparisons in
	  higher-than-double space
	  References #4223

2018-11-04 19:41  Regina Obe <lr@pcorp.us>

	* [r16976] Flip tiger loading to load 2018, also switched to ftp
	  site from www because even though it blocks, it at leasts waits
	  instead of returning a 503 error. So far doesn't look like any
	  changes, but still testing to confirm
	  
	  References #4225

2018-11-04 09:36  Regina Obe <lr@pcorp.us>

	* [r16975] Add links from loader generate state and nation to
	  corresponding drop table scripts

2018-11-02 22:15  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16973] Try for a responsive font size?

2018-10-31 03:25  Regina Obe <lr@pcorp.us>

	* [r16968] Fix sfcgal regress failure - Delete 4326 entry before
	  readding. Also use integer format instead of string format.
	  References #4210

2018-10-30 21:37  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16967] Ignore docbook.css

2018-10-30 18:40  Regina Obe <lr@pcorp.us>

	* [r16963] Change to use chunked-html-web version to log doc stats
	  complement to r16960

2018-10-30 18:18  Daniel Baston <dbaston@gmail.com>

	* [r16962] Add env vars to control valgrind for cunit tests
	  
	  Valgrind will be run with CUNIT_VALGRIND_FLAGS when
	  CUNIT_WITH_VALGRIND is set to YES.
	  
	  Also update the Travis configuration to use valgrind.
	  
	  Closes #4219
	  Closes https://github.com/postgis/postgis/pull/323

2018-10-30 02:57  Darafei Praliaskouski <me@komzpa.net>

	* [r16961] Tidy lwline_clip_to_ordinate_range
	  
	  Fix memory leak.
	  
	  Closes #4218
	  Closes https://github.com/postgis/postgis/pull/324

2018-10-29 22:20  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16960] More style tweaks and add 'chucked-html-web' target for
	  building ref docs with google analytics code embedded

2018-10-29 20:22  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16959] Ignore generated files

2018-10-29 13:52  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16958] Use TupleDescAttr instead of its internal representation
	  
	  Closes https://trac.osgeo.org/postgis/ticket/4213
	  Closes https://github.com/postgis/postgis/pull/322

2018-10-29 03:18  Darafei Praliaskouski <me@komzpa.net>

	* [r16955] ST_Subdivide: don't crash if on some iteration you need
	  to subdivide Empty
	  
	  Closes #4217
	  Closes https://github.com/postgis/postgis/pull/321

2018-10-27 10:23  Darafei Praliaskouski <me@komzpa.net>

	* [r16954] ST_LocateBetween[Elevations]: support TIN and TRIANGLE
	  clipping.
	  
	  Triangle is converted into a TIN that has several triangles with
	  same orientation.
	  
	  Committed in Paris Airport.
	  
	  Closes #4155

2018-10-27 10:21  Darafei Praliaskouski <me@komzpa.net>

	* [r16953] clang-format config file.
	  
	  Best to use with clang-format-7 and git-clang-format-7.
	  Not obligatory to use, just a common copy so that people who use
	  it use the same rules.

2018-10-25 23:16  Darafei Praliaskouski <me@komzpa.net>

	* [r16952] ST_LocateBetween[Elevations]: support POLYGON
	  
	  Output may be invalid for non-convex, area is preserved.
	  
	  References #4155
	  Closes https://github.com/postgis/postgis/pull/319

2018-10-25 14:25  Darafei Praliaskouski <me@komzpa.net>

	* [r16951] Remove accidentially committed configure support for
	  openmp.

2018-10-25 11:52  Daniel Baston <dbaston@gmail.com>

	* [r16950] Fix typo in upgrade message

2018-10-24 21:56  Darafei Praliaskouski <me@komzpa.net>

	* [r16949] ST_LocateBetween[Elevations]: Support GEOMETRYCOLLECTION
	  
	  References #4155

2018-10-24 14:02  Darafei Praliaskouski <me@komzpa.net>

	* [r16946] [raster] Use GDALFPolygonize unconditionally
	  
	  GDAL 1.10 is already required and 1.9 contains it, so no check
	  needed.
	  
	  Closes #4215

2018-10-23 12:58  Darafei Praliaskouski <me@komzpa.net>

	* [r16940] [raster] Fix envelope Contains shortcut in ST_Clip
	  
	  Patch by Sai-bot
	  
	  Closes #3457

2018-10-23 12:19  Darafei Praliaskouski <me@komzpa.net>

	* [r16939] [doc][raster] Fix typos in function names in
	  ST_Intersection, interlink

2018-10-22 15:23  Darafei Praliaskouski <me@komzpa.net>

	* [r16937] ST_Subdivide: support rect hole in rect shell
	  
	  Closes #4211
	  Closes https://github.com/postgis/postgis/pull/317

2018-10-22 08:02  Sandro Santilli <strk@kbt.io>

	* [r16936] Fix support for overriding RUNTESTFLAGS via env variable
	  
	  otherwise --sfcgal gets missing

2018-10-22 06:36  Sandro Santilli <strk@kbt.io>

	* [r16935] Stub empty install/uninstall rules under regress/ dir

2018-10-22 06:36  Sandro Santilli <strk@kbt.io>

	* [r16934] Avoid running core and sfcgal regress tests in parallel
	  
	  ... the alternative would be using different databases but lets
	  change things incrementally ...

2018-10-22 06:23  Sandro Santilli <strk@kbt.io>

	* [r16933] Fix "make check" on platforms without SFCGAL support

2018-10-21 10:19  Sandro Santilli <strk@kbt.io>

	* [r16932] Fix SFCGAL tests

2018-10-21 09:59  Sandro Santilli <strk@kbt.io>

	* [r16931] Re-enable accidentally disabled dumper tests

2018-10-21 07:23  Sandro Santilli <strk@kbt.io>

	* [r16930] Do not check before making all

2018-10-19 23:06  Sandro Santilli <strk@kbt.io>

	* [r16929] Split core and sfcgal tests allowing to run one w/out
	  the other
	  
	  Closes #4200

2018-10-19 06:30  Sandro Santilli <strk@kbt.io>

	* [r16928] Have "installcheck" also test CREATE EXTENSION from
	  unpackaged
	  
	  Closes #4205

2018-10-18 22:36  Sandro Santilli <strk@kbt.io>

	* [r16927] Do not run upgrade tests twice
	  
	  Somehow closes #4201

2018-10-18 22:16  Sandro Santilli <strk@kbt.io>

	* [r16926] [run_test.pl] Properly upgrade raster from unpackaged

2018-10-18 22:16  Sandro Santilli <strk@kbt.io>

	* [r16925] Do not mark extention objects during pre-extension
	  upgrades
	  
	  Fixes CREATE EXTENSION postgis_topology FROM unpackaged
	  Closes #2503

2018-10-18 22:16  Sandro Santilli <strk@kbt.io>

	* [r16924] [check_all_upgrads] Enable testing of upgrades from
	  unpackaged
	  
	  Closes #4204

2018-10-18 21:33  Sandro Santilli <strk@kbt.io>

	* [r16923] Make generation of upgrade path scripts more verbose

2018-10-18 17:40  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16922] Get a little hard-core on NaN representation, hopefully
	  won't break obscure architectures (more than they are already
	  broken)
	  References #4173

2018-10-17 14:23  Sandro Santilli <strk@kbt.io>

	* [r16917] Fix support for PostgreSQL-12 ("getrelid" macro removed)
	  
	  The call is replaced with its expansion which should work
	  as back as PostgreSQL-9.1 which is before the oldest version
	  PostGIS-2.2 (our oldest maintained branch) supports.
	  
	  This is then safe to backport to all branches till 2.2.
	  
	  Patch by Laurenz Albe
	  
	  References #4306 in trunk

2018-10-16 22:24  Daniel Baston <dbaston@gmail.com>

	* [r16916] Updates to doc introduction
	  
	  - Use bulleted lists for individual and corporate contributors
	  - Include URLs for corporate contributors, where available
	  - Remove final section of intro (largely duplicated links)
	  - Avoid listing contributors of dependency projects
	  - Update various URLs
	  - Minor formatting changes
	  
	  Closes https://github.com/postgis/postgis/pull/316

2018-10-16 03:28  Sandro Santilli <strk@kbt.io>

	* [r16915] [check_all_upgrades] Enable topology and raster tests
	  
	  ... rather than just core testing, this should now include
	  raster and topology.
	  
	  Closes #4199

2018-10-15 13:11  Sandro Santilli <strk@kbt.io>

	* [r16914] Fix spatial_ref_sys.sql target in multi-process make
	  
	  .. and drop all refs to sql_bits

2018-10-15 11:46  Sandro Santilli <strk@kbt.io>

	* [r16909] Only drop function IF EXISTS ...

2018-10-15 10:35  Sandro Santilli <strk@kbt.io>

	* [r16900] [topology] properly drop removed internal functions on
	  upgrade
	  
	  References #4202 in trunk

2018-10-15 06:54  Sandro Santilli <strk@kbt.io>

	* [r16899] [run_test.pl] Fix handling of split raster, broken in
	  r16893
	  
	  A syntax typo made "has_split_raster" always return 1

2018-10-15 06:54  Sandro Santilli <strk@kbt.io>

	* [r16898] [run_test.pl] some debug lines added

2018-10-14 23:13  Darafei Praliaskouski <me@komzpa.net>

	* [r16897] Match memory management functions, so that lwalloc is
	  not freed with pfree.
	  
	  Currently swapping lwalloc to be malloc instead of palloc results
	  in non-functional build.

2018-10-14 23:08  Darafei Praliaskouski <me@komzpa.net>

	* [r16896] regress: stabilize sort order in regress/clean.sql

2018-10-14 23:06  Darafei Praliaskouski <me@komzpa.net>

	* [r16895] [travis] re-enable logbt on dockerized builds

2018-10-14 13:38  Sandro Santilli <strk@kbt.io>

	* [r16894] [run_test.pl] honour -v upon postgis extension drop
	  failure

2018-10-14 07:57  Sandro Santilli <strk@kbt.io>

	* [r16893] [run_test.pl] upgrades from unpackaged always have split
	  raster

2018-10-14 07:31  Sandro Santilli <strk@kbt.io>

	* [r16892] Remove unused file

2018-10-12 21:24  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16891] Remove dropshadow from WKT examples

2018-10-12 21:15  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16890] Formatting

2018-10-12 21:12  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16889] Fix entity

2018-10-12 21:11  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16888] Style abstract and toc titles

2018-10-12 20:59  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16887] Style <important> blocks

2018-10-12 20:50  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16886] Lighten and ungreenify

2018-10-12 20:41  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16885] Reformat example

2018-10-12 20:33  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16884] Pass clean html parameter, fix a couple old references
	  that should be <warning>

2018-10-12 19:57  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16883] Update the CSS styling a little bit

2018-10-10 21:09  Sandro Santilli <strk@kbt.io>

	* [r16882] [proc-upgrade] Don't print more lines after oneliner
	  GRANTs
	  
	  Fixes #4197

2018-10-10 20:41  Sandro Santilli <strk@kbt.io>

	* [r16881] Mark postgis_extensions_upgrade as volatile
	  
	  NOTE: does not solve the problem of not noticing
	  repackaging (reported in
	  https://trac.osgeo.org/postgis/ticket/4196#comment:4)

2018-10-10 20:36  Sandro Santilli <strk@kbt.io>

	* [r16880] Have postgis_extensions_upgrade() package unpackaged
	  extensions
	  
	  See #4196
	  
	  NOTE: it doesn't re-package tiger geocoder because I would not
	  know how to tell if the support for it is installed and
	  it does't re-package topology due to bug #2503

2018-10-08 09:03  Regina Obe <lr@pcorp.us>

	* [r16878] note that apache conf file needs to have path changed
	  ffor versionless docs. Other minor edits.

2018-10-03 10:52  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16876] St_AsMVTGeom: Handle type changes in geometry
	  collections
	  
	  References #4181

2018-10-03 10:17  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16875] Loader cunit: Add proj flags
	  
	  References #4194
	  Closes https://github.com/postgis/postgis/pull/314

2018-10-03 04:37  Regina Obe <lr@pcorp.us>

	* [r16874] oops put in invalid docbook. Fix

2018-10-03 03:38  Regina Obe <lr@pcorp.us>

	* [r16873] fix windows packaging

2018-10-03 03:28  Regina Obe <lr@pcorp.us>

	* [r16872] Move Mark to Past contributors, to complete -
	  https://lists.osgeo.org/pipermail/postgis-devel/2018-October/027388.html

2018-10-02 11:43  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16871] Fix undefined behaviour in ptarray_clone_deep
	  
	  Closes #4191
	  Closes https://github.com/postgis/postgis/pull/311/

2018-10-02 09:38  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16863] Fix undefined behaviour in SADFWrite
	  
	  Also addresses several GCC warnings.
	  
	  Closes #4189
	  Closes https://github.com/postgis/postgis/pull/310

2018-10-01 15:57  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16860] Avoid division by zero in kmeans
	  
	  Closes #4188
	  Closes https://github.com/postgis/postgis/pull/309

2018-10-01 12:59  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16856] St_AsMVTGeom: Fix bug when clipping an invalid geometry
	  
	  If the geometry becomes invalid after simplifying, the clipping
	  could be invalid too. For those cases we drop the geometry.

2018-10-01 11:40  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16855] Fix configure switch --with-library-minor-version in
	  topology
	  
	  References #3807
	  Closes https://github.com/postgis/postgis/pull/312

2018-10-01 06:46  Regina Obe <lr@pcorp.us>

	* [r16854] Add new configure switch --with-library-minor-version,
	  change default behavior to not include minor version in extension
	  library files.
	  Closes #3807
	  
	  Also fix link in docs that points to old postgis.org

2018-10-01 05:47  Regina Obe <lr@pcorp.us>

	* [r16852] Add section for 3.0.0 new features.
	  Put a note that PostGIS_Extensions_Upgrade() repackages looks
	  functions into postgis_raster extension

2018-09-28 16:59  Regina Obe <lr@pcorp.us>

	* [r16851] minor wording changes

2018-09-28 15:36  Daniel Baston <dbaston@gmail.com>

	* [r16850] Set RUNTESTFLAGS and -j for Travis build

2018-09-28 14:33  Daniel Baston <dbaston@gmail.com>

	* [r16849] Don't rely on +x for Travis run_tests.sh

2018-09-28 14:13  Daniel Baston <dbaston@gmail.com>

	* [r16848] Add Travis build matrix using prebuilt Docker images

2018-09-27 21:50  Regina Obe <lr@pcorp.us>

	* [r16847] Revise postgis_extensions_upgrade to repackage raster if
	  it finds it unpackaged. Revise unpackage notice to say to give
	  instruction to call the postgis_extensions_upgrade function and
	  repackage.

2018-09-27 13:34  Sandro Santilli <strk@kbt.io>

	* [r16846] Add test for crash in SFCGAL ST_3DDifference
	  
	  Closes #3255

2018-09-27 13:26  Daniel Baston <dbaston@gmail.com>

	* [r16845] Specify C standard in CFLAGS

2018-09-26 12:20  Regina Obe <lr@pcorp.us>

	* [r16844] fix packaging so doesn't include old extension files

2018-09-24 11:13  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16842] Address compiler warning
	  
	  strlcpy isn't a standard function

2018-09-24 10:58  Sandro Santilli <strk@kbt.io>

	* [r16841] Fix indent

2018-09-24 10:18  Sandro Santilli <strk@kbt.io>

	* [r16840] [run_test] Drop raster if needed when enforced by
	  extension

2018-09-24 02:50  Regina Obe <lr@pcorp.us>

	* [r16838] Add in 2.5.0, 2.4.5 release notes, get rid of 2.5.0 dev
	  releases. Add in 2.5.0, 2.5.1dev as upgrade paths

2018-09-22 13:00  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16831] St_AsMVTGeom: Avoid type changes due to validation
	  
	  References #4181
	  Closes https://github.com/postgis/postgis/pull/304/

2018-09-22 10:39  Sandro Santilli <strk@kbt.io>

	* [r16830] run_test.pl: --extension doesn't imply --raster anymore

2018-09-22 10:37  Sandro Santilli <strk@kbt.io>

	* [r16829] Tell run_test.pl that split-raster was introduced in
	  PostGIS 3.0.0
	  
	  Closes #4185

2018-09-21 13:20  Darafei Praliaskouski <me@komzpa.net>

	* [r16828] ST_ChaikinSmoothing: also smooth start/end point of
	  polygon by default
	  
	  Closes #4156
	  Closes https://github.com/postgis/postgis/pull/305

2018-09-18 05:57  Regina Obe <lr@pcorp.us>

	* [r16826] Add 2.5.0rc3dev as upgrade path to make debbie happy

2018-09-17 11:15  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16825] St_AsMVT: Fix id support, and extra tests and
	  documentation
	  
	  Closes #4128
	  Closes https://github.com/postgis/postgis/pull/303

2018-09-17 05:06  Regina Obe <lr@pcorp.us>

	* [r16824] Add in 2.5.0rc2 as upgradeable path

2018-09-17 02:49  Regina Obe <lr@pcorp.us>

	* [r16820] fix parse error in es po

2018-09-17 02:29  Regina Obe <lr@pcorp.us>

	* [r16818] Fix xml parse errors in Korean raster po file

2018-09-17 00:03  Regina Obe <lr@pcorp.us>

	* [r16817] Replace long tag with short-tag for xref ST_MemSize. Was
	  causing problems with po conversion
	  Revise to build html of languages with high completion % as part
	  of general doc building

2018-09-16 20:02  Regina Obe <lr@pcorp.us>

	* [r16812] remove de_DE, it's redundant with de which is more
	  complete.
	  Update all the po files (pulled from transifex)
	  References #3848

2018-09-16 16:54  Regina Obe <lr@pcorp.us>

	* [r16810] update pot is not part of pull-tx so needs to be run
	  before pulling the tx files

2018-09-16 14:42  Darafei Praliaskouski <me@komzpa.net>

	* [r16808] ST_AsMVT: Support for Feature ID.
	  
	  Patch by Stepan Kuzmin.
	  
	  Closes #4128
	  Closes https://github.com/postgis/postgis/pull/274

2018-09-16 07:13  Regina Obe <lr@pcorp.us>

	* [r16807] Move geofromjson test from tickets to in_geojson so
	  JSON-C guard can be applied.
	  Closes #4178 for PostGIS 3.0.0

2018-09-16 05:10  Regina Obe <lr@pcorp.us>

	* [r16805] Document that LLV >= 6 is required for JIT compiles.
	  References #4125 for PostGIS 3.0.0

2018-09-14 15:39  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16801] Use qualified names in topology extension install
	  
	  Closes #4160
	  Closes https://github.com/postgis/postgis/pull/300

2018-09-14 15:16  Sandro Santilli <strk@kbt.io>

	* [r16797] Avoid detail about which VCS is in use
	  
	  Drops SVN mentions from installation docs
	  
	  [ci skip]

2018-09-14 15:03  Sandro Santilli <strk@kbt.io>

	* [r16796] Add instructions about upgrading from pre-3.0.0 postgis
	  extension
	  
	  [ci skip]

2018-09-14 14:32  Sandro Santilli <strk@kbt.io>

	* [r16795] Remove more duplicated PERL assignments

2018-09-14 13:57  Sandro Santilli <strk@kbt.io>

	* [r16794] Do not define PERL twice in the same Makefile

2018-09-14 13:55  Sandro Santilli <strk@kbt.io>

	* [r16793] Revert "Do not include PGXS from extensions Makefiles"
	  
	  This reverts r16792, it looks like install rule requires PGXS..

2018-09-14 13:53  Sandro Santilli <strk@kbt.io>

	* [r16792] Do not include PGXS from extensions Makefiles
	  
	  it is not needed and messes up our PERL variable

2018-09-14 13:43  Sandro Santilli <strk@kbt.io>

	* [r16791] Add postgis_geos_noop function
	  
	  Includes regress test.
	  Closes #2902

2018-09-13 21:34  Regina Obe <lr@pcorp.us>

	* [r16790] Explicitly call perl executable. Should fix failure on
	  FreeBSD (bessie bots) (missed spot on last commit)

2018-09-13 21:33  Regina Obe <lr@pcorp.us>

	* [r16789] Explicitly call perl executable. Should fix failure on
	  FreeBSD (bessie bots)

2018-09-13 20:41  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16788] Handle almost-infinite features when building table
	  statistics in ANALYZE
	  Closes #4144

2018-09-13 19:25  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16785] Avoid array overflow in ANALYZE (Closes #2985)

2018-09-13 17:25  Darafei Praliaskouski <me@komzpa.net>

	* [r16780] Postgres 12 disallows variable length arrays in C,
	  raster part
	  
	  Patch by Laurenz Albe
	  
	  Closes #4177

2018-09-13 14:54  Darafei Praliaskouski <me@komzpa.net>

	* [r16777] Postgres 12 disallows variable length arrays in C
	  
	  Patch by Laurenz Albe
	  
	  Closes #4177

2018-09-13 13:48  Darafei Praliaskouski <me@komzpa.net>

	* [r16776] Fix Travis GCC warnings
	  
	  -Wno-implicit-fallthrough added because of Bison-generated code.
	  
	  -Wno-unknown-warning-option added because of clang.
	  
	  -Wno-cast-function-type added because of SFCGAL error printing.
	  
	  Most other warnings fixed.
	  
	  Closes https://github.com/postgis/postgis/pull/299

2018-09-13 13:35  Darafei Praliaskouski <me@komzpa.net>

	* [r16775] ST_Intersеcts support GEOMETRYCOLLECTION
	  
	  By some overlook ST_Intersects has a guard against
	  GEOMETRYCOLLECTION, while GEOS can handle it.
	  
	  Closes #4176
	  Closes https://github.com/postgis/postgis/pull/297

2018-09-13 13:24  Sandro Santilli <strk@kbt.io>

	* [r16771] Add 2.4.5 upgradeable version

2018-09-13 06:12  Darafei Praliaskouski <me@komzpa.net>

	* [r16770] rtpg_mapalgebra.c: fix GCC7 warnings.

2018-09-12 22:01  Darafei Praliaskouski <me@komzpa.net>

	* [r16769] [travis] Ubuntu Bionic, GCC 7
	  
	  Re-enabled JIT.
	  
	  -Werror now shows more warnings.
	  
	  Closes https://github.com/postgis/postgis/pull/298

2018-09-12 17:30  Darafei Praliaskouski <me@komzpa.net>

	* [r16768] [travis] cache pg11 debs
	  
	  - apt --allow-unauthenticated for hiccups with gpg
	  - cache Postgres 11 debs on Travis.
	  
	  Closes https://github.com/postgis/postgis/pull/296

2018-09-12 17:21  Darafei Praliaskouski <me@komzpa.net>

	* [r16767] Remove unused errno.h includes.
	  
	  Closes https://github.com/postgis/postgis/pull/295

2018-09-12 14:43  Darafei Praliaskouski <me@komzpa.net>

	* [r16760] Inline popular functions
	  
	  Gets rid of calls to sqrt, getPoint2d_cp, lwgeom_is_empty,
	  lwgeom_as_lwpoint, stringbuffer_append.
	  
	  KMeans on 200 000 points is now 30% faster.
	  
	  Closes https://github.com/postgis/postgis/pull/294

2018-09-11 13:17  Darafei Praliaskouski <me@komzpa.net>

	* [r16759] [travis] Use Postgres 11
	  
	  This lets us check SP-GiST pull requests.
	  
	  JIT is disabled due to LLVM/Postgres pre-release bug.
	  
	  Closes https://github.com/postgis/postgis/pull/262

2018-09-11 11:49  Sandro Santilli <strk@kbt.io>

	* [r16758] Fix docbook structure, move raster configuration in its
	  own sect1

2018-09-11 09:50  Sandro Santilli <strk@kbt.io>

	* [r16757] Update installation docs to reflect raster extension
	  split

2018-09-11 09:20  Sandro Santilli <strk@kbt.io>

	* [r16756] Add raster split change in NEWS
	  
	  Closes #3888

2018-09-11 09:20  Sandro Santilli <strk@kbt.io>

	* [r16755] Remove duplicated postgis.sql creation rule

2018-09-11 09:20  Sandro Santilli <strk@kbt.io>

	* [r16754] Add postgis_raster support in
	  postgis_extensions_upgrade()

2018-09-11 09:20  Sandro Santilli <strk@kbt.io>

	* [r16753] Fix build of postgis upgrade when configuring
	  --without-raster

2018-09-11 09:20  Sandro Santilli <strk@kbt.io>

	* [r16752] Re-use generalized extension upgrade paths makefile
	  snippet

2018-09-11 09:20  Sandro Santilli <strk@kbt.io>

	* [r16751] Extension does not depend on raster anymore

2018-09-11 09:20  Sandro Santilli <strk@kbt.io>

	* [r16750] Also give an hint about dropping raster after upgrade

2018-09-11 09:20  Sandro Santilli <strk@kbt.io>

	* [r16749] Fix installation of postgis_raster upgrade scripts

2018-09-11 09:20  Sandro Santilli <strk@kbt.io>

	* [r16748] Include upgrade in raster extension create from
	  unpackaged

2018-09-11 09:19  Sandro Santilli <strk@kbt.io>

	* [r16747] Check version before allowing to perform upgrade from
	  unpackaged

2018-09-11 09:19  Sandro Santilli <strk@kbt.io>

	* [r16746] Fix install-upgrade-paths rule

2018-09-11 09:19  Sandro Santilli <strk@kbt.io>

	* [r16745] Report raster extension status from
	  postgis_full_version()

2018-09-11 09:19  Sandro Santilli <strk@kbt.io>

	* [r16744] Make raster extension depend on postgis extension

2018-09-11 09:19  Sandro Santilli <strk@kbt.io>

	* [r16743] Ignore generated postgis_raster files

2018-09-11 09:19  Sandro Santilli <strk@kbt.io>

	* [r16742] Fix postgis_raster from unpackaged

2018-09-11 09:19  Sandro Santilli <strk@kbt.io>

	* [r16741] Make unpackaged from postgis_raster too

2018-09-11 09:19  Sandro Santilli <strk@kbt.io>

	* [r16740] Encode dependency on unpackage_raster_if_needed.sql

2018-09-11 09:19  Sandro Santilli <strk@kbt.io>

	* [r16739] Evaluate unpackage code lazily
	  
	  Avoids having to find all mentioned object at plan time

2018-09-11 09:19  Sandro Santilli <strk@kbt.io>

	* [r16738] Only unpackage raster when needed, and hint about
	  restoring it

2018-09-11 09:19  Sandro Santilli <strk@kbt.io>

	* [r16737] Drop transaction control from extension enabler

2018-09-11 09:18  Sandro Santilli <strk@kbt.io>

	* [r16736] [run_test.pl] More debugging outputs

2018-09-11 09:18  Sandro Santilli <strk@kbt.io>

	* [r16735] Drop all type-support functions

2018-09-11 09:18  Sandro Santilli <strk@kbt.io>

	* [r16734] Drop raster objects from postgis extension on upgrade

2018-09-11 09:18  Sandro Santilli <strk@kbt.io>

	* [r16733] Strip begin/commit locally, for extension

2018-09-11 09:18  Sandro Santilli <strk@kbt.io>

	* [r16732] Simplify rules, drop use of sql_bits

2018-09-11 09:18  Sandro Santilli <strk@kbt.io>

	* [r16731] Only expliclty create/upgrade RASTER extension when
	  split extension exists

2018-09-11 09:18  Sandro Santilli <strk@kbt.io>

	* [r16730] Split a postgis_raster extension out of the postgis one
	  
	  Tweaks run_test.pl to create raster extension when needed.

2018-09-11 06:19  Regina Obe <lr@pcorp.us>

	* [r16729] Get rid of note that 3.7.0 is not released. Switch
	  winnie to test and packaged released 3.7.0

2018-09-10 22:28  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16727] NL warning and add regression test
	  References #4164

2018-09-10 22:19  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16725] Parse error on incorrectly nested GeoJSON input
	  Closes #4164

2018-09-07 11:19  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16723] Fix undefined behaviour in ptarray_segmentize2d
	  
	  Closes #4173
	  References #4153
	  Closes https://github.com/postgis/postgis/pull/292

2018-09-07 10:59  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16722] Fix memory leak in lwgeom_offsetcurve
	  
	  Closes #4172
	  Closes https://github.com/postgis/postgis/pull/291

2018-09-06 22:36  Sandro Santilli <strk@kbt.io>

	* [r16720] Fix typo in comment
	  
	  [ci skip]

2018-09-06 22:21  Sandro Santilli <strk@kbt.io>

	* [r16719] Do not DROP CASCADE types which are still used in
	  columns

2018-09-06 22:20  Sandro Santilli <strk@kbt.io>

	* [r16718] Do not use CASCADE when uninstalling operators
	  
	  The least CASCADE we have, the better.

2018-09-06 20:17  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16717] Increase double printing buffer, and strip out assertion
	  that buffer is never filled
	  (References #4165)

2018-09-06 18:16  Darafei Praliaskouski <me@komzpa.net>

	* [r16715] Inline 2D squared distance.
	  
	  This allows loops with distance2d_sqr_pt_pt to be optimized
	  better.
	  
	  Closes https://github.com/postgis/postgis/pull/290

2018-09-05 21:39  Sandro Santilli <strk@kbt.io>

	* [r16714] Do not include the dot in the version string

2018-09-05 16:24  Sandro Santilli <strk@kbt.io>

	* [r16713] Consider 3.x upgrade-compatible with 2.x
	  
	  Closes #4170
	  
	  As I was at it, I also replaced the use of a temporary function
	  with a DO block.

2018-09-02 19:03  Regina Obe <lr@pcorp.us>

	* [r16712] Revise compute of $scriptdir so allows minors with 0.
	  Closes #4166

2018-08-29 13:21  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16711] MVT: Drop geometries smaller than the resolution
	  
	  Closes #4161
	  Closes https://github.com/postgis/postgis/pull/288

2018-08-29 09:36  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16710] MVT: Fix resource leak when the first geometry is NULL
	  
	  Closes #4163

2018-08-28 07:45  Darafei Praliaskouski <me@komzpa.net>

	* [r16706] Clarify ST_DWithin usage when table stores a point and a
	  radius.
	  
	  Added after IRC discussion.
	  Thanks github user Boscop for questions and review.
	  
	  Closes #4162
	  Closes https://github.com/postgis/postgis/pull/289

2018-08-28 07:08  Regina Obe <lr@pcorp.us>

	* [r16704] Move ST_QuantizeCoordinates from miscellaneous to
	  Editors and fix the first example

2018-08-23 14:42  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16703] Generate nan() explicitly with a zeroed out area, does
	  this fix mix WKB generation of POINT EMPTY? References #4138

2018-08-23 12:45  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16702] Remove duplicate strcmp(), closes #4154

2018-08-23 09:56  Darafei Praliaskouski <me@komzpa.net>

	* [r16701] ST_Segmentize: split geometry proportionally.
	  
	  This helps avoid situations when 52 meter long segment is split
	  into 50 and 2 meter long ones,
	  and split into 26 and 26 meter long ones. It is crucial for good
	  interpolating M and Z values.
	  
	  Thanks Andrew Shadoura for supporting me on Patreon:
	  https://www.patreon.com/komzpa
	  
	  Closes https://github.com/postgis/postgis/pull/287
	  Closes #4153

2018-08-19 21:50  Regina Obe <lr@pcorp.us>

	* [r16699] Flip version of trunk to 3.0.0dev

2018-08-19 15:09  Regina Obe <lr@pcorp.us>

	* [r16696] Update change log in prep for 2.5.0rc1 release

2018-08-19 14:02  Regina Obe <lr@pcorp.us>

	* [r16695] put in date

2018-08-19 13:10  Regina Obe <lr@pcorp.us>

	* [r16694] Prep for PostGIS 2.5.0rc1 release

2018-08-14 08:08  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16693] Enable deterministic builds
	  
	  Honor SOURCE_DATE_EPOCH variable if present to enable
	  reproducible builds
	  
	  Patch by Christoph Berg <myon -at- debian.org>
	  
	  Closes #4147
	  Closes #4148

2018-08-13 10:31  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16692] PG 12: Use standard macros for float limits
	  
	  Closes #4146

2018-08-11 10:45  Regina Obe <lr@pcorp.us>

	* [r16691] Flip version to 2.5.0rc1dev

2018-08-11 10:07  Regina Obe <lr@pcorp.us>

	* [r16689] Prep for PostGIS 2.5.0beta2 release

2018-08-11 09:22  Regina Obe <lr@pcorp.us>

	* [r16688] disable tests that give different answer on Proj.5 vs.
	  Proj.4
	  References #4104 for PostGIS 2.5.0

2018-08-11 09:07  Regina Obe <lr@pcorp.us>

	* [r16687] Fix typo in last commit
	  References #3317 for PostGIS 2.5.0

2018-08-11 08:58  Regina Obe <lr@pcorp.us>

	* [r16686] Put a note that ST_LineMerge strips M dimension. Provide
	  an example of Z-dimension linestrings
	  Closes #3317

2018-08-10 15:57  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16685] Speedup MVT column parsing
	  
	  Closes #4145
	  Closes https://github.com/postgis/postgis/pull/286

2018-08-10 11:33  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16684] MVT: Uniformize style and rename mvt_agg_context 'c'
	  
	  References #4145
	  Closes https://github.com/postgis/postgis/pull/285

2018-08-08 00:57  Daniel Baston <dbaston@gmail.com>

	* [r16683] Fix backend crash on ST_OffsetCurve failure
	  
	  Closes #4143

2018-08-07 10:34  Regina Obe <lr@pcorp.us>

	* [r16682] Change srid test for 993309 to be the same as 3309 in
	  spatial_ref_sys table.
	  References #4104

2018-08-02 10:07  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16681] Remove Geos 3.4 guards
	  
	  References #4069
	  Closes #4142
	  Closes https://github.com/postgis/postgis/pull/284

2018-08-01 18:32  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16680] Add rectfuncts to drop file so existing installs will
	  get cleaned up

2018-08-01 15:37  Daniel Baston <dbaston@gmail.com>

	* [r16679] Revert lwgeom_clip_by_rect to use GEOSClipByRect
	  
	  This commit reverts lwgeom_clip_by_rect to its implementation in
	  PostGIS 2.2 -
	  2.4.
	  
	  It makes trivial modifications to the MVT tests to reflect the
	  different results
	  returned by GEOSClipByRect instead of GEOSIntersection. The
	  changed results are
	  topologically equivalent to the previous results, and their
	  orientation is
	  unchanged.
	  
	  No tests have been commented out or made version-dependent.
	  
	  Closes #4134
	  Closes #4135
	  References #4038
	  Closes https://github.com/postgis/postgis/pull/282

2018-08-01 15:21  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16678] Comment out rect-tree testing functions for now

2018-08-01 09:49  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16677] Address standardizer warning
	  
	  References #4140

2018-08-01 00:45  Daniel Baston <dbaston@gmail.com>

	* [r16676] Make lwgeom_subdivide use lwgeom_intersection for
	  clipping
	  
	  lwgeom_clip_by_rect describes itself as clipping in a "fast but
	  possibly
	  dirty way." This is not a good fit for lwgeom_subdivide, a
	  primary use of
	  which is the optimization of point-in-polygon processes. That
	  application
	  requires that the area covered by the subdivided geometry be the
	  same as
	  the area covered by the original geometry, which in turn requires
	  that a
	  robust intersection routine be used.
	  
	  References #4038
	  Closes https://github.com/postgis/postgis/pull/281

2018-07-30 16:38  Regina Obe <lr@pcorp.us>

	* [r16675] Update files from transifex

2018-07-30 16:29  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16674] Use user provided CFLAGS in the address standardizer
	  
	  Closes https://github.com/postgis/postgis/pull/280
	  Closes #4140

2018-07-30 16:26  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16673] Use user-provided CFLAGS in the topology module
	  
	  References #4140

2018-07-27 11:28  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16672] cu_in_wkt: Fix memory leaks in tests
	  
	  Introduced in #4109

2018-07-25 20:34  Daniel Baston <dbaston@gmail.com>

	* [r16671] Remove geometry autofix behavior
	  
	  References #4040
	  Closes https://github.com/postgis/postgis/pull/268

2018-07-25 20:15  Daniel Baston <dbaston@gmail.com>

	* [r16670] Clarify retry logic in lwgeom_offsetcurve
	  
	  Closes https://github.com/postgis/postgis/pull/273

2018-07-24 20:50  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16668] Ensure index filters on expanded boxes are large enough
	  to encompass
	  the radii they are searching, closes #4081

2018-07-24 13:46  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16667] Better parallel build (references #4105)

2018-07-24 13:10  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16663] Harmonize doco with existing behaviour, closes #4127

2018-07-23 15:42  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16662] Fix WKT parser accepting numbers with multiple dots
	  
	  Closes #4109
	  Closes https://github.com/postgis/postgis/pull/277

2018-07-23 00:17  Darafei Praliaskouski <me@komzpa.net>

	* [r16661] Fix raster regression on Raspberry Pi.
	  
	  A signed NODATA value was assigned to unsigned variable.
	  On Intel that was reversible, on ARM and PPC it replaced all
	  negatives with 0.
	  
	  Thanks to Alina Dolgikh for supporting me:
	  https://www.patreon.com/komzpa
	  
	  Closes #4102
	  Closes https://github.com/postgis/postgis/pull/276

2018-07-22 12:22  Darafei Praliaskouski <me@komzpa.net>

	* [r16660] Fix TopologyException in Raster Instersection
	  
	  Raster _st_intersects was doing ST_Collect of polygons building
	  each pixel,
	  which led to invalid geometry and TopologyException.
	  
	  Thanks Vinícius A.B. Schmidt for reporting and testing solutions.
	  
	  Closes #4132

2018-07-22 05:00  Regina Obe <lr@pcorp.us>

	* [r16659] put back old sfcgal test (except use \i, and have the
	  query be what was in sfcgal one), the sfcgal one was different
	  Closes #4131
	  Revise ST_ConcaveHull to use ST_UnaryUnion(ST_Collect..) (cause I
	  know sfcgal doesn't replace with it's own implementation / a bit
	  of a cheat)
	  Take out some ST_Union calls I think are over compensating.
	  References #3638

2018-07-21 22:42  Regina Obe <lr@pcorp.us>

	* [r16658] Put in refname what kind of ST_MapAlgebra (expression or
	  callback function)
	  Closes #2806 for PostGIS 2.5.0

2018-07-21 17:53  Regina Obe <lr@pcorp.us>

	* [r16657] Add license info to tiger_geocoder code
	  Closes #3287 for PostGIS 2.5.0

2018-07-21 17:38  Regina Obe <lr@pcorp.us>

	* [r16656] Update templates

2018-07-21 16:35  Darafei Praliaskouski <me@komzpa.net>

	* [r16655] Clarify eps units on DBSCAN. Add ST_Distance examples.
	  
	  Closes https://github.com/postgis/postgis/pull/261

2018-07-21 14:20  Darafei Praliaskouski <me@komzpa.net>

	* [r16654] 32bit allocations are 4-byte aligned, not 8-byte
	  aligned.
	  
	  Fix 8-bit alignment assumption in padding to match assert.
	  
	  Passes tests on 32bit Ubuntu Artful.
	  
	  References #3994

2018-07-21 13:03  Darafei Praliaskouski <me@komzpa.net>

	* [r16653] Fix return type doc for ST_PixelAsPoints,
	  ST_PixelAsPolygons, and ST_PixelAsCentroids
	  
	  Closes #2971

2018-07-21 12:22  Darafei Praliaskouski <me@komzpa.net>

	* [r16652] Clarify that PG* variables are used by psql directly.
	  
	  Closes #2628

2018-07-21 12:16  Darafei Praliaskouski <me@komzpa.net>

	* [r16651] Document precision in EncodedPolyline.
	  
	  Closes #3631

2018-07-21 11:56  Darafei Praliaskouski <me@komzpa.net>

	* [r16650] Bump versions in Raster doc.
	  
	  Closes 4124.

2018-07-18 22:10  Regina Obe <lr@pcorp.us>

	* [r16649] Committ same changes to concave hull tests to sfcgal as
	  was done for regular

2018-07-17 09:02  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16648] ST_AsMVTGeom: Clip using tile coordinates also for
	  buffer 0
	  
	  Closes https://github.com/postgis/postgis/pull/272
	  References #4120

2018-07-16 20:32  Darafei Praliaskouski <me@komzpa.net>

	* [r16647] Make ST_ConcaveHull always cover original geometry.
	  
	  Merge whatever current implementation generates with input before
	  returinig to user.
	  Add currently known problematic geometries as test cases for
	  further rewrites.
	  
	  Closes #3638
	  Closes #3697

2018-07-15 19:15  Darafei Praliaskouski <me@komzpa.net>

	* [r16646] Disable parallel doc image generation
	  
	  generator.c reuses same tmp[0-9].png intermediate files and
	  corrupts images in debian packaged documentation.
	  
	  Reported on #postgresql-apt@freenode by Myon (Christoph Berg).

2018-07-14 22:00  Darafei Praliaskouski <me@komzpa.net>

	* [r16645] Fix raster notices.
	  
	  References #3994
	  Closes https://github.com/postgis/postgis/pull/271

2018-07-13 23:30  Darafei Praliaskouski <me@komzpa.net>

	* [r16644] Fix postgis_tiger_geocoder.control generation
	  
	  Patch by Christoph Berg
	  
	  Commit 639308e moved the postgis_tiger_geocoder.control into the
	  Makefile, but forgot to remove the file from configure.ac, which
	  still
	  generates the file, so the Makefile rule is not effective and the
	  resulting .control file has the raw @EXTVERSION@ line from the
	  .in file.
	  
	  Closes #4123
	  Closes https://github.com/postgis/postgis/pull/270

2018-07-13 21:20  Darafei Praliaskouski <me@komzpa.net>

	* [r16643] Sync column names in example.
	  
	  Closes #4121

2018-07-13 21:07  Darafei Praliaskouski <me@komzpa.net>

	* [r16642] SP-GiST documentation.
	  
	  Patch provided by Esteban Zimanyi.
	  
	  Closes #1847

2018-07-13 20:06  Darafei Praliaskouski <me@komzpa.net>

	* [r16641] SP-GiST implementation polishing
	  
	  Added copyrights to headers, moved BOX3D function declarations
	  from SP-GiST to box3d headers to suppress warnings.
	  
	  
	  References #1847
	  Closes https://github.com/postgis/postgis/pull/269

2018-07-10 14:25  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16640] ST_AsMVTGeom: Clip using tile coordinates
	  
	  Closes #4120
	  Closes https://github.com/postgis/postgis/pull/267

2018-07-10 13:42  Daniel Baston <dbaston@gmail.com>

	* [r16639] Improve lwgeom_geos clarity
	  
	  References #4027
	  Closes https://github.com/postgis/postgis/pull/264

2018-07-06 14:49  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16638] Clean memory sanitizer warnings
	  
	  References #4118
	  Closes https://github.com/postgis/postgis/pull/265

2018-07-06 13:14  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16637] Adapt regress tests for parallel plans
	  
	  Closes #4117
	  Closes https://github.com/postgis/postgis/pull/266

2018-07-06 11:21  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16636] MVT combine: Fix bug with invalid property values
	  
	  Closes #4115
	  Closes https://github.com/postgis/postgis/pull/263

2018-07-04 20:41  Regina Obe <lr@pcorp.us>

	* [r16634] Reenable debbie's SFCGAL
	  References #4068

2018-07-03 21:45  Regina Obe <lr@pcorp.us>

	* [r16633] Flip to 2.5.0beta2dev

2018-07-03 20:04  Regina Obe <lr@pcorp.us>

	* [r16631] update doc release notes in prep for 2.5.0beta1 release

2018-07-03 18:04  Regina Obe <lr@pcorp.us>

	* [r16630] Prepping for 2.5.0beta1 release

2018-07-01 16:30  Regina Obe <lr@pcorp.us>

	* [r16629] Get rid of the ifdefs around the functions, these have
	  always existed but were static before.
	  Closes #4114

2018-07-01 15:42  Regina Obe <lr@pcorp.us>

	* [r16628] fix typos in last credits

2018-07-01 15:39  Regina Obe <lr@pcorp.us>

	* [r16627] Minor update to the credits

2018-07-01 15:34  Regina Obe <lr@pcorp.us>

	* [r16626] spgist 2d and 3d support for PG 11+
	  references #1847
	  Credits: Arthur Lesuisse, Esteban Zimanyi from Université Libre
	  de Bruxelles (ULB) and Darafei Praliaskouski
	  also added logic to exclude PG < 11 from including this
	  functionality
	  Closes https://github.com/postgis/postgis/pull/258

2018-06-30 21:59  Regina Obe <lr@pcorp.us>

	* [r16625] Make test sort order deterministic by using lateral.
	  Closes #4111
	  (Note they are going to fix the issue upstream that made this
	  fail on stable 10, but I wanted to change this test anyway)

2018-06-26 14:55  Daniel Baston <dbaston@gmail.com>

	* [r16624] Add spaces in documentation
	  
	  Patch from hannes
	  Closes https://gitlab.com/postgis/postgis/merge_requests/10

2018-06-18 21:47  Regina Obe <lr@pcorp.us>

	* [r16623] fix spacing

2018-06-18 21:46  Regina Obe <lr@pcorp.us>

	* [r16622] Fix availability note of ST_OrientedEnvelope so it shows
	  in new functions section

2018-06-17 09:33  Regina Obe <lr@pcorp.us>

	* [r16621] Link to ST_OrientedEnvelope from ST_Envelope

2018-06-17 08:41  Regina Obe <lr@pcorp.us>

	* [r16620] Add graphical examples for ST_Envelope and
	  ST_OrientedEnvelope

2018-06-15 22:16  Sandro Santilli <strk@kbt.io>

	* [r16618] Fix infinite loop in linearization of a big radius small
	  arc
	  
	  Ref #4058 for trunk (2.5.0dev)
	  Includes unit test

2018-06-13 14:19  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16616] MVT tests: Remove ST_Normalize calls
	  
	  References #4106

2018-06-13 14:16  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16615] Travis: Install all required dependencies for MVT tests
	  
	  References #4106

2018-06-12 01:38  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16612] Fix flags in case where a boxless geom comes in with a
	  "has box" set of flags.
	  References #4707

2018-06-06 18:01  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16611] Remove erroneous commutator definitions for
	  over(left/right/above/below)
	  operators. Closes #4088

2018-06-06 09:29  Darafei Praliaskouski <me@komzpa.net>

	* [r16610] Debbie / Postgres 9.4 calls function twice.
	  
	  References #4103

2018-06-05 17:11  Darafei Praliaskouski <me@komzpa.net>

	* [r16609] ST_PointOnSurface handling of invalid.
	  
	  Prints a loud notice and passes input through MakeValid.
	  
	  Closes #4103
	  Closes https://github.com/postgis/postgis/pull/257

2018-06-05 14:40  Darafei Praliaskouski <me@komzpa.net>

	* [r16608] Unify geometry centroid functions
	  
	  Make ST_Centroid call lwgeom_centroid.
	  
	  Closes #3960
	  Closes https://github.com/postgis/postgis/pull/256

2018-06-05 12:28  Darafei Praliaskouski <me@komzpa.net>

	* [r16607] Remove mentions of GEOS <= 3.5.0.
	  
	  PostGIS requires 3.5.0 already.
	  
	  Closes https://github.com/postgis/postgis/pull/255

2018-06-03 09:11  Darafei Praliaskouski <me@komzpa.net>

	* [r16605] ST_ClusterKMeans: handle effective K=0 when all the
	  inputs are EMPTY
	  
	  Closes #4101
	  Closes https://github.com/postgis/postgis/pull/254

2018-06-02 12:09  Darafei Praliaskouski <me@komzpa.net>

	* [r16604] Let KMeans init even if there are only duplicates in
	  input
	  
	  Added reporting of duplicates noticed on init pass.
	  
	  Closes #4100
	  Closes https://github.com/postgis/postgis/pull/253

2018-06-02 05:39  Regina Obe <lr@pcorp.us>

	* [r16603] change to version 2.5.0 and have table generated be 25

2018-06-01 13:38  Darafei Praliaskouski <me@komzpa.net>

	* [r16602] [doc] fix invalid xml
	  
	  make check skips it for me locally for some reason.

2018-06-01 13:29  Darafei Praliaskouski <me@komzpa.net>

	* [r16601] [doc] Update index usage troubleshooting section
	  
	  Contains typo fixes reported by Yaroslav Schekin in
	  https://t.me/pgsql

2018-06-01 11:20  Darafei Praliaskouski <me@komzpa.net>

	* [r16600] [doc] fix xml structure

2018-06-01 11:00  Darafei Praliaskouski <me@komzpa.net>

	* [r16599] [doc] dbmanagement manual pass
	  
	  Removed some dust, references to PostGIS 1 and Postgres 7.

2018-05-31 10:20  Sandro Santilli <strk@kbt.io>

	* [r16598] Add entry about upgrade script symlinks

2018-05-30 18:32  Darafei Praliaskouski <me@komzpa.net>

	* [r16597] Fix typo in drawPoint() in doc images generator.
	  
	  Issue introduced in r16296
	  
	  Closes #4098
	  Closes https://github.com/postgis/postgis/pull/252

2018-05-29 08:06  Sandro Santilli <strk@kbt.io>

	* [r16596] Fix function comment for lw_arc_center

2018-05-28 23:45  Regina Obe <lr@pcorp.us>

	* [r16595] Flip to 2.5.0beta1dev

2018-05-28 23:21  Regina Obe <lr@pcorp.us>

	* [r16593] Add in Enhancements and Fixes section for PostGIS
	  2.5.0alpha

2018-05-28 23:02  Regina Obe <lr@pcorp.us>

	* [r16592] In prep for PostGIS 2.5.0alpha release

2018-05-28 22:49  Regina Obe <lr@pcorp.us>

	* [r16591] put back pgis_abs_in and pgis_abs_out as stubs to
	  maintain lib compatibility with PostGIS 2.4 and below
	  References #4097

2018-05-23 09:33  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16589] Remove trailing blank

2018-05-22 19:35  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16583] Inconsistent results from qsort callback (references
	  #4093)

2018-05-22 16:21  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16582] rt_pg: Fix build issue with LVM jit
	  
	  Patch by Laurenz Albe (modified to include CFLAGS too)
	  
	  Closes #4094
	  Related to #4060

2018-05-21 15:22  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16581] Address compiler warnings and add -Wextra to travis
	  
	  Closes #4091
	  Closes https://github.com/postgis/postgis/pull/246

2018-05-16 21:36  Nicklas Avén <nicklas.aven@jordogskog.no>

	* [r16572] Fixes bounding box handling in twkb_input #4089

2018-05-10 08:07  Darafei Praliaskouski <me@komzpa.net>

	* [r16570] Wrong code-comment regarding front/back of BOX3D
	  
	  Patch by Matthias Bay￼￼
	  ￼￼
	  Closes #4084
	  Closes https://github.com/postgis/postgis/pull/241

2018-05-09 10:21  Regina Obe <lr@pcorp.us>

	* [r16569] Support for PostgreSQL 9.5 use Int64GetDatum instead of
	  UInt64GetDatum for < 9.6
	  Revise tests to disable outdb first so that error test
	  consitently fails even if default state is to have out db allowed
	  Closes #4083 for PostGIS 2.5.0
	  Closes https://github.com/postgis/postgis/pull/240

2018-05-09 00:15  Bborie Park <dustymugs@gmail.com>

	* [r16567] Updated docs and NEWS for various changes

2018-05-08 22:37  Regina Obe <lr@pcorp.us>

	* [r16566] Add ST_BandFileSize and ST_BandFileTimestamp,
	  extend ST_BandMetadata (Even Rouault)
	  Closes #4083 for PostGIS 2.5.0
	  Closes https://github.com/postgis/postgis/pull/240

2018-05-08 21:09  Regina Obe <lr@pcorp.us>

	* [r16565] Patch from Even Rouault - remove useless cd, that
	  prevent Travis-CI to work from developer accounts
	  Was part of https://github.com/postgis/postgis/pull/240

2018-05-07 18:58  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16563] Delay freeing input until processing complete. From
	  lucasvr.
	  References #3980

2018-05-07 18:46  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16561] Emit a cancellation error code on GEOS
	  interruptedExceptions, for consistency
	  with internal interruptions.
	  References #4070

2018-05-07 18:19  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16560] Add enhancement line to reference

2018-05-07 17:59  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16557] #4079, ensure that polygons are CW coming out of the
	  ASMVTGEOM process

2018-05-06 17:22  Björn Harrtell <bjorn@wololo.org>

	* [r16556] Follow up to fix review comment
	  References #4076

2018-05-06 16:34  Björn Harrtell <bjorn@wololo.org>

	* [r16555] Replace GEOSPreparedContains with internal winding
	  number algorithm
	  
	  References #4076

2018-04-24 14:39  Darafei Praliaskouski <me@komzpa.net>

	* [r16554] [doc] reword ST_QuantizeCoordinates doc

2018-04-24 13:26  Sandro Santilli <strk@kbt.io>

	* [r16553] Survive to big max deviation values passed to
	  ST_CurveToLine
	  
	  When using "max-deviation" tolerance type, passing a tolerance
	  bigger than twice the radius of any arc resulted in entering
	  an infinite loop, only limited by availability of RAM.
	  
	  This commit fixes the bug by being careful in what's fed to
	  acos()...
	  
	  Includes a unit test.
	  References #4031 for trunk (2.5.0dev) - to be backported

2018-04-24 11:52  Darafei Praliaskouski <me@komzpa.net>

	* [r16552] GEOS ClipByBox2D stub notice now includes ticket link
	  
	  Closes #4039
	  Closes https://github.com/postgis/postgis/pull/239

2018-04-21 12:36  Darafei Praliaskouski <me@komzpa.net>

	* [r16548] ST_ClusterKMeans k=2 is now faster and converges better.
	  
	  This discovered and fixes issue in NULL handling.
	  
	  Closes #4071
	  Closes https://github.com/postgis/postgis/pull/238

2018-04-17 10:20  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16547] Remove PG 9.3 from Drone matrix

2018-04-17 10:05  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16546] Fix dronie build
	  
	  References #4060

2018-04-17 09:07  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16545] Fix travis build (C90 compatibility)
	  
	  References #4060
	  Closes https://github.com/postgis/postgis/pull/236

2018-04-17 09:02  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16544] Postgis module: Pass CFLAGS to PGXS
	  
	  References #4060

2018-04-16 17:26  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16542] Guard against lookup failure, to avoid segfault in
	  internally called case (references #4067)

2018-04-16 10:35  Regina Obe <lr@pcorp.us>

	* [r16541] put back brin check. Brin doesn't work for < 9.5

2018-04-16 08:20  Regina Obe <lr@pcorp.us>

	* [r16540] Add doc notes, NEWS, and regress tests for json/jsonb
	  (also add missing credits to NEWS)
	  Closes #4006 for 2.5.0

2018-04-16 07:54  Regina Obe <lr@pcorp.us>

	* [r16539] Drop support in configure for PostgreSQL < 9.4 and GEOS
	  < 3.5
	  References #4096

2018-04-11 21:02  Regina Obe <lr@pcorp.us>

	* [r16538] revise to handle use of SOURCE_FOLDER if passed in as an
	  arg

2018-04-10 04:06  Regina Obe <lr@pcorp.us>

	* [r16537] Disable sfcgal in make dist and regress testing until
	  sfcgal compile issue
	  for CGAL 4.11 / SFCGAL 1.3.3 against PostGIS is fixed
	  References #4068 for PostGIS 2.5

2018-04-06 18:52  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16531] #4063, optional false origin point for use in ST_Scale

2018-04-06 10:28  Sandro Santilli <strk@kbt.io>

	* [r16530] Do not try testing downgrades
	  
	  Closes #4064

2018-04-06 07:13  Regina Obe <lr@pcorp.us>

	* [r16528] Add upgrade paths for newly released stable versions

2018-03-30 19:05  Darafei Praliaskouski <me@komzpa.net>

	* [r16509] GEOSNode is not robust, avoid it in MakeValid.
	  
	  Thread:
	  https://lists.osgeo.org/pipermail/postgis-devel/2018-March/027078.html
	  
	  Closes #4601
	  Closes https://github.com/postgis/postgis/pull/235

2018-03-28 15:01  Sandro Santilli <strk@kbt.io>

	* [r16508] Avoid incompatible automatic variable length array
	  
	  Patch by vmo
	  Closes #4059

2018-03-28 15:01  Sandro Santilli <strk@kbt.io>

	* [r16507] Allow running topology perf test with run_test.pl

2018-03-28 08:37  Regina Obe <lr@pcorp.us>

	* [r16503] Fix crasher in raster when fed an empty raster (note was
	  tempted to change the def of empty raster to include raster with
	  no bands but not sure where else that is used, so just revised
	  the clip check to not try to clip if no bands).
	  References #3055 for PostGIS 2.5 (trunk),
	  also minor doc fix references #2925 for PostGIS 2.5 (trunk)

2018-03-27 17:31  Darafei Praliaskouski <me@komzpa.net>

	* [r16499] ST_CPAWithin precision fix
	  
	  Closes #4032
	  Closes https://github.com/postgis/postgis/pull/234
	  References #4025

2018-03-24 04:58  Regina Obe <lr@pcorp.us>

	* [r16497] Revise postgis extension helper functions to support
	  PostgreSQL 11+ (proisagg replaced with prokind)
	  References #4044 for PostGIS 2.5 (trunk)

2018-03-24 02:12  Regina Obe <lr@pcorp.us>

	* [r16494] note in docs about soft upgrade that legacy.sql must be
	  rerun for each minor.
	  References #2960 for PostGIS 2.5.0 (trunk)

2018-03-23 20:40  Daniel Baston <dbaston@gmail.com>

	* [r16490] Avoid dropping SRID in ST_ClusterIntersecting
	  
	  There was not actually a problem with ST_ClusterWithin, and the
	  previous
	  commit did not resolve the problem with ST_ClusterIntersecting.
	  
	  References #4055

2018-03-23 19:47  Daniel Baston <dbaston@gmail.com>

	* [r16489] Avoid dropping SRID in ST_ClusterWithin
	  
	  Resolves #4055

2018-03-23 14:57  Nicklas Avén <nicklas.aven@jordogskog.no>

	* [r16488] Fix error message in ST_ChaikinSmoothing per request

2018-03-23 14:56  Nicklas Avén <nicklas.aven@jordogskog.no>

	* [r16487] Fix file header cu_chaikin.c

2018-03-23 14:11  Nicklas Avén <nicklas.aven@jordogskog.no>

	* [r16486] Add function ST_FilterByM #4056

2018-03-23 09:24  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16485] Fix memory leak in lwline_chaikin
	  
	  Closes https://github.com/postgis/postgis/pull/233
	  Closes #4053

2018-03-23 02:43  Regina Obe <lr@pcorp.us>

	* [r16483] schema qualify geography functions (including ST_Buffer)
	  Closes #4052 for PostGIS 2.5 (trunk)

2018-03-20 14:11  Nicklas Avén <nicklas.aven@jordogskog.no>

	* [r16480] fix space indention to tab

2018-03-20 13:11  Nicklas Avén <nicklas.aven@jordogskog.no>

	* [r16479] Add ChaikinSmoothing #4050

2018-03-20 09:37  Nicklas Avén <nicklas.aven@jordogskog.no>

	* [r16478] fixes #4049

2018-03-18 22:42  Regina Obe <lr@pcorp.us>

	* [r16476] Seems sometimes the postgis_svn_revision.h gets wiped
	  out, so end up with no svn number.
	  Explicitly call svn_repo_revision.pl to ensure we have an svn
	  number to read
	  References #4047 for PostGIS 2.5 (trunk)

2018-03-18 09:11  Regina Obe <lr@pcorp.us>

	* [r16475] this for sure will fix revision # this time I tested
	  beforehand
	  References #4047 for PostGIS 2.5 (trunk)

2018-03-18 05:32  Regina Obe <lr@pcorp.us>

	* [r16473] one more try to get the SVN number in there

2018-03-18 05:16  Regina Obe <lr@pcorp.us>

	* [r16471] variable typo

2018-03-18 05:07  Regina Obe <lr@pcorp.us>

	* [r16469] bah so close I remarked out an fi by mistake
	  References #4047

2018-03-18 04:59  Regina Obe <lr@pcorp.us>

	* [r16468] Fix sed replace that injects UTC date and SVN revision
	  number
	  Change to just build BR and DE for now
	  References #4047

2018-03-18 02:50  Regina Obe <lr@pcorp.us>

	* [r16467] Fix sed replace call echo out svn number
	  References #4047

2018-03-18 02:36  Regina Obe <lr@pcorp.us>

	* [r16466] update-po and put back the timestamp, put ? for now for
	  svn rev
	  References #4047

2018-03-18 02:31  Regina Obe <lr@pcorp.us>

	* [r16465] Take out attempt to add svn number to revision or change
	  the title at all
	  References #4047

2018-03-17 18:25  Regina Obe <lr@pcorp.us>

	* [r16464] Turn of translation building for now until debug issue
	  with it
	  References #4047

2018-03-16 11:34  Darafei Praliaskouski <me@komzpa.net>

	* [r16463] ST_LocateBetween: document offset parameter, link See
	  Also
	  
	  https://lists.osgeo.org/pipermail/postgis-devel/2018-February/026966.html

2018-03-16 05:01  Regina Obe <lr@pcorp.us>

	* [r16462] Replace Style01-Style06 with Style1-Style6 -- we don't
	  have styles called Style0x so was breaking the build.
	  References #4047

2018-03-15 18:21  Regina Obe <lr@pcorp.us>

	* [r16461] wrong path in last commit

2018-03-15 18:18  Regina Obe <lr@pcorp.us>

	* [r16460] Revise doc building to include the SVN revision number
	  if we are doing dev release

2018-03-13 22:48  Regina Obe <lr@pcorp.us>

	* [r16459] Put in missing availability notes for ST_Union and
	  ST_Clip and also put in missed schema qualifications on ST_Clip,
	  _ST_Clip functions

2018-03-13 17:39  Darafei Praliaskouski <me@komzpa.net>

	* [r16458] Fix fuzzer building since lwgeom uses GEOSNode()
	  
	  Patch by Even Rouault
	  
	  Closes https://github.com/postgis/postgis/pull/232

2018-03-12 11:29  Darafei Praliaskouski <me@komzpa.net>

	* [r16457] ST_Subdivide: update documentation and examples.
	  
	  Closes #4041

2018-03-12 02:47  Daniel Baston <dbaston@gmail.com>

	* [r16456] Fix prototype name

2018-03-12 02:41  Daniel Baston <dbaston@gmail.com>

	* [r16455] Add ST_QuantizeCoordinates
	  
	  Closes #4029
	  Closes https://github.com/postgis/postgis/pull/225

2018-03-09 17:43  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16454] Liblwgeom: Fix memory leaks
	  
	  Closes #4043
	  Closes #https://github.com/postgis/postgis/pull/230

2018-03-09 15:37  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16453] PG11: Force order in failing test
	  
	  Closes #4033
	  Closes #https://github.com/postgis/postgis/pull/229

2018-03-09 08:07  Bborie Park <dustymugs@gmail.com>

	* [r16452] wrong index for pixtype vs code

2018-03-07 14:59  Darafei Praliaskouski <me@komzpa.net>

	* [r16451] ST_Subdivide: improved handling of polygons with many
	  holes.
	  
	  Closes #4038
	  Closes https://github.com/postgis/postgis/pull/202

2018-03-07 13:21  Darafei Praliaskouski <me@komzpa.net>

	* [r16450] Fix invalid inputs for GEOS if it cannot process them
	  
	  Invalid input geometry is fixed with MakeValid for GEOS
	  exceptions in
	  ST_Intersection, ST_Union, ST_Difference, ST_SymDifference.
	  
	  Closes #4037
	  Closes https://github.com/postgis/postgis/pull/228

2018-03-06 20:18  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16448] Drop pgis_abs and all dependent functions in one go
	  Reference #4035

2018-03-06 13:51  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16447] Drop unused functions for pgis_abs during upgrades
	  References #4035

2018-03-05 17:42  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16446] Annotate changed function signatures for pgis_abs
	  removal
	  References #4035

2018-03-05 17:30  Darafei Praliaskouski <me@komzpa.net>

	* [r16445] ST_OffsetCurve: update docs about MULTI*
	  
	  References #2508

2018-03-05 16:54  Darafei Praliaskouski <me@komzpa.net>

	* [r16444] ST_OffsetCurve: support for MULTILINESTRING,
	  GEOMETRYCOLLECTION and non-simple inputs
	  
	  Closes #2508
	  Closes https://github.com/postgis/postgis/pull/224

2018-03-05 14:14  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16443] Remove the pgis_abs dummy type and replace with use of
	  'internal' type.
	  Closes #4035

2018-03-03 09:11  Darafei Praliaskouski <me@komzpa.net>

	* [r16442] [github][codecov] Fix coverage for files with the same
	  name in different paths

2018-03-03 03:31  Regina Obe <lr@pcorp.us>

	* [r16441] add Saint standarization

2018-03-02 01:47  Daniel Baston <dbaston@gmail.com>

	* [r16440] Fix some spelling errors

2018-02-28 22:24  Sandro Santilli <strk@kbt.io>

	* [r16439] Small review pass for STYLE document

2018-02-28 22:20  Sandro Santilli <strk@kbt.io>

	* [r16438] Fix space-indented astyle call

2018-02-28 22:20  Sandro Santilli <strk@kbt.io>

	* [r16437] Fix astyle call for space-based indent files

2018-02-28 22:07  Sandro Santilli <strk@kbt.io>

	* [r16436] Have astyle.sh use same indenting as requested by
	  editorconfig

2018-02-28 21:58  Sandro Santilli <strk@kbt.io>

	* [r16435] Rename "astyle" Makefile rule to "fmt", mark as phony
	  
	  otherwise with my version of make I get an "astyle" script
	  created (!)

2018-02-27 17:42  Raúl Marín Rodríguez <rmrodriguez@carto.com>

	* [r16434] test_rect_tree_contains_point: Fix memory leaks
	  
	  Closes #4026
	  Closes https://github.com/postgis/postgis/pull/216

2018-02-27 14:19  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16433] Document and regress linemerge cases from SO
	  Closes #4011

2018-02-27 10:55  Regina Obe <lr@pcorp.us>

	* [r16432] fix xsl script. Was flagging 2.4 items instead of 2.5
	  for 2.5

2018-02-27 10:53  Regina Obe <lr@pcorp.us>

	* [r16431] Add ST_Buffer side=arg enhancement not to the docs.
	  References #3989

2018-02-26 20:27  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16430] test case for CPADistance with narrow temporal ranges
	  (references #4025)

2018-02-26 19:52  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16423] Add re-generated files, a little after the lexer/parser
	  so hopefully make stops harassing us for a while
	  References #4017

2018-02-26 19:51  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16422] Fix memory corruption in case where lexer is interrupted
	  mid-process
	  References #4017

2018-02-26 18:19  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16419] Use more precise bounds when testing overlap of temporal
	  ranges.
	  Fixes #4025

2018-02-26 17:55  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16418] Ignore build dir

2018-02-24 16:21  Sandro Santilli <strk@kbt.io>

	* [r16416] jsonb type is only available since PostgreSQL 9.4.0
	  
	  Closes #4028 (thanks Dronie for finding out)

2018-02-23 21:54  Mateusz Loskot <mateusz@loskot.net>

	* [r16415] Clarify ST_Band, ST_AsTIFF description in case any of
	  specified band does not exist.
	  Correct ST_Band description in case no bands are specified.

2018-02-23 14:18  Sandro Santilli <strk@kbt.io>

	* [r16413] ST_LineToCurve is also available since 1.3.0

2018-02-23 13:04  Sandro Santilli <strk@kbt.io>

	* [r16412] Fix availability of ST_CurveToLine
	  
	  It is 1.3.0, not 1.2.2 (which was never published, btw)

2018-02-22 19:44  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16410] Add cache support for rect_node trees and expose for
	  testing
	  in _ST_DistanceRectTreeCached(geom, geom).
	  References #2614

2018-02-22 15:52  Darafei Praliaskouski <me@komzpa.net>

	* [r16409] Format lwgeom_geos_clean.c before digging in
	  
	  References #2508

2018-02-22 11:09  Darafei Praliaskouski <me@komzpa.net>

	* [r16405] Fix cast from box3d to geometry
	  
	  Patch by Matthias Bay
	  
	  Closes https://github.com/postgis/postgis/pull/214
	  Closes #4020

2018-02-22 10:09  Darafei Praliaskouski <me@komzpa.net>

	* [r16404] lwgeom_geos.c: clean up copy-paste
	  
	  Closes https://github.com/postgis/postgis/pull/217
	  Closes https://trac.osgeo.org/postgis/ticket/4027

2018-02-21 23:21  Regina Obe <lr@pcorp.us>

	* [r16403] minor edits

2018-02-21 23:14  Regina Obe <lr@pcorp.us>

	* [r16402] Intro hasn't been edited in 10 years. Get rid of some
	  statements no longer true and amend to reflect it's no longer a
	  single company project

2018-02-21 09:06  Sandro Santilli <strk@kbt.io>

	* [r16400] Lowercase Algunenano
	  
	  All LDAP account names are lowercase

2018-02-20 22:33  Regina Obe <lr@pcorp.us>

	* [r16396] Add Raúl Marín Rodríguez to developers list

2018-02-20 22:11  Regina Obe <lr@pcorp.us>

	* [r16395] revert commit r16327 of this file. Was causing
	  parse-address test to fail.
	  Closes #4024

2018-02-20 21:28  Sandro Santilli <strk@kbt.io>

	* [r16394] Switch to PostgreSQL 9.6 and libjson-c-dev
	  
	  Fixes gitlab-ci build, closes #4023

2018-02-20 20:40  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16393] Edge tree index on geometries makes distance
	  calculations on large geometries
	  go much faster. Needs to be used selectively and potentially with
	  a caching
	  component for maximum effect. Test it out using
	  _ST_DistanceRectTree(geom, geom)
	  for now.
	  References #2614

2018-02-20 18:05  Darafei Praliaskouski <me@komzpa.net>

	* [r16392] Formatting lwgeom_geos.c
	  
	  Closes https://github.com/postgis/postgis/pull/215

2018-02-20 17:55  Darafei Praliaskouski <me@komzpa.net>

	* [r16391] Fix errorneous ticket number.
	  
	  References #2985

2018-02-20 16:16  Darafei Praliaskouski <me@komzpa.net>

	* [r16390] Drop cstring2text/text2cstring in favor of PostgreSQL
	  functions
	  
	  Patch by Raúl Marín Rodríguez
	  
	  Closes https://github.com/postgis/postgis/pull/213
	  Closes #4022

2018-02-20 14:35  Bborie Park <dustymugs@gmail.com>

	* [r16389] use text_to_cstring instead of text2cstring

2018-02-20 14:00  Darafei Praliaskouski <me@komzpa.net>

	* [r16388] PROJ: Cleanup point4d_transform and lwproj_from_string
	  
	  Patch by Raúl Marín Rodríguez
	  
	  Closes https://github.com/postgis/postgis/pull/212
	  Closes #4016

2018-02-20 11:27  Darafei Praliaskouski <me@komzpa.net>

	* [r16387] rtpg_wkb: Add missing include
	  
	  Patch by Raúl Marín Rodríguez
	  
	  Closes https://github.com/postgis/postgis/pull/211
	  Closes #4021
	  References #2221

2018-02-19 22:36  Regina Obe <lr@pcorp.us>

	* [r16386] Get rid of lib_envs.sh back to declaring everything
	  locally

2018-02-19 22:06  Bborie Park <dustymugs@gmail.com>

	* [r16385] Merge branch '2221_WKB_HexWKB'

2018-02-19 17:39  Regina Obe <lr@pcorp.us>

	* [r16384] move library version declare into shared script -- with
	  plans to eventually have postgres start/stop from script as well.

2018-02-17 08:46  Darafei Praliaskouski <me@komzpa.net>

	* [r16383] Add support to unstroke GEOMETRYCOLLECTION
	  
	  Patch by Raúl Marín Rodríguez
	  
	  Closes https://github.com/postgis/postgis/pull/209

2018-02-17 08:42  Darafei Praliaskouski <me@komzpa.net>

	* [r16382] pj_transform: Reset pj_errno after any error
	  
	  Patch by Raúl Marín Rodríguez
	  
	  Closes https://github.com/postgis/postgis/pull/210
	  References #4016

2018-02-17 08:37  Darafei Praliaskouski <me@komzpa.net>

	* [r16381] [github] Configure codecov
	  
	  Disable comment posting, allow coverage to go down a little bit

2018-02-15 03:03  Daniel Baston <dbaston@gmail.com>

	* [r16380] Add single-sided buffer option
	  
	  Patch from Stephen Knox, modified by me
	  Resolves #3989

2018-02-13 17:52  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16379] Use -p call in bison instead of name-prefix in .y file
	  to allow ancient versions of bison to build parser

2018-02-13 13:30  Darafei Praliaskouski <me@komzpa.net>

	* [r16378] check_gdal: Don't assume failure when the datapath is
	  invalid
	  
	  Patch by Raúl Marín Rodríguez
	  
	  Closes https://github.com/postgis/postgis/pull/206
	  Closes #4013

2018-02-13 13:08  Darafei Praliaskouski <me@komzpa.net>

	* [r16377] Address warnings across liblwgeom/ and postgis/
	  
	  Patch by Raúl Marín Rodríguez
	  
	  Closes https://github.com/postgis/postgis/pull/207
	  Closes #4014

2018-02-10 21:08  Regina Obe <lr@pcorp.us>

	* [r16376] hard-code CGAL 4.11 to try to fix sfcgal 1.3.2 compileN

2018-02-08 20:59  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16375] Fix build tests around geometric median (Raúl Marín
	  Rodríguez)
	  Closes https://github.com/postgis/postgis/pull/205
	  Closes #4012

2018-02-08 19:11  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16374] #4006, cast json/jsonb to text in ST_GeomFromGeoJSON

2018-02-07 07:47  Bborie Park <dustymugs@gmail.com>

	* [r16373] Add ST_SetBandPath (#4007) and ST_SetBandIndex (#4008).
	  Update signature
	  of ST_BandMetaData to include external raster band index

2018-02-03 04:46  Regina Obe <lr@pcorp.us>

	* [r16372] Fix versions to be compatible with what SFCGAL was
	  compiled with.

2018-02-02 22:23  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16371] Apply node sorting before descent to CIRC_NODE trees for
	  faster calculation of geography distances.
	  Closes #4010

2018-02-02 21:42  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16370] Quiet compiler warnings regarding abs/fabs

2018-02-02 17:10  Daniel Baston <dbaston@gmail.com>

	* [r16369] Add files missed in last commit

2018-02-02 17:10  Daniel Baston <dbaston@gmail.com>

	* [r16368] Add ST_OrientedEnvelope
	  
	  Resolves #3176

2018-02-01 02:32  Bborie Park <dustymugs@gmail.com>

	* [r16367] additional information for systemd Ubuntu

2018-01-26 15:18  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16366] lwgeom_median: Avoid division by zero
	  (Raúl Marín Rodríguez)
	  Closes #3997
	  Closes https://github.com/postgis/postgis/pull/198

2018-01-26 15:10  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16365] lwprint_double: Avoid undefined behaviour with infinity
	  (Raúl Marín Rodríguez)
	  Closes #4005
	  Closes https://github.com/postgis/postgis/pull/200

2018-01-26 15:01  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16364] lwpoly_construct_circle: Avoid division by zero (Raúl
	  Marín Rodríguez)
	  Closes #4003
	  Closes #199

2018-01-26 12:43  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16360] Avoid memory exhaustion when building a btree index
	  (references #4004)
	  From Edmund Horner

2018-01-24 01:51  Daniel Baston <dbaston@gmail.com>

	* [r16359] Remove unneeded casts

2018-01-22 11:14  Sandro Santilli <strk@kbt.io>

	* [r16349] [drone] Use trisquel2 image, test all pgsql versions and
	  upgrades
	  
	  The new docker image also uses newer GEOS (3.6.2).
	  References #3813 taking a step in the GEOS upgrade direction for
	  Dronie

2018-01-22 09:55  Sandro Santilli <strk@kbt.io>

	* [r16348] Set availability of support function for KNN index
	  
	  Fixes upgrade from 2.1 to 2.2+
	  References #3978 in trunk (2.5.0+)
	  Should be backported up to 2.2 branch

2018-01-20 09:20  Sandro Santilli <strk@kbt.io>

	* [r16345] Include minor upgrade in sfcgal unpackaged upgrade
	  
	  Closes #3913 again (for sfcgal) and hopefully fixes #4000

2018-01-20 08:32  Sandro Santilli <strk@kbt.io>

	* [r16344] Improve check for probin consistency
	  
	  See #4000

2018-01-19 22:43  Sandro Santilli <strk@kbt.io>

	* [r16343] [run_test.pl] Do not assume OPT_UPGRADE_FROM was given

2018-01-19 17:52  Darafei Praliaskouski <me@komzpa.net>

	* [r16342] Address configure issues for unusual CC/CFLAGS
	  
	  Patch by Raúl Marín Rodríguez.
	  
	  Closes #3995
	  Closes https://github.com/postgis/postgis/pull/195

2018-01-19 17:50  Darafei Praliaskouski <me@komzpa.net>

	* [r16341] Fix bug in iterate_4d.
	  
	  Patch by Raúl Marín Rodríguez.
	  
	  Closes #3997
	  Closes https://github.com/postgis/postgis/pull/196

2018-01-19 16:33  Sandro Santilli <strk@kbt.io>

	* [r16340] Make OPT_UPGRADE_FROM visible from subroutines (I think)
	  
	  Fixes make check RUNTESTFLAGS="--sfcgal --upgrade --extension"

2018-01-19 16:33  Sandro Santilli <strk@kbt.io>

	* [r16339] More debugging outputs from run_test.pl

2018-01-19 11:13  Sandro Santilli <strk@kbt.io>

	* [r16338] Properly handle upgrade of sfcgal and topology from
	  unpackaged.
	  
	  Also add some more informational output

2018-01-19 09:27  Sandro Santilli <strk@kbt.io>

	* [r16337] [debbie] pass -v swith to run_test.pl consistently

2018-01-18 21:46  Sandro Santilli <strk@kbt.io>

	* [r16335] Forgot to add pkg.m4 macro in r16324
	  
	  See #3992

2018-01-18 21:43  Sandro Santilli <strk@kbt.io>

	* [r16334] Re-enable upgrade testing in debbie, chances are sfcgal
	  is now fixed

2018-01-18 21:41  Sandro Santilli <strk@kbt.io>

	* [r16333] Fix sfcgal upgrade in run_test.pl

2018-01-18 19:31  Regina Obe <lr@pcorp.us>

	* [r16332] Don't run upgrade tests until we've resolved the sfcgal
	  issue

2018-01-18 15:49  Regina Obe <lr@pcorp.us>

	* [r16331] turn off update-po for now until can figure out what is
	  issue with transifex errors

2018-01-18 14:21  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16330] Tweak a couple string allocation to use the "just right"
	  pgsql call

2018-01-18 12:49  Darafei Praliaskouski <me@komzpa.net>

	* [r16329] ST_AsText now has second argument to limit decimal
	  digits.
	  
	  Patch by Marc Ducobu, reworked by Darafei Praliaskouski.
	  
	  Closes #3986
	  Closes https://github.com/postgis/postgis/pull/194

2018-01-17 20:39  Darafei Praliaskouski <me@komzpa.net>

	* [r16327] Formatting: remove trailing whitespace from .sql files.

2018-01-16 22:47  Darafei Praliaskouski <me@komzpa.net>

	* [r16326] Use bigint in regress_lots_of_points* to make 32bit
	  tuple alignment consistent with 64bit.

2018-01-16 20:47  Sandro Santilli <strk@kbt.io>

	* [r16324] Use PKG_PROG_PKG_CONFIG macro from pkg.m4 to detect
	  pkg-config
	  
	  Patch by Bas Couwenberg
	  Closes #3992

2018-01-16 17:24  Darafei Praliaskouski <me@komzpa.net>

	* [r16323] interpolate_point4d: PARANOIA check should be on raw
	  value instead of absolute

2018-01-16 17:03  Darafei Praliaskouski <me@komzpa.net>

	* [r16322] [travis] Enable -Wall
	  
	  Closes https://github.com/postgis/postgis/pull/193

2018-01-16 14:21  Darafei Praliaskouski <me@komzpa.net>

	* [r16319] Fix warnings.
	  
	  Remove unreachable code.
	  Fix pointer dereference and null check order.
	  Fix HAS_Z/M and g1/g2 mixup in conditions.
	  Fix typmod variables to be signed.
	  Fix & and && in conditions.
	  Cover ST_AsGML with tests. Check option bitmask for unsupported
	  bits.
	  Cover typmod_in/typmod_out with tests.
	  Reorder *free* to happen before *return*.
	  
	  Closes https://github.com/postgis/postgis/pull/192

2018-01-16 13:48  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16318] Remove warning: unsigned is always positive

2018-01-16 08:57  Regina Obe <lr@pcorp.us>

	* [r16317] fix typo in condition

2018-01-16 08:38  Regina Obe <lr@pcorp.us>

	* [r16316] strip the microversion in the doc generation of doc-html
	  tar, pdf, epub
	  if this is a development release

2018-01-15 23:23  Regina Obe <lr@pcorp.us>

	* [r16311] change to call with bash instead of sh, get rid of
	  re-autogen would have been already done.

2018-01-15 22:53  Regina Obe <lr@pcorp.us>

	* [r16310]

2018-01-15 22:28  Regina Obe <lr@pcorp.us>

	* [r16309] one more try to get this bash logic right

2018-01-15 22:17  Regina Obe <lr@pcorp.us>

	* [r16308] try again

2018-01-15 22:13  Regina Obe <lr@pcorp.us>

	* [r16307] fix typo

2018-01-15 22:08  Regina Obe <lr@pcorp.us>

	* [r16306] inject a dev timestamp into the docs only when in
	  development

2018-01-15 21:24  Regina Obe <lr@pcorp.us>

	* [r16304] add missing 2.3.5, 2.3.6, 2.4.3 to extensions upgrade,
	  revise doc build to not have SVN placeholder (may bring back
	  later)

2018-01-15 00:16  Regina Obe <lr@pcorp.us>

	* [r16297] with_interrupt_tests using non-standard extension
	  Patch from Greg Troxel
	  References #3988 for PostGIS 2.5 (trunk)

2018-01-14 16:56  Darafei Praliaskouski <me@komzpa.net>

	* [r16296] Synchronize coordinate output functins.
	  
	  Closes #3987
	  Closes https://github.com/postgis/postgis/pull/190

2018-01-14 15:37  Regina Obe <lr@pcorp.us>

	* [r16293] remove no longer valid steps from HOWTO_RELEASE
	  closes #3985 for PostGIS 2.5 (trunk)

2018-01-13 18:54  Regina Obe <lr@pcorp.us>

	* [r16287] revise doc build to build html tar ball. Revise how to
	  release to skip make dist and doc build, and to just have these
	  downloaded from site
	  References #3985 for PostGIS 2.5 (trunk)

2018-01-13 18:22  Regina Obe <lr@pcorp.us>

	* [r16286] Add missing pgpath variable to doc build, get rid of
	  invalid clause in make_dist (-v)

2018-01-13 18:16  Regina Obe <lr@pcorp.us>

	* [r16285] Add step to make the PDF, html and other docs.
	  References #3985 for PostGIS 2.5 (trunk)

2018-01-13 17:48  Regina Obe <lr@pcorp.us>

	* [r16283] revise make_dist.sh to allow overriding the package name
	  References #3985

2018-01-13 07:05  Regina Obe <lr@pcorp.us>

	* [r16282] no need to cd down, already in root

2018-01-13 06:59  Regina Obe <lr@pcorp.us>

	* [r16281] First draft
	  References #3985

2018-01-12 19:17  Sandro Santilli <strk@kbt.io>

	* [r16278] Fix install and clean rules

2018-01-12 13:34  Darafei Praliaskouski <me@komzpa.net>

	* [r16270] Use fixed width integers.
	  
	  Patch by Raúl Marín Rodríguez.
	  
	  Closes #3970
	  Closes https://github.com/postgis/postgis/pull/183

2018-01-12 12:39  Sandro Santilli <strk@kbt.io>

	* [r16269] Generate control file from Makefile rather than
	  ./configure
	  
	  Simplifies code to be more localized, fixed distclean and clean
	  to drop those generated files

2018-01-12 10:29  Darafei Praliaskouski <me@komzpa.net>

	* [r16268] [travis] fix RUNTESTFLAGS to hold --verbose even when
	  there is --dumprestore specified
	  
	  Closes https://github.com/postgis/postgis/pull/187

2018-01-12 08:18  Darafei Praliaskouski <me@komzpa.net>

	* [r16263] Encoded Polyline of EMPTY
	  
	  Closes #3982
	  Closes https://github.com/postgis/postgis/pull/189

2018-01-11 22:09  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16262] When looking up SRID numbers, assume that
	  spatial_ref_sys will
	  share a schema will the calling function (st_transform, usually)
	  and look for spatial_ref_sys there. (References #3975)

2018-01-11 21:36  Sandro Santilli <strk@kbt.io>

	* [r16261] Do not try to install sfcgal extension when not
	  available
	  
	  When testing upgrade from a version < 2.2.0 and requesting sfcgal
	  avoid to create it initially and create it directly at upgrade
	  time.

2018-01-11 21:36  Sandro Santilli <strk@kbt.io>

	* [r16260] Fix editorconfig specification for perl scripts

2018-01-11 17:41  Darafei Praliaskouski <me@komzpa.net>

	* [r16259] Add lost mention of Shoaib Burq.
	  
	  Reformat Encoded Polyline out function to fit 80 columns per
	  strk's request.

2018-01-11 16:43  Sandro Santilli <strk@kbt.io>

	* [r16258] Do not try to test upgrade from-to the same version

2018-01-11 16:35  Regina Obe <lr@pcorp.us>

	* [r16257] Change to have MAKE_GARDEN, MAKE_EXTENSION, DUMP_RESTORE
	  be set in script instead of the job. Already took these out of
	  the job.
	  That way people don't need to touch jenkins to fiddle with these
	  and these aren't part of matrix (or needed to be known by
	  postgres pre-launch)

2018-01-11 14:48  Darafei Praliaskouski <me@komzpa.net>

	* [r16256] [github] enable probot/stale to take care of old pull
	  requests

2018-01-11 14:13  Sandro Santilli <strk@kbt.io>

	* [r16255] topology and sfcgal extension control files are created
	  by make now

2018-01-11 12:46  Darafei Praliaskouski <me@komzpa.net>

	* [r16254] Formatting only before toucing Encoded Polyline logic.
	  
	  References #3982

2018-01-11 05:57  Sandro Santilli <strk@kbt.io>

	* [r16253] Refactor sfcgal extension script to use generic include
	  
	  This is an attempt to fix upgrade test on Debbie, saying:
	  ERROR: extension "postgis_sfcgal" does not exist
	  
	  ref: https://debbie.postgis.net/job/PostGIS_Regress/8259/console

2018-01-11 05:57  Sandro Santilli <strk@kbt.io>

	* [r16252] Fix generation of postgis_topology.control

2018-01-10 19:27  Darafei Praliaskouski <me@komzpa.net>

	* [r16251] Simplify KMeans code.
	  
	  Remove threaded implementation.
	  Rewrite generic implementation to be POINT2D specific.
	  
	  Closes #3977
	  Closes https://github.com/postgis/postgis/pull/186

2018-01-10 14:56  Sandro Santilli <strk@kbt.io>

	* [r16250] Fix topology extension install

2018-01-10 14:47  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16249] Back out SPI_execute change, it causes a crash in my
	  parallel test case

2018-01-10 14:01  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16248] Change to SPI_execute so we can run SRS query in
	  'read_only' mode and avoid transaction issues that break parallel
	  mode

2018-01-10 11:35  Sandro Santilli <strk@kbt.io>

	* [r16247] Generalize upgrade paths extension installs

2018-01-09 18:15  Sandro Santilli <strk@kbt.io>

	* [r16238] Remove duplicated diff output
	  
	  This was accidentally included with r16153 by Komzpa

2018-01-09 18:06  Sandro Santilli <strk@kbt.io>

	* [r16237] Upgrade SFCGAL too when requested
	  
	  Might help with
	  https://debbie.postgis.net/job/PostGIS_Regress/8247/console

2018-01-09 17:51  Sandro Santilli <strk@kbt.io>

	* [r16236] Also test unexpected probin in sfcgal

2018-01-09 17:17  Sandro Santilli <strk@kbt.io>

	* [r16235] Really fix syntax this time (I hope)

2018-01-09 17:03  Sandro Santilli <strk@kbt.io>

	* [r16234] Fix OPERATOR CLASS syntax

2018-01-09 15:56  Sandro Santilli <strk@kbt.io>

	* [r16233] Drop FAMILY specifier from operator class of brin

2018-01-09 15:04  Sandro Santilli <strk@kbt.io>

	* [r16232] Simplify syntax for brin opclasses so upgrade script
	  recognizes it
	  
	  Fixes #3956 for me

2018-01-09 15:04  Sandro Santilli <strk@kbt.io>

	* [r16231] Do not assume CREATE OPERATOR CLASS needs to end with
	  ');'
	  
	  A single ending semicolon is enough to terminate the statement

2018-01-09 14:06  Darafei Praliaskouski <me@komzpa.net>

	* [r16230] NEWS entry for KMeans init change.
	  
	  Closes #3971

2018-01-09 14:04  Sandro Santilli <strk@kbt.io>

	* [r16229] Handle error from make garden too

2018-01-09 14:01  Darafei Praliaskouski <me@komzpa.net>

	* [r16228] Change KMeans init algorithm to one with less skew.
	  
	  Closes #3971
	  Closes https://github.com/postgis/postgis/pull/181

2018-01-09 13:49  Sandro Santilli <strk@kbt.io>

	* [r16227] Fix check_all_upgrades call for Debbie

2018-01-09 11:03  Sandro Santilli <strk@kbt.io>

	* [r16226] Have Debbie test available upgrades
	  
	  See https://trac.osgeo.org/postgis/ticket/3956#comment:11

2018-01-09 10:32  Sandro Santilli <strk@kbt.io>

	* [r16225] Add a test for probin correctness
	  
	  Hopefully helps catching the bug reported as #3956
	  (geog_brin_inclusion_add_value not upgraded)
	  
	  NOTE: only an upgrade test would catch this

2018-01-08 17:09  Regina Obe <lr@pcorp.us>

	* [r16224] Rewrite to use stringbuffer instead of the mess of
	  sprintfs
	  Closes #3974

2018-01-05 23:43  Darafei Praliaskouski <me@komzpa.net>

	* [r16223] Disable asserts in non-debug builds
	  
	  Enable both debug and non-debug builds on travis.
	  
	  Closes #3972
	  Closes https://github.com/postgis/postgis/pull/185

2018-01-05 15:22  Darafei Praliaskouski <me@komzpa.net>

	* [r16222] Disable negative values in weighted geometric median.
	  
	  Reviewed by Dan Baston
	  
	  Closes https://github.com/postgis/postgis/pull/176

2018-01-05 13:16  Darafei Praliaskouski <me@komzpa.net>

	* [r16221] Fix ST_RemoveRepeatedPoints dropping one extra point in
	  certain ptarrays
	  
	  Patch by Raúl Marín Rodríguez.
	  
	  Closes #3969
	  Closes https://github.com/postgis/postgis/pull/182

2018-01-04 21:47  Regina Obe <lr@pcorp.us>

	* [r16220] replace lazy sleep 5 with Darafei's more robust sleep
	  suggestion

2018-01-04 18:13  Darafei Praliaskouski <me@komzpa.net>

	* [r16219] [travis] enable logbt.
	  
	  logbt prints a stacktrace each time something it runs segfaults.

2018-01-03 12:11  Darafei Praliaskouski <me@komzpa.net>

	* [r16218] [travis] pull proj4.9 package from ubuntu artful
	  
	  Fix incomplete chown of postgres.
	  Allow no trailing blanks on select build, so a stray space still
	  can be regressed but will fail.
	  Add -g to CFLAGS, so that decompiled files when needed are
	  annotated with source code.
	  
	  Closes https://github.com/postgis/postgis/pull/180

2018-01-02 19:11  Darafei Praliaskouski <me@komzpa.net>

	* [r16217] [travis] gcc4.8 does not support
	  -fstack-protector-strong, relax it to -fstack-protector

2018-01-02 18:38  Darafei Praliaskouski <me@komzpa.net>

	* [r16216] [travis] Travis lies about cpu type which causes -march
	  builds to fail.
	  
	  Change the build matrix.
	  
	  References #3967

2018-01-02 15:11  Sandro Santilli <strk@kbt.io>

	* [r16215] ISO C90 forbids mixed declarations and code, fix
	  corresponding warning

2018-01-02 13:59  Darafei Praliaskouski <me@komzpa.net>

	* [r16212] Fix KMeans initialization issue that lost clusters
	  sometimes.
	  
	  Closes #3965
	  Closes https://github.com/postgis/postgis/pull/179

2018-01-02 13:23  Darafei Praliaskouski <me@komzpa.net>

	* [r16208] Fix email addresses to use `@` instead of ` at ` for
	  better display on github.
	  Sort authors.

2018-01-02 01:02  Bborie Park <dustymugs@gmail.com>

	* [r16207] docs

2018-01-02 01:02  Bborie Park <dustymugs@gmail.com>

	* [r16206] code and tests for ST_Grayscale

2018-01-02 01:02  Bborie Park <dustymugs@gmail.com>

	* [r16205] stubs

2018-01-01 19:42  Regina Obe <lr@pcorp.us>

	* [r16203] switch to have version of libs used be defined in script
	  rather than the jenkins job

2018-01-01 19:13  Regina Obe <lr@pcorp.us>

	* [r16202] try to fix issue with if condition

2017-12-30 12:41  Regina Obe <lr@pcorp.us>

	* [r16201] debug issue with winnie's build failing and make sure
	  configure is same as regression one

2017-12-29 22:06  Darafei Praliaskouski <me@komzpa.net>

	* [r16200] [travis] enable SQL tests in coverage
	  
	  Postgres runs postgis built with --coverage as another user, so
	  traces aren't properly written.
	  Change process to run as travis user.
	  
	  Closes #3966

2017-12-29 17:20  Bborie Park <dustymugs@gmail.com>

	* [r16199] hide variable declaration

2017-12-28 21:26  Bborie Park <dustymugs@gmail.com>

	* [r16198] add documentation about max open files

2017-12-28 21:26  Bborie Park <dustymugs@gmail.com>

	* [r16197] use GDALOpenShared

2017-12-28 18:00  Darafei Praliaskouski <me@komzpa.net>

	* [r16196] docs: link ST_Centroid and ST_GeometricMedian

2017-12-28 16:43  Bborie Park <dustymugs@gmail.com>

	* [r16195] update docs

2017-12-28 16:43  Bborie Park <dustymugs@gmail.com>

	* [r16194] make sure to drop function for upgrade

2017-12-28 16:43  Bborie Park <dustymugs@gmail.com>

	* [r16193] add two columns for Read/Write flags for
	  ST_GDALDrivers()

2017-12-28 08:05  Regina Obe <lr@pcorp.us>

	* [r16192] fix export url for trunk

2017-12-28 04:12  Regina Obe <lr@pcorp.us>

	* [r16191] Fix some typos

2017-12-27 18:37  Regina Obe <lr@pcorp.us>

	* [r16190] Add 5 seconds sleep before attempt to drop regress
	  database, to give pg time to start up in case not fully started.
	  Closes #3962

2017-12-27 15:23  Regina Obe <lr@pcorp.us>

	* [r16189] Change new cache behavior to require > 9.6 instead of >
	  9.5, the AllocSetContextCreate structure in 9.5 doesn't support
	  ALLOCSET_SMALL_SIZES macro so would otherwise require more ugly
	  ifdefing.
	  Closes #3950

2017-12-26 14:07  Darafei Praliaskouski <me@komzpa.net>

	* [r16188] Weight-aware ST_GeometricMedian
	  
	  Weight is to be supplied as M ordinate of individual points in
	  MultiPoint.
	  
	  Bring lwgeom_median.c cunit test coverage to 100%.
	  
	  ST_GeometricMedian(fail_if_not_converged=false, max_iter=0)
	  might give you weighted centroid, but that's not a promise.
	  
	  Closes #3954
	  Closes https://github.com/postgis/postgis/pull/176

2017-12-25 22:05  Darafei Praliaskouski <me@komzpa.net>

	* [r16187] Drop box2d.c.
	  
	  Closes #3955
	  Closes https://github.com/postgis/postgis/pull/178

2017-12-25 04:07  Darafei Praliaskouski <me@komzpa.net>

	* [r16186] fix raster build dependencies to get travis happy
	  
	  Closes https://github.com/postgis/postgis/pull/177

2017-12-24 19:01  Regina Obe <lr@pcorp.us>

	* [r16184] copy over 2.4.1 and 2.4.2 release notes

2017-12-24 17:24  Darafei Praliaskouski <me@komzpa.net>

	* [r16183] [travis] enable coverage reports and caching
	  
	  Closes https://github.com/postgis/postgis/pull/158
	  Closes #3953

2017-12-23 08:25  Regina Obe <lr@pcorp.us>

	* [r16182] Put assert_empty_diagram in a geos >=35 if def. It's
	  only used for geos 3.5+.
	  Change should quiet dronie

2017-12-23 07:53  Regina Obe <lr@pcorp.us>

	* [r16181] Add 2.5 new / enhanced /changed functions section to
	  docs

2017-12-21 17:59  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16180] Remove un-used function

2017-12-21 16:43  Regina Obe <lr@pcorp.us>

	* [r16179] Revert warnings as errors checks. Winnie can't deal with
	  that too many warnings.

2017-12-21 09:25  Sandro Santilli <strk@kbt.io>

	* [r16178] Add missing availability info for ST_Normalize

2017-12-21 04:42  Regina Obe <lr@pcorp.us>

	* [r16177] have winnie trigger fail undefined variables

2017-12-20 22:57  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16175] Change syscache stats lookup to use STATRELATTINH key
	  and three parameters in all cases. References #3904

2017-12-20 20:50  Regina Obe <lr@pcorp.us>

	* [r16174] Get rid of no longer used variables in geography
	  measurenment
	  Closes #3947 for PostGIS 2.5 (trunk)

2017-12-20 19:34  Sandro Santilli <strk@kbt.io>

	* [r16173] Fix warning when building against GEOS < 3.5
	  
	  See https://gitlab.com/postgis/postgis/-/jobs/45372613

2017-12-20 19:28  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16172] Simplify support for PgSQL11 and other versions w/
	  memorycontext deleteion callbacks. References #3946.

2017-12-20 16:44  Sandro Santilli <strk@kbt.io>

	* [r16171] Pass -fno-omit-frame-pointer -Werror to gitlab-ci
	  compile failed

2017-12-20 16:42  Sandro Santilli <strk@kbt.io>

	* [r16170] Have drone build fail on error

2017-12-20 16:32  Regina Obe <lr@pcorp.us>

	* [r16169] cleanup uninitialized use of context to appease travis
	  References #3946

2017-12-20 16:18  Regina Obe <lr@pcorp.us>

	* [r16168] if def out GetPJHashEntry for >-96 when we are using
	  PostgreSQL built-in context. We don't use it cause it returns
	  projection, not the HashEntry grrh.
	  Take it out to quiet travis whining about how we define a
	  function we are not using.
	  References #3946

2017-12-20 15:20  Regina Obe <lr@pcorp.us>

	* [r16167] Make PostgreSQL 11 compile against PostGIS 2.5 (trunk)
	  and change PostgreSQL 9.6+ to use built-in PostgreSQL memory
	  context (CacheMemoryContext for now) instead of our own custom
	  one which is too prone to version change breaks.
	  (still need to patch address standardizer)
	  References #3946

2017-12-20 14:28  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16165] Apply the epsilon fix to bounding circle (references
	  #3930)

2017-12-20 14:21  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16164] Test case on minimum bounding circle (references #3930)

2017-12-18 23:49  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16162] Remove old comment line

2017-12-18 23:16  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16161] Use original vertex values where available in
	  contructing new pointarray (closes #3941)

2017-12-18 16:52  Sandro Santilli <strk@kbt.io>

	* [r16160] Force drop of regression database if it exists in debbie
	  too
	  
	  Or it keeps blaming me for this failure:
	  https://debbie.postgis.net/job/GDAL_PostGIS_Regress/5373/console

2017-12-18 14:53  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16158] Manual fixes from PostGIS users (not many left now) to
	  EPSG file
	  References #3944

2017-12-17 14:49  Sandro Santilli <strk@kbt.io>

	* [r16156] Update SRS to EPSG 9.2
	  
	  Patch by Even Rouault
	  Closes #3944

2017-12-16 10:40  Darafei Praliaskouski <me@komzpa.net>

	* [r16155] Do not include private header for json-c >= 0.13
	  
	  Patch by Björn Esser
	  
	  Closes #3942
	  Closes https://github.com/postgis/postgis/pull/173

2017-12-15 17:44  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16154] Remove potentially non-deterministic tests to see if
	  travis runs stabilize (per komzpa)

2017-12-15 14:51  Darafei Praliaskouski <me@komzpa.net>

	* [r16153] Fix parallel build directory creation in Makefile
	  
	  Closes Fix parallel build directory creation in Makefile

2017-12-15 13:25  Darafei Praliaskouski <me@komzpa.net>

	* [r16152] [travis] Run Travis builds with -Werror
	  
	  Closes #3943
	  Closes https://github.com/postgis/postgis/pull/163

2017-12-13 20:51  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16151] _postgis_index_extent() for extent from index

2017-12-13 14:03  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16150] Return pointer? references #3940

2017-12-12 22:53  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16149] Proof of content for reading table extent from
	  the top of the index. Can be called with
	  _postgis_index_extent(tbl regclass, col text)
	  and returns box2d.
	  
	  Currently not added to the st_estimatedextent()
	  code, because it has issues with indexes that
	  have EMPTY added to them. This is a symptom
	  of #2487. While it seems impossible to every
	  allow index-assisted searches for EMPTY
	  geometry, it will be necessary to create
	  invalid keys for them (NaN, NaN, NaN, Nan)
	  and then handle those keys so they don't
	  pollute the index with strange bounds.
	  
	  References #2256

2017-12-12 22:16  Regina Obe <lr@pcorp.us>

	* [r16148] Move input_srid == output_srid check after input_srid is
	  initialized
	  Closes #3940

2017-12-12 04:05  Regina Obe <lr@pcorp.us>

	* [r16145] Add verbose flags to testflags

2017-12-11 21:14  Regina Obe <lr@pcorp.us>

	* [r16144] force drop of postgis_reg database if it exists.

2017-12-11 15:04  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16143] Add lwgeom_refresh_bbox to replace drop/add twostep

2017-12-11 14:27  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16142] Make sure max* slots are filled in when deserializing
	  (closes #3923)

2017-12-11 14:14  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16141] Remove warning under gcc (closes #3935)

2017-12-09 05:34  Regina Obe <lr@pcorp.us>

	* [r16138] resize to same width as postgis log. Otherwise gets cut
	  off in pdf file.

2017-12-08 21:36  Regina Obe <lr@pcorp.us>

	* [r16137] replace with new OSGeo logo

2017-12-07 21:46  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16136] Minor efficiency changes in bytebuffer, stricter
	  function
	  signature for hexbytes, slight re-order of ops in twkb.

2017-12-06 19:34  Regina Obe <lr@pcorp.us>

	* [r16134] Turn off interrupt tests by default,
	  but add to configure an Additional Info section that lists if
	  it's on or off and how to turn it on if its disabled
	  References #3827 for PostGIS 2.5

2017-12-05 22:33  Regina Obe <lr@pcorp.us>

	* [r16133] Start of X3D refactoring to address #3704, #3705 and
	  other tickets.
	  Split out header from c file.

2017-11-30 21:41  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16130] Support google line encodings that include a backslash
	  character (References #3713)

2017-11-30 21:37  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16129] Clarify docs, References #3097

2017-11-30 20:52  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16128] Doco on "enhancement" per robe, closes #3097

2017-11-30 19:18  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16127] Allow multi-linestring to be used as blade in line/poly
	  splitting,
	  References #3097

2017-11-29 22:53  Regina Obe <lr@pcorp.us>

	* [r16126] revise bessie scripts to make install and then test
	  extension install

2017-11-28 22:53  Regina Obe <lr@pcorp.us>

	* [r16121] create script for bessie32 duplicate of bessie for now,
	  but may change in future

2017-11-28 22:39  Regina Obe <lr@pcorp.us>

	* [r16120] oops forgot to save

2017-11-28 22:25  Regina Obe <lr@pcorp.us>

	* [r16119] Add a regress script for bessie

2017-11-28 22:17  Regina Obe <lr@pcorp.us>

	* [r16118] Explicitly specify $(PERL) to call create_unpackaged.pl
	  otherwise at least on freebsd it fails
	  References #3938 for PostGIS 2.5

2017-11-25 07:38  Sandro Santilli <strk@kbt.io>

	* [r16117] Always include revision when defined (even if 0)
	  
	  Should fix #3863 (scripts always need upgrade)

2017-11-20 13:14  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16116] PgSQL 11 support, change from FALSE to false, etc.
	  Closes #3931, from Raúl Marín Rodríguez

2017-11-19 15:07  Regina Obe <lr@pcorp.us>

	* [r16115] Add missing 2.4.2 and 2.4.3dev upgrade paths, remove
	  2.4.2dev.
	  Change winnie's jenkins link to use her own ssl proxy

2017-11-14 05:23  Regina Obe <lr@pcorp.us>

	* [r16107] note about enhanced feature in reverse_geocode when
	  zcta5 data is loaded.

2017-11-09 17:34  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16106] Remove un-used static function

2017-11-09 17:21  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16105] Parallel implementation of ST_AsMVT (Closes #3927)

2017-11-09 16:27  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16104] Regression test changes and NEWS item (References #3925)

2017-11-09 16:25  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16103] Remove commenting

2017-11-09 08:48  Regina Obe <lr@pcorp.us>

	* [r16097] Add missing 2.3.4 upgrade path (as provided by Muhammad
	  Usama)
	  Also remove 2.4.0 dev releases and add missing 2.2.6 and 2.4.1
	  and 2.4.2dev
	  References #3926 for PostGIS 2.5 (trunk)

2017-11-08 20:25  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16096] Apply simplification prior to affine / gridding stage in
	  MVT geom processing

2017-11-06 21:51  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16093] Documentation tweaks for st_voronoi from Anne Blankert

2017-11-06 19:18  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16092] Replace project-and-extend with bisect-and-recurse
	  method
	  for generating segmentized geography. Provides "mostly equal"
	  segment lengths but also has more numerical stability
	  for small cases, as the old 3-space projection approach
	  did. Closes #3667

2017-11-03 17:05  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16091] Default to using the tree-based geography distance
	  calculation in all cases. (Closes #3528)
	  As implemented this results in trees being
	  calculated once more than is absolutely necessary
	  in the cached case, but changing that involves
	  re-working all the caching code for geos/geography/intersects
	  which is non-ideal.

2017-11-03 14:57  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16090] Strip out MVT changes accidentally included

2017-11-03 14:31  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16089] Change "LANGUAGE c" to "LANGUAGE 'c'" for
	  new MVT functions to match all the other
	  functions

2017-10-31 00:33  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16085] Move protobuf tests into protobuf guarded file (closes
	  #3922)

2017-10-30 20:58  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16084] Add regression test for mvtgeom (references #3922)

2017-10-30 20:34  Regina Obe <lr@pcorp.us>

	* [r16083] change back to using @INSTALL@ and put in
	  AC_PROG_INSTALL
	  so install doesn't go to ../ for insall on mingw
	  References #3916
	  References #3912

2017-10-30 20:26  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16082] Correctly handle in-place collapse of interior rings,
	  closes #3922

2017-10-30 19:05  Regina Obe <lr@pcorp.us>

	* [r16081] cleanup dead paths on winnie's build
	  add --prefix step to prevent liblwgeom from being installed in
	  /usr/local
	  References #3916

2017-10-29 21:26  Sandro Santilli <strk@kbt.io>

	* [r16080] Make sure target directories are created before copying
	  files to them
	  
	  References #3912
	  References #3916

2017-10-29 20:13  Sandro Santilli <strk@kbt.io>

	* [r16079] Make already-registered check in unpackaged extension
	  create safer
	  
	  This version just checks for "postgis" with word boundaries, so
	  it is immune to localization.
	  
	  Closes #3913 again

2017-10-29 18:38  Sandro Santilli <strk@kbt.io>

	* [r16078] Stricter error tolerance on unpackaged upgrade
	  
	  Prevents concerns about "object_not_in_prerequisite_state" being
	  possibly thrown for errors other than "already in extension"
	  
	  See #3919
	  
	  NOTE: this check may be to strict in that it depends on locale
	  settings

2017-10-29 18:04  Sandro Santilli <strk@kbt.io>

	* [r16077] Include upgrade from unpackaged test in
	  check_all_upgrades script
	  
	  References #3913

2017-10-29 18:04  Sandro Santilli <strk@kbt.io>

	* [r16076] Have output of create_unpackaged survive
	  already-registered objects
	  
	  References #3913

2017-10-28 18:55  Regina Obe <lr@pcorp.us>

	* [r16075] revise winnie's regess and package script copying to edb
	  install to copy over non-versioned .sql file as well.
	  Actually unversioned .sql aren't used at all, it was the next.sql
	  scripts that weren't being overridden
	  references #3921

2017-10-28 18:38  Regina Obe <lr@pcorp.us>

	* [r16074] revise winnie's regess and package script copying to edb
	  install to copy over non-versioned .sql file as well.
	  references #3921

2017-10-28 17:04  Regina Obe <lr@pcorp.us>

	* [r16073] Hard-code build-aux/install-sh in all install scripts
	  instead of relying on @INSTALL@ to pick an install executable
	  on systems where @INSTALL@ resolves, ends up picking the system
	  preferred install
	  which at least on mingw64 won't directories if they don't exist
	  in addition on mingw64, it doesn't
	  even fill in @INSTALL@ with install unless AC_PROG_INSALL is
	  included
	  References #3916 for PostGIS 2.5 (trunk)
	  References #3912 for PostGIS 2.5 (trunk)

2017-10-28 15:55  Regina Obe <lr@pcorp.us>

	* [r16072] Revert change of AC_PROG_INSTALL step to configure.ac.
	  Succeeeded in only replacing install-sh with install, which can't
	  create directories under mingw
	  References #3916
	  References #3912

2017-10-27 16:05  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16071] Ignore new generated files

2017-10-27 07:50  Mateusz Loskot <mateusz@loskot.net>

	* [r16070] Upper case raster format names

2017-10-27 07:39  Mateusz Loskot <mateusz@loskot.net>

	* [r16069] Correct incomplete sentence in AddRasterConstraints docs
	  Fix typo.

2017-10-26 23:16  Regina Obe <lr@pcorp.us>

	* [r16068] add comment
	  References #3916
	  References #3912

2017-10-26 17:04  Regina Obe <lr@pcorp.us>

	* [r16067] Make install no longer works under mingw64
	  Add a AC_PROG_INSTALL step to configure.ac to fix.
	  References #3916
	  References #3912

2017-10-26 08:52  Sandro Santilli <strk@kbt.io>

	* [r16066] Don't forget "OR REPLACE" in "CREATE FUNCTION!"
	  
	  Fixes #3919

2017-10-26 08:48  Sandro Santilli <strk@kbt.io>

	* [r16065] Revert "Set availability of new geometry_hash OPERATOR
	  CLASS function"
	  
	  This reverts r16064 aka commit
	  18590c2f03629e0f0ed21193376bd32e5c919867.
	  
	  It was a silly attempt, as the whole operator class availability
	  is new !
	  
	  References #3919

2017-10-26 08:37  Sandro Santilli <strk@kbt.io>

	* [r16064] Set availability of new geometry_hash OPERATOR CLASS
	  function
	  
	  See #3919

2017-10-26 06:46  Sandro Santilli <strk@kbt.io>

	* [r16063] Upgrade during create extension from unpackaged
	  
	  This commit does it for "postgis" and "postgis_topology"
	  extensions.
	  
	  Closes #3913

2017-10-26 01:08  Regina Obe <lr@pcorp.us>

	* [r16062] Fix zcta5 load
	  Closes #3917 for trunk PostGIS 2.5.0

2017-10-25 13:26  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16059] Equality test failed on points with same coordinates
	  and differing SRIDs, resulting in incorrect hashing.
	  Amazingly, this problem existed in *both* the btree
	  function and the new hash machinery (and it was the
	  btree machinery that was actually called for the
	  UNION operation).
	  References #1014

2017-10-24 21:25  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16058] Make geometry a hashable type, allowing recursive CTEs
	  to use geometry in their signatures.
	  Closes #1014

2017-10-24 19:58  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16057] add ignore files

2017-10-24 19:56  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16056] Comment out unused static function

2017-10-22 21:32  Sandro Santilli <strk@kbt.io>

	* [r16055] Uninstall geocoder & topology extension upgrade paths on
	  "make uninstall"

2017-10-22 21:30  Sandro Santilli <strk@kbt.io>

	* [r16054] Make upgrade install rule always run when asked (no
	  deps)
	  
	  This is for topology and tiger_geocoder

2017-10-22 21:27  Sandro Santilli <strk@kbt.io>

	* [r16053] Make upgrade install rule always run when asked (no
	  deps)

2017-10-22 19:52  Sandro Santilli <strk@kbt.io>

	* [r16052] Only install symlinks for tiger_geocoder upgrade paths
	  
	  Also only symlink the "next" hacks, and do all most of this at
	  `make install` time, not bothering at `make` time

2017-10-22 19:20  Sandro Santilli <strk@kbt.io>

	* [r16051] Really only install symlinks for topology upgrade paths
	  
	  Also only symlink the "next" hacks, and do all most of this at
	  `make install` time, not bothering at `make` time

2017-10-22 19:06  Sandro Santilli <strk@kbt.io>

	* [r16050] Ignore generated unpackaged check scripts
	  
	  [ci skip]

2017-10-22 19:06  Sandro Santilli <strk@kbt.io>

	* [r16049] Check unpackaged version for topology too
	  
	  See #3892

2017-10-22 19:00  Sandro Santilli <strk@kbt.io>

	* [r16048] Fix unpackaged extension creation check
	  
	  See #3892

2017-10-22 18:44  Sandro Santilli <strk@kbt.io>

	* [r16047] Fix format
	  
	  [ci skip]

2017-10-22 18:41  Sandro Santilli <strk@kbt.io>

	* [r16046] Check version matching upon creating extension from
	  unpackaged
	  
	  Closes #3892

2017-10-22 17:54  Sandro Santilli <strk@kbt.io>

	* [r16045] Replace the 3 ST_CurveToLine signatures with a single
	  one
	  
	  The new one uses defaults for arguments

2017-10-22 17:40  Sandro Santilli <strk@kbt.io>

	* [r16044] Correct ticket reference for ST_AddIsoNode EMPTY fix
	  
	  Fixes #3234, reopens #3232

2017-10-22 17:36  Sandro Santilli <strk@kbt.io>

	* [r16043] Do not allow empty points as topology isolated nodes
	  
	  Includes testcase
	  Fixes #3232

2017-10-22 16:34  Sandro Santilli <strk@kbt.io>

	* [r16042] Avoid an unneeded query for each added edge in
	  TopoGeo_addLinestring
	  
	  When endpoints are known not to move, don't query DB to check
	  the new position.

2017-10-22 16:29  Sandro Santilli <strk@kbt.io>

	* [r16041] Remove unused variable

2017-10-22 15:39  Sandro Santilli <strk@kbt.io>

	* [r16040] Log change about topology robustness improvements

2017-10-22 15:39  Sandro Santilli <strk@kbt.io>

	* [r16039] Add test for topology bug #1946
	  
	  Previous commits fix #1946 too

2017-10-22 15:39  Sandro Santilli <strk@kbt.io>

	* [r16038] Add tests for topology bug #1855
	  
	  Previous commits fixes #1855 too

2017-10-22 15:39  Sandro Santilli <strk@kbt.io>

	* [r16037] Add test for topology bug #3838
	  
	  Shows previous commits fix #3838

2017-10-22 15:39  Sandro Santilli <strk@kbt.io>

	* [r16036] Update expected results
	  
	  They are different than before because now we don't make
	  any attempt to snap vertices to existing _segments_
	  (rather than vertices) of topology edges.
	  
	  There could be a way to fix this by first adding all endpoints
	  and then performing the snap.

2017-10-22 15:39  Sandro Santilli <strk@kbt.io>

	* [r16035] Do not snap incoming lines to nodes in isolation
	  
	  But rather include edges as the snap target, to avoid moving
	  vertices that already snapped to edges to move further

2017-10-22 15:38  Sandro Santilli <strk@kbt.io>

	* [r16034] Use minimum tolerance when adding pre-snapped edge
	  endpoints

2017-10-22 15:38  Sandro Santilli <strk@kbt.io>

	* [r16033] Bigger buffer for error messages

2017-10-21 13:43  Sandro Santilli <strk@kbt.io>

	* [r16032] Include label in changes detection test of
	  TopoGeo_addLinestring

2017-10-21 07:45  Sandro Santilli <strk@kbt.io>

	* [r16028] Remove conditional code to use with GEOS < 3.3.9
	  
	  We require 3.4.0+ now...

2017-10-20 19:38  Sandro Santilli <strk@kbt.io>

	* [r16027] Clean and ignore build aux files from new location

2017-10-20 19:38  Sandro Santilli <strk@kbt.io>

	* [r16026] install-sh needs not be in the repository

2017-10-20 19:33  Sandro Santilli <strk@kbt.io>

	* [r16025] More INSTALL fixes
	  
	  See #3912

2017-10-20 19:28  Sandro Santilli <strk@kbt.io>

	* [r16024] Fix install rule

2017-10-20 18:22  Sandro Santilli <strk@kbt.io>

	* [r16023] Drop handling of tests for GEOS < 3.3.8
	  
	  As we required 3.4.0+ already, at least since PostGIS 2.4.0

2017-10-20 15:28  Sandro Santilli <strk@kbt.io>

	* [r16022] Specify build AUX dir
	  
	  Fixes lack of aux files in output from make_dist.sh

2017-10-20 15:06  Sandro Santilli <strk@kbt.io>

	* [r16021] Fix typo in notice message

2017-10-20 13:58  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16020] Fix memory leak in lwgeom_grid_in_place
	  From Raúl Marín Rodríguez
	  Closes #3910

2017-10-20 13:07  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16019] Reflect CFLAGS provided by configure
	  From Raúl Marín Rodríguez
	  Closes #3911

2017-10-18 19:40  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16016] Fix memory leak in
	  lwgeom_remove_repeated_points_in_place
	  From Raúl Marín Rodríguez
	  Closes #3909

2017-10-18 19:35  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16015] Fix memory leak when lwgeom_simplify returns an empty
	  geom
	  From Raúl Marín Rodríguez
	  Closes #3908

2017-10-17 20:37  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r16002] Allow ./configure to set debug flag on module build
	  that is otherwise over-ridden by pgxs hack
	  References #3604

2017-10-17 18:22  Regina Obe <lr@pcorp.us>

	* [r16000] update bios so they are more in line with what we
	  actually do.

2017-10-17 16:51  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15996] Allocate enough space for all possible GBOX string
	  outputs.
	  From Raúl Marín Algunenano
	  References #3907

2017-10-17 14:25  Regina Obe <lr@pcorp.us>

	* [r15994] Add Darafei Praliaskouski and make up responsibilities
	  for him.

2017-10-16 14:59  Regina Obe <lr@pcorp.us>

	* [r15993] Fix xml parse error in docs
	  References #3902 for PostGIS 2.5.0

2017-10-16 09:32  Regina Obe <lr@pcorp.us>

	* [r15990] More cleanup. Get rid of word "new" in reference to
	  geography type, it's not so new anymore
	  Minor grammar and formatting corrections.
	  References #3902 for PostGIS 2.5.0

2017-10-16 09:00  Regina Obe <lr@pcorp.us>

	* [r15989] flag zcta5 addition as an enhancement not a change.
	  References #3815

2017-10-16 06:18  Regina Obe <lr@pcorp.us>

	* [r15988] Add Paul Ramsey's example, get rid of more obsolete
	  statements about 4326 is only srid supported for geography
	  References #3902 for PostGIS 2.5.0

2017-10-15 17:51  Regina Obe <lr@pcorp.us>

	* [r15986] Update docs to reflect zcta5 fix and also upgrade to
	  tiger 2017 load
	  
	  References #3815 for trunk PostGIS 2.5.0

2017-10-15 16:33  Regina Obe <lr@pcorp.us>

	* [r15985] Fix tiger 2017 zcta5 load logic, but leave default as
	  turned off (takes 30 minutes to process)
	  
	  References #3815 for trunk PostGIS 2.5.0

2017-10-14 14:07  Regina Obe <lr@pcorp.us>

	* [r15984] Fix tiger 2017 edges load issue by doing following:
	  insert to be ordered by column name instead of ordinal_position.
	  Exclude divroad from edges load which now appears to be no longer
	  present in 2017 edges data.
	  
	  References #3815 for trunk PostGIS 2.5.0

2017-10-14 08:08  Regina Obe <lr@pcorp.us>

	* [r15983] try to modernize the geography section a bit.
	  References #3902

2017-10-14 07:26  Regina Obe <lr@pcorp.us>

	* [r15982] Flip to using tiger 2017, add new entry for downloading
	  and prepping zipcode tabulation. Turn off by default. zcta needs
	  more testing,takes a lot of space, and lengthy time to split by
	  state

2017-10-14 06:33  Regina Obe <lr@pcorp.us>

	* [r15981] make copy from routine from installed location to run
	  location less greedy

2017-10-14 04:27  Regina Obe <lr@pcorp.us>

	* [r15980] Try to fix next scripts not being installed on windows
	  by moving linking step to after install of ANY script
	  Assumption being the fact ANY doesn't exist at time of link is
	  causing problems
	  References #3901

2017-10-13 05:40  Regina Obe <lr@pcorp.us>

	* [r15979] Fix winnie build, package, and regress scripts to copy
	  from mingw .sql from mingw install location
	  Closes #3901

2017-10-12 22:40  Regina Obe <lr@pcorp.us>

	* [r15978] white space cleanup

2017-10-12 22:39  Regina Obe <lr@pcorp.us>

	* [r15977] Credits commit from Darafei Praliaskouski
	  Closes https://github.com/postgis/postgis/pull/164

2017-10-12 21:21  Sandro Santilli <strk@kbt.io>

	* [r15976] Fix GCC warnings
	  
	  Obey const pointer in autofix logic.
	  Move ring closing logic to ptarray_to_GEOSCoordSeq.
	  Fix memory access.
	  
	  Patch by Darafei Praliaskouski <me@komzpa.net>
	  
	  Fixes #3900

2017-10-12 16:30  Sandro Santilli <strk@kbt.io>

	* [r15975] BTree sorting logic fix
	  
	  Sort geometries that have different length but same prefix
	  
	  - allow fast path for geography points
	  - fix gcc warnings
	  - compare EMPTY geometries as normal memcmp path
	  
	  Patch by Darafei Praliaskouski <me@komzpa.net>
	  
	  Fixes #3899

2017-10-12 08:08  Sandro Santilli <strk@kbt.io>

	* [r15974] Add missing dash in ANY-- upgrade path
	  
	  Fixes #3898

2017-10-12 07:40  Regina Obe <lr@pcorp.us>

	* [r15973] more snafu fix on #3896 (was trying to install next
	  twice instead of going back to default version

2017-10-12 07:19  Regina Obe <lr@pcorp.us>

	* [r15972] missed last execute statement.
	  references #3896

2017-10-12 06:50  Regina Obe <lr@pcorp.us>

	* [r15971] Add option to always upgrade a dev version to default
	  dev version even if already at the default version.
	  References #3898 for PostGIS 2.5.0 (trunk)

2017-10-11 17:11  Regina Obe <lr@pcorp.us>

	* [r15970] postgis_extensions_upgrade(). Can't remember which
	  postgis extensions you installed and are two lazy to figure out
	  and upgrade each with ALTER EXTENSION.
	  just do
	  
	  SELECT postgis_extensions_upgrade();
	  
	  Closes #3896

2017-10-11 17:05  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15969] Allow make -j parallel builds (PR-160)

2017-10-11 16:47  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15968] Quiet un-used variable warnings

2017-10-11 15:05  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15967] Fix function names in error messages

2017-10-11 14:06  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15966] Fix rare missing boxes in geometry subdivision
	  Closes #3886

2017-10-10 22:54  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15963] Fix up return type

2017-10-10 22:51  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15962] Add returns after lwerror() for testing harnesses

2017-10-10 22:46  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15961] Throw error on malformed WKB input
	  Credit to OSS-Fuzz:
	  https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=2589
	  Credit to OSS-Fuzz:
	  https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=2590
	  Credit to OSS-Fuzz:
	  https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=2591
	  Credit to OSS-Fuzz:
	  https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=2592
	  (Closes #3895)

2017-10-10 20:48  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15957] Remove dupe function prototype

2017-10-10 18:05  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15956] Undefined behaviour in pointarray_to_encoded_polyline
	  (Closes #3891)

2017-10-10 17:06  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15952] Log message fix

2017-10-10 16:59  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15951] Fix undefined behaviour in zigzag with negative inputs
	  (References #3882)

2017-10-10 16:33  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15944] lw_dist2d_pt_arc division by zero (References #3874)

2017-10-10 16:27  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15943] Ptarray in place repeated point removal returns, passing
	  all tests, even in topology. (References #3877)

2017-10-10 13:26  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15942] Back out ptarray changes for now (references #3877)

2017-10-10 08:29  Sandro Santilli <strk@kbt.io>

	* [r15941] Remove trailing blanks

2017-10-09 20:05  Regina Obe <lr@pcorp.us>

	* [r15940] Update geocode batch update example to use LATERAL now
	  that PostgreSQL 9.3 is minimum supported.

2017-10-09 15:45  Sandro Santilli <strk@kbt.io>

	* [r15938] Forbid creating raster support objects in a schema !=
	  PostGIS one
	  
	  Fixes #3893

2017-10-08 20:38  Sandro Santilli <strk@kbt.io>

	* [r15937] Report extension status of postgis from
	  postgis_full_version

2017-10-08 19:26  Sandro Santilli <strk@kbt.io>

	* [r15936] Use IF NOT EXISTS when dropping things
	  
	  Fixes #3887 in trunk (2.5.0dev)

2017-10-08 18:27  Sandro Santilli <strk@kbt.io>

	* [r15935] Add check for postgis raster being already installed

2017-10-08 18:20  Sandro Santilli <strk@kbt.io>

	* [r15934] Do not suggest to uninstall postgis when already found
	  
	  The user might want to upgrade it or package it instead...

2017-10-07 21:52  Regina Obe <lr@pcorp.us>

	* [r15933] Get rid of major.micro_version in generated lib file of
	  address_standardizer
	  Closes #3885

2017-10-07 16:49  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15932] Quiet strk's warnings?

2017-10-07 16:25  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15931] Change spaces to tabs in indenting

2017-10-07 13:39  Sandro Santilli <strk@kbt.io>

	* [r15930] Keep running on failure, report all pass/fail/skip at
	  the end

2017-10-07 13:39  Sandro Santilli <strk@kbt.io>

	* [r15929] Report which upgrade failed

2017-10-07 13:39  Sandro Santilli <strk@kbt.io>

	* [r15928] Use variables more (generic cleanup)

2017-10-06 22:00  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15927] Mark twkb input buffers as const

2017-10-06 21:49  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15926] Mark non-mutating segmentize functions as const

2017-10-06 21:19  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15925] Move remove_repeated_points to an in_place basis
	  References #3877

2017-10-06 13:31  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15924] Performance improvements for b-tree geometry sorts
	  Closes #3864

2017-10-06 13:29  Sandro Santilli <strk@kbt.io>

	* [r15922] Generate postgis.control at make time, not configure
	  time

2017-10-06 13:20  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15918] geohash_point_as_int: Fix undefined behaviour in shift
	  operation
	  References #3875

2017-10-06 13:12  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15914] Undefined behaviour in TYPMOD_GET_SRID
	  References #3880

2017-10-06 01:00  Daniel Baston <dbaston@gmail.com>

	* [r15913] Add ST_LineInterpolatePoints
	  
	  Closes #3564

2017-10-05 20:12  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15912] Remove unused function prototypes from internal header

2017-10-05 19:59  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15911] Remove un-used function flip_coordinates

2017-10-05 19:56  Sandro Santilli <strk@kbt.io>

	* [r15910] Uninstall upgrade paths on `make uninstall`

2017-10-05 19:36  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15909] Make lwgeom_dimensionality use a const argument

2017-10-05 19:34  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15908] Move simplify code to an in_place basis,
	  references #3877

2017-10-05 18:21  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15907] Suite name should match file name

2017-10-05 14:37  Sandro Santilli <strk@kbt.io>

	* [r15906] Don't forget to install the extension file and the
	  upgrade from unpackaged

2017-10-05 14:00  Sandro Santilli <strk@kbt.io>

	* [r15905] Really only install symlinks for upgrade paths
	  
	  Also only symlink the "next" hacks, and do all of this at
	  `make install` time, not bothering at `make` time

2017-10-05 13:35  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15904] lwtriangle_is_repeated_points should be local to
	  lwtriangle.c

2017-10-05 13:22  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15903] Combine multiple signum definitions
	  (Closes #3878)

2017-10-05 12:41  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15896] Fix division by zero in lw_dist2d_arc_arc
	  (References #3879)

2017-10-05 11:33  Sandro Santilli <strk@kbt.io>

	* [r15895] Remove duplicated DATA and useless EXTRA_CLEAN append

2017-10-05 11:28  Sandro Santilli <strk@kbt.io>

	* [r15894] Drop conditionals on PG 91 (we require 93+ anyway)

2017-10-05 10:50  Björn Harrtell <bjorn@wololo.org>

	* [r15893] ST_AsMVTGeom clarification on semantics of mvt_geom

2017-10-05 10:44  Björn Harrtell <bjorn@wololo.org>

	* [r15892] ST_AsMVTGeom use lwgeom_grid_in_place

2017-10-04 22:40  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15891] Be slightly looser in dupe detection in gridding
	  (References #3877)

2017-10-04 21:27  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15890] Fix memory leak in in-place gridding, when
	  components collapse out of existence, they
	  need to be freed (References #3877)

2017-10-04 20:49  Regina Obe <lr@pcorp.us>

	* [r15889] Update travis to use proj 4.9.2 the painful way.
	  Closes https://github.com/postgis/postgis/pull/149

2017-10-04 20:29  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15888] Make lwgeom_grid_in_place, and move around function
	  signatures in support of the in_place project
	  (References #3877)

2017-10-04 18:43  Sandro Santilli <strk@kbt.io>

	* [r15887] Install a single upgrade script and use symlinks for all
	  others
	  
	  The real file will be named postgis--ANY--<target>.sql

2017-10-04 18:20  Regina Obe <lr@pcorp.us>

	* [r15886] Add 2.4.0 and 2.4.0dev to migration options. Get rid of
	  2.4 alphas and betas

2017-10-04 16:57  Regina Obe <lr@pcorp.us>

	* [r15885] Get rid of trailing spaces

2017-10-04 16:19  Regina Obe <lr@pcorp.us>

	* [r15884] ST_Angle function from Rémi Cura
	  Closes https://github.com/postgis/postgis/pull/97
	  Closes #3876

2017-10-04 16:17  Regina Obe <lr@pcorp.us>

	* [r15883] update news to reflect PostGIS 2.4.0 has been released
	  and start a new section for PostGIS 2.5.0

2017-10-04 15:52  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15882] Fix markdown links

2017-10-03 19:10  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15881] Move many internal signatures into liblwgeom_internal.h
	  (Closes #3873)

2017-10-03 18:39  Björn Harrtell <bjorn@wololo.org>

	* [r15880] ST_AsMVT / ST_AsMVTGeom refactor to avoid deep clone

2017-10-03 10:14  Sandro Santilli <strk@kbt.io>

	* [r15879] [travis] install xmllint to run documentation tests
	  
	  Patch by Darafei Praliaskouski

2017-10-03 10:14  Sandro Santilli <strk@kbt.io>

	* [r15878] [travis] ccache to make compilation faster
	  
	  Patch by Darafei Praliaskouski

2017-10-02 22:29  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15876] Fix union issue (References #3871)

2017-10-02 22:01  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15875] Use type-pun to avoid memcpy in building morton key
	  (Closes #3871)
	  Fix from Komzpa at https://github.com/postgis/postgis/pull/144

2017-10-02 12:52  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15873] Gracefully handle short-measure issue (Closes #3845)

2017-10-02 11:51  Sandro Santilli <strk@kbt.io>

	* [r15870] mark postgis_noop STABLE also for raster input

2017-10-02 11:49  Sandro Santilli <strk@kbt.io>

	* [r15869] There's no reason why postgis_noop should be volatile

2017-09-30 18:03  Sandro Santilli <strk@kbt.io>

	* [r15864] Add -lm to liblwgeom link line
	  
	  References #3869

2017-09-30 17:59  Sandro Santilli <strk@kbt.io>

	* [r15863] Fix memory leaks in BTREE operators
	  
	  References #3864

2017-09-30 17:35  Sandro Santilli <strk@kbt.io>

	* [r15859] Disable accidentally enabled debug

2017-09-30 17:30  Sandro Santilli <strk@kbt.io>

	* [r15858] Attempt to fix yaml syntax in drone config

2017-09-30 15:26  Sandro Santilli <strk@kbt.io>

	* [r15857] Add lwt_Polygonize and lwt_AddLineNoFace functions
	  
	  This were initially written for librttopo. The plan in PostGIS
	  is to use them for ST_CreateTopoGeo, which already needs to load
	  all input geometry in memory.

2017-09-30 06:34  Regina Obe <lr@pcorp.us>

	* [r15855] forgot about proj - bump to 4.9

2017-09-30 06:33  Regina Obe <lr@pcorp.us>

	* [r15854] Update README to reflect new agreed upon requirements of
	  PostgreSQL 9.6+ and GEOS 3.5.
	  Will fix configure.ac too after we've upgraded dronie and travis
	  to use newer versions

2017-09-29 08:20  Sandro Santilli <strk@kbt.io>

	* [r15851] Move PostgreSQL conditional at the top of the file
	  
	  This is an attempt to make the code more clear

2017-09-29 04:43  Regina Obe <lr@pcorp.us>

	* [r15850] Can't load against PostgreSQL 11 head DatumGetJsonb
	  renamed
	  References #3867 for PostGIS 2.5

2017-09-27 20:54  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15848] Make all suite names one-word, lowercase

2017-09-27 05:46  Sandro Santilli <strk@kbt.io>

	* [r15845] Guard .proto file for not getting trailing blanks

2017-09-27 05:46  Sandro Santilli <strk@kbt.io>

	* [r15844] Drop trailing blank from vector_tile.proto

2017-09-26 21:23  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15841] Complete source TODO item, use double access for ptarray
	  reversal

2017-09-26 20:55  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15840] Find all duplicates, even within very short
	  polygons/lines (Closes #3843)

2017-09-26 16:58  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15833] Allow triangles unclosed in M to be parsed in WKT
	  (References #3818)

2017-09-26 16:20  Sandro Santilli <strk@kbt.io>

	* [r15830] Ignore vector_tile.pb-c when checking for trailing
	  blanks

2017-09-26 14:09  Sandro Santilli <strk@kbt.io>

	* [r15829] Remove trailing blank from postgis_config.h.in, prevent
	  them

2017-09-26 13:55  Sandro Santilli <strk@kbt.io>

	* [r15826] Do not use .gitignore for checking trailing blank spaces
	  
	  Manually ignore files instead. Re-using .gitignore patterns
	  isn't easy for grep.

2017-09-26 13:54  Sandro Santilli <strk@kbt.io>

	* [r15825] Remove trailing blanks

2017-09-26 13:34  Sandro Santilli <strk@kbt.io>

	* [r15823] Make check-no-trailing-blanks implementation POSIX
	  compliant

2017-09-26 08:15  Sandro Santilli <strk@kbt.io>

	* [r15821] Ignore generated files in check-no-trailing-blanks
	  
	  Also be forgiving of a missing .gitignore (but then tests will
	  fail due to generated files possibly having trailing blanks)

2017-09-26 01:10  Regina Obe <lr@pcorp.us>

	* [r15819] Flip to 2.5.0 development

2017-09-25 20:48  Nicklas Avén <nicklas.aven@jordogskog.no>

	* [r15817] increase expected max variable integer

2017-09-25 17:00  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15816] Add very large uint64_t test

2017-09-25 13:37  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15814] st_contains cannot handle curvepolygon / compoundcurve
	  consisting of only straight lines (References #3781)

2017-09-24 17:32  Regina Obe <lr@pcorp.us>

	* [r15813] add 2.4.0dev so can upgrade from previous unreleased.
	  Keeping version at rc2 though until final release.

2017-09-24 07:52  Regina Obe <lr@pcorp.us>

	* [r15809] more parse error fixes

2017-09-24 07:43  Regina Obe <lr@pcorp.us>

	* [r15808] fix some tag issues

2017-09-24 07:09  Regina Obe <lr@pcorp.us>

	* [r15807] typo

2017-09-24 06:58  Regina Obe <lr@pcorp.us>

	* [r15806] prepping for PostGIS 2.4.0rc2 release

2017-09-24 06:50  Regina Obe <lr@pcorp.us>

	* [r15805] update pos

2017-09-24 06:09  Regina Obe <lr@pcorp.us>

	* [r15804] manually pulled from transifex. For some reason this
	  file won't naturally pull down and merge so generates invalid
	  psql comments

2017-09-24 02:44  Regina Obe <lr@pcorp.us>

	* [r15803] update template

2017-09-23 18:35  Björn Harrtell <bjorn@wololo.org>

	* [r15802] ST_AsGeobuf fix double comparison
	  References #3840

2017-09-23 13:31  Björn Harrtell <bjorn@wololo.org>

	* [r15801] ST_AsMVTGeom document internals of transform step

2017-09-22 21:04  Regina Obe <lr@pcorp.us>

	* [r15800] fixins for crash testing twkb, ST_GeomFromTWKB, and MVT
	  functions.
	  Add reference link to ST_GeomFromTWKB to ST_AsTWKB

2017-09-22 19:58  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15799] Add twkb large geometry test

2017-09-22 19:55  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15798] Fix crash on larger geometries, caused by direct freeing
	  of bytebuffer internals

2017-09-22 19:06  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15797] Make ST_AsGeoBuf more resiliant when fed rows including
	  NULL geometry (Closes #3861)

2017-09-22 19:06  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15796] Remove unused strnicmp macro test (Closes #3862)

2017-09-22 15:25  Regina Obe <lr@pcorp.us>

	* [r15795] Note twkb improvements in docs.
	  Closes #3855

2017-09-22 14:03  Regina Obe <lr@pcorp.us>

	* [r15794] Use ansi standard names for arg types for ST_AsMVT and
	  ST_AsMVTGeom to be consistent with rest of docs. Note that
	  ST_AsMVT should not be used with geometry collection directly,
	  but a geometry collection can be converted to suitable form with
	  ST_AsMVTGeom.
	  More adjustments to support garden testing ST_AsMVT and
	  ST_AsMVTGeom
	  Closes #3858

2017-09-22 12:45  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15793] small doco spelling

2017-09-22 12:45  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15792] Fix warning

2017-09-22 06:34  Regina Obe <lr@pcorp.us>

	* [r15791] revise garden tests so can exercise anyelement now can
	  generate tests for ST_AsMVT

2017-09-21 23:19  Regina Obe <lr@pcorp.us>

	* [r15790] Fixes from Andreas Schild via Transifex

2017-09-21 22:39  Regina Obe <lr@pcorp.us>

	* [r15789] Fixes from Andreas Schild via Transifex

2017-09-21 22:11  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15788] Make ST_AsMVT tolerant of NULL input and return '':bytea
	  (zero length bytea) when provided with only null inputs, or no
	  inputs. (References #3857)

2017-09-21 18:34  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15786] ST_AsMVTGeom return NULL on EMPTY geometry (References
	  #3857)

2017-09-21 13:49  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15785] Harmonize behavior of ExteriorRing / InteriorRingN
	  and NumInteriorRings on returning NULL on bad input
	  instead of errors, matching the doco
	  (Closes #3261)

2017-09-20 19:58  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15780] Improve TWKT performance by avoiding lots of allocations
	  on the heap. (Closes #3855)

2017-09-20 19:55  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15779] Short circuit ST_RepeatedPoints right away on point
	  inputs (Closes #3854)

2017-09-20 15:46  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15778] Remove slicing logic from bounding box reader and
	  note why inline with the code so it can be done "right"
	  in a larger re-work of serialization (postgis 3) that
	  supports postgis-side compression. (Closes #3853)

2017-09-20 00:12  Regina Obe <lr@pcorp.us>

	* [r15775] ST_ConcaveHull fix for EXtenriorRing is not a polygon
	  References #2836 for PostGIS 2.4.0

2017-09-20 00:04  Regina Obe <lr@pcorp.us>

	* [r15774] po and pot updates

2017-09-19 21:02  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15772] Remove the local hacks for float rounding and go
	  with system level functions, that are hopefully
	  more optimized. Also, this seems to provide more
	  correct results than the old code!
	  (Closes #3852)

2017-09-19 15:36  Regina Obe <lr@pcorp.us>

	* [r15766] typo and grammar corrections from Andreas Schild

2017-09-19 13:35  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15765] Strip memcpy from int32 access in gserialized,
	  and remove the now-unused functions that support
	  that operation from the overall internal API.
	  (Closes #3850)

2017-09-18 13:21  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15755] Add regression test for trigonometric length calculation
	  for compoundcurve (references #3774)

2017-09-18 12:30  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15754] Remove unused declaration of LWLINE

2017-09-18 07:32  Björn Harrtell <bjorn@wololo.org>

	* [r15753] Add notes on optional protobuf-c dependency and some
	  formatting fixes

2017-09-17 23:41  Regina Obe <lr@pcorp.us>

	* [r15752] typo

2017-09-17 20:59  Sandro Santilli <strk@kbt.io>

	* [r15751] Fix check-no-trailing-blanks to check for .c, not .cpp
	  files

2017-09-17 20:59  Sandro Santilli <strk@kbt.io>

	* [r15750] Remove trailing blanks from .c files

2017-09-17 16:58  Regina Obe <lr@pcorp.us>

	* [r15749] typo corrections from Andreas Schild via transifex

2017-09-17 02:24  Regina Obe <lr@pcorp.us>

	* [r15748] typo corrections from Andreas Schild via transifex

2017-09-17 01:40  Regina Obe <lr@pcorp.us>

	* [r15747] typo corrections from Andreas Schild via transifex

2017-09-15 14:19  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15746] #3774, compute length of compound on arcs

2017-09-15 05:36  Regina Obe <lr@pcorp.us>

	* [r15745] fix parse errors in German de
	  Closes #3849 for PostGIS 2.4.0

2017-09-15 04:24  Regina Obe <lr@pcorp.us>

	* [r15744] make de_DE suffix be de_DE (we might just scrap de_DE at
	  some point.)
	  Add make file for de and make suffix -de.
	  References #3848 for PostGIS 2.4.0

2017-09-15 04:00  Regina Obe <lr@pcorp.us>

	* [r15743] add de which is further ahead than de_DE
	  References #3848

2017-09-14 22:57  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15739] #3731, backend crash on stats object with zero-size
	  histogram

2017-09-14 22:30  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15738] Quiet printf warnings in mvt size_t debug messages

2017-09-14 18:57  Regina Obe <lr@pcorp.us>

	* [r15737] update pos and pots

2017-09-14 18:35  Regina Obe <lr@pcorp.us>

	* [r15736] numerous corrections from Andreas Schild on transifex

2017-09-14 17:31  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15735] Match spacing in the topology.c file

2017-09-14 16:32  Regina Obe <lr@pcorp.us>

	* [r15734] update to reflect website is now versioned on git

2017-09-14 15:57  Sandro Santilli <strk@kbt.io>

	* [r15733] Include .gitignore in release (used by `make check`)

2017-09-14 15:57  Sandro Santilli <strk@kbt.io>

	* [r15732] Add check-no-trailing-blanks Makefile rule and run on
	  `make check`
	  
	  Only checks .h and .c files, and skip those in .gitignore

2017-09-14 15:56  Sandro Santilli <strk@kbt.io>

	* [r15731] Remove trailing blanks

2017-09-14 15:36  Sandro Santilli <strk@kbt.io>

	* [r15730] liblwgeom/lwgeom_log.h uses spaces, write in stone !

2017-09-14 15:31  Sandro Santilli <strk@kbt.io>

	* [r15729] liblwgeom/box2d.c has space indenting, institutionalize
	  it !

2017-09-14 14:30  Sandro Santilli <strk@kbt.io>

	* [r15728] Only prepare statements on first run

2017-09-14 13:56  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15723] #3847, coverity fixes in topology and address
	  standardizer

2017-09-14 13:52  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15722] #3847, coverity fixes around the loaders

2017-09-13 21:51  Regina Obe <lr@pcorp.us>

	* [r15721] update docs to reflect = operator changed in 2.4.0.
	  correct the examples to exhibit new behavior. Put a note in ~=
	  which means what = used to mean
	  References #3844 for PostGIS 2.4.0

2017-09-13 20:30  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15717] Fix misplaced section end

2017-09-13 20:20  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15713] #2352, #3249, ST_RemoveIsoEdge is not documented

2017-09-13 20:03  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15712] #3844 Update docs to match new = operator behaviour

2017-09-13 17:22  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15711] Fix comments up on cmp() func

2017-09-13 14:42  Sandro Santilli <strk@kbt.io>

	* [r15710] Fix TopoJSON expected output
	  
	  It looks like behavior is still not the same as it was before
	  the btree operators change...

2017-09-13 13:09  Sandro Santilli <strk@kbt.io>

	* [r15708] Restore leftmost edge finding in TopoJSON output

2017-09-13 05:04  Regina Obe <lr@pcorp.us>

	* [r15707] flip version back to 2.4.0dev

2017-09-13 04:00  Regina Obe <lr@pcorp.us>

	* [r15705] Prepping for rc1 release

2017-09-13 03:44  Regina Obe <lr@pcorp.us>

	* [r15704] update pots and pos

2017-09-12 23:13  Regina Obe <lr@pcorp.us>

	* [r15703] Incorporate news cleanup and amendments from Darafei
	  Praliaskouski
	  Closes https://github.com/postgis/postgis/pull/140

2017-09-12 20:26  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15702] Note the b-tree = operator change for #3844

2017-09-12 20:18  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15701] Fix SFCGAL regress tests for #3844

2017-09-12 19:44  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15700] #3844, new btree behavior for = and < >

2017-09-12 16:04  Regina Obe <lr@pcorp.us>

	* [r15699] more corrections from Andreas Schild and add doc
	  achievements to credits

2017-09-12 14:34  Regina Obe <lr@pcorp.us>

	* [r15698] update release notes just in case I forget later

2017-09-12 01:30  Regina Obe <lr@pcorp.us>

	* [r15697] drop _ST_DumpPoints from old installs and announce its
	  final purge
	  This is to complement spring cleaning at r15537 when I removed
	  from code base
	  NOTE: this should have been removed in PostGIS 2.1 when
	  ST_DumpPoints got reimplented in C and no longer needed this
	  helper function.

2017-09-12 01:17  Regina Obe <lr@pcorp.us>

	* [r15696] treat alphas and betas as development versions too.
	  Closes #3842

2017-09-11 22:31  Regina Obe <lr@pcorp.us>

	* [r15695] update pot and pos to reflect latest updates in
	  transifex and .xml

2017-09-11 21:19  Regina Obe <lr@pcorp.us>

	* [r15694] Numerous doc fixes from Andreas Schild via transifex
	  Closes #3824 for PostGIS 2.4.0

2017-09-11 20:43  Regina Obe <lr@pcorp.us>

	* [r15693] Correction from Kwon,Yongchan via transifex

2017-09-11 18:45  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15692] Try and ensure clean memory into kmeans algorithm

2017-09-11 17:55  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15691] #3841, handle empty == empty when types are same too

2017-09-11 17:52  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r15690] #3841, make POINT EMPTY < LINESTRING EMPTY

